﻿using System;    
using System.IO;
using System.Linq;
using System.Collections.Generic;
using Savviety.ServiceManager.API;
using Savviety.ServiceManager.API.Criteria;
using Microsoft.EnterpriseManagement;
using Microsoft.EnterpriseManagement.Common;
using Microsoft.EnterpriseManagement.Configuration;
 using Microsoft.EnterpriseManagement.Common.Internal;
using System.Diagnostics;
/*
	Name	 		: System.WorkItem.ChangeRequest.Library	
	Id 				: 6c2bb84d-3c1f-4006-c551-6ef50179e2e3
	Description 	: System Work Item Change Request Library
*/
namespace Savviety.ServiceManager.API.ChangeManagement 
{
    
    
    public class ChangeCategoryEnum
    {
        
        public static ManagementPackEnumeration Emergency
        {
            get
            {
                return Context.GetEnumeration(new Guid("357662a7-451c-df62-ed68-3147bdff324e"));
            } 
        }
       
        
        public static ManagementPackEnumeration Standard
        {
            get
            {
                return Context.GetEnumeration(new Guid("02d2f92f-d925-5ad6-eb1f-67020701697a"));
            } 
        }
       
        
        public static ManagementPackEnumeration Minor
        {
            get
            {
                return Context.GetEnumeration(new Guid("c0126730-ab4a-4c62-26e0-7706bc176413"));
            } 
        }
       
        
        public static ManagementPackEnumeration Major
        {
            get
            {
                return Context.GetEnumeration(new Guid("e9ee7044-3a42-a34b-1237-ec0d32f2377a"));
            } 
        }
       
        
    }
    
    
    public class ChangeRiskEnum
    {
        
        public static ManagementPackEnumeration NotAssessed
        {
            get
            {
                return Context.GetEnumeration(new Guid("1fbd7d66-be43-d48d-8ea8-2367f6039697"));
            } 
        }
       
        
        public static ManagementPackEnumeration Low
        {
            get
            {
                return Context.GetEnumeration(new Guid("13b87263-844c-833f-2fae-30939de58244"));
            } 
        }
       
        
        public static ManagementPackEnumeration Medium
        {
            get
            {
                return Context.GetEnumeration(new Guid("d92ca060-fd52-27dc-8268-9b0f5fd4ffda"));
            } 
        }
       
        
        public static ManagementPackEnumeration High
        {
            get
            {
                return Context.GetEnumeration(new Guid("978b7e07-10c5-25c1-e6f4-e1df0579fc82"));
            } 
        }
       
        
    }
    
    
    public class ChangeImplementationResultsEnum
    {
        
        public static ManagementPackEnumeration Unauthorized
        {
            get
            {
                return Context.GetEnumeration(new Guid("6ea74967-25af-41e4-f350-12fa8b803241"));
            } 
        }
       
        
        public static ManagementPackEnumeration PartiallyImplemented
        {
            get
            {
                return Context.GetEnumeration(new Guid("7dc7e36a-594c-9102-fce3-2e7058a27527"));
            } 
        }
       
        
        public static ManagementPackEnumeration Failed
        {
            get
            {
                return Context.GetEnumeration(new Guid("3f02a1ec-594f-1f59-8112-3658490f232d"));
            } 
        }
       
        
        public static ManagementPackEnumeration Cancelled
        {
            get
            {
                return Context.GetEnumeration(new Guid("dcbf4f56-7195-128d-d7be-62cfb6a776bc"));
            } 
        }
       
        
        public static ManagementPackEnumeration ImplementedWithIssues
        {
            get
            {
                return Context.GetEnumeration(new Guid("8cb8f9df-b7e6-d9c1-e9d0-71fe3f0afe5f"));
            } 
        }
       
        
        public static ManagementPackEnumeration SuccessfullyImplemented
        {
            get
            {
                return Context.GetEnumeration(new Guid("d16a0c70-821f-5dbb-11bc-dc7d897b8c5b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Rejected
        {
            get
            {
                return Context.GetEnumeration(new Guid("5973a0f1-737f-010c-2218-f10376fb3032"));
            } 
        }
       
        
    }
    
    
    public class ChangePriorityEnum
    {
        
        public static ManagementPackEnumeration Low
        {
            get
            {
                return Context.GetEnumeration(new Guid("ab51007f-65a3-845b-a8f4-2896c9da9f5f"));
            } 
        }
       
        
        public static ManagementPackEnumeration Medium
        {
            get
            {
                return Context.GetEnumeration(new Guid("3a96f7dc-4469-ed8b-48a1-517f7ccf6189"));
            } 
        }
       
        
        public static ManagementPackEnumeration Immediate
        {
            get
            {
                return Context.GetEnumeration(new Guid("ff5fd035-4d4e-42d4-f076-7412257b88ac"));
            } 
        }
       
        
        public static ManagementPackEnumeration High
        {
            get
            {
                return Context.GetEnumeration(new Guid("32ee0157-fdc5-67c4-7971-c6b1fe8dfc66"));
            } 
        }
       
        
    }
    
    
    public class ChangeStatusEnum
    {
        
        public static ManagementPackEnumeration New
        {
            get
            {
                return Context.GetEnumeration(new Guid("a87c003e-8c19-a25f-f8b2-151b56670e5c"));
            } 
        }
       
        
        public static ManagementPackEnumeration Failed
        {
            get
            {
                return Context.GetEnumeration(new Guid("85f00ead-2603-6c68-dfec-531c83bf900f"));
            } 
        }
       
        
        public static ManagementPackEnumeration Closed
        {
            get
            {
                return Context.GetEnumeration(new Guid("f228d50b-2b5a-010f-b1a4-5c7d95703a9b"));
            } 
        }
       
        
        public static ManagementPackEnumeration InProgress
        {
            get
            {
                return Context.GetEnumeration(new Guid("6d6c64dd-07ac-aaf5-f812-6a7cceb5154d"));
            } 
        }
       
        
        public static ManagementPackEnumeration OnHold
        {
            get
            {
                return Context.GetEnumeration(new Guid("dd6b0870-bcea-1520-993d-9f1337e39d4d"));
            } 
        }
       
        
        public static ManagementPackEnumeration Cancelled
        {
            get
            {
                return Context.GetEnumeration(new Guid("877defb6-0d21-7d19-89d5-a1107d621270"));
            } 
        }
       
        
        public static ManagementPackEnumeration Submitted
        {
            get
            {
                return Context.GetEnumeration(new Guid("504f294c-ae38-2a65-f395-bff4f085698b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Completed
        {
            get
            {
                return Context.GetEnumeration(new Guid("68277330-a0d3-cfdd-298d-d5c31d1d126f"));
            } 
        }
       
        
    }
    
    
    public class ChangeImpactEnum
    {
        
        public static ManagementPackEnumeration Major
        {
            get
            {
                return Context.GetEnumeration(new Guid("7b30147f-3820-733e-55ee-0885aceb60f4"));
            } 
        }
       
        
        public static ManagementPackEnumeration Standard
        {
            get
            {
                return Context.GetEnumeration(new Guid("312b4612-6b0e-63e9-e9c4-0a4d04d7363a"));
            } 
        }
       
        
        public static ManagementPackEnumeration Minor
        {
            get
            {
                return Context.GetEnumeration(new Guid("e90e735e-959b-eb5b-41be-1fd07c30a740"));
            } 
        }
       
        
        public static ManagementPackEnumeration Significant
        {
            get
            {
                return Context.GetEnumeration(new Guid("70ca6737-6f4d-ea78-c392-2cfc61eaadfc"));
            } 
        }
       
        
    }
    
    
    public class ChangeAreaEnum
    {
        
        public static ManagementPackEnumeration Messaging
        {
            get
            {
                return Context.GetEnumeration(new Guid("0ea668a8-2f7e-7f8c-67ce-088b1f16c2a5"));
            } 
        }
       
        
        public static ManagementPackEnumeration MessagingServer
        {
            get
            {
                return Context.GetEnumeration(new Guid("4c2a3da7-d4df-b090-aeed-0ce4af4ef420"));
            } 
        }
       
        
        public static ManagementPackEnumeration MessagingOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("4beff599-1f64-266a-d64f-1a1682caa2e3"));
            } 
        }
       
        
        public static ManagementPackEnumeration MessagingClient
        {
            get
            {
                return Context.GetEnumeration(new Guid("69beed6c-94f5-3c41-4a86-d693486f696a"));
            } 
        }
       
        
        public static ManagementPackEnumeration Security
        {
            get
            {
                return Context.GetEnumeration(new Guid("066507f5-59e5-627b-8739-098bacd244c7"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityAccountManagement
        {
            get
            {
                return Context.GetEnumeration(new Guid("987e521b-9717-714a-77ef-2d4f03372f05"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityAccessControl
        {
            get
            {
                return Context.GetEnumeration(new Guid("e5b918a3-7421-d647-58ce-490bbacd29ef"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityInformation
        {
            get
            {
                return Context.GetEnumeration(new Guid("96aa1529-0b7e-292f-e669-d1eae66502f2"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("53d1c3ec-0b24-b894-04ec-d635f044c068"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityPhysical
        {
            get
            {
                return Context.GetEnumeration(new Guid("fe6c5486-5eb1-3d22-5d59-e80cfc58b86f"));
            } 
        }
       
        
        public static ManagementPackEnumeration Operations
        {
            get
            {
                return Context.GetEnumeration(new Guid("e565fd01-3a45-e02a-6dd2-12753826dcee"));
            } 
        }
       
        
        public static ManagementPackEnumeration OperationsDocumentation
        {
            get
            {
                return Context.GetEnumeration(new Guid("202f96bd-6df0-fa18-8201-4472f5dd5ab4"));
            } 
        }
       
        
        public static ManagementPackEnumeration OperationsManagement
        {
            get
            {
                return Context.GetEnumeration(new Guid("273efbce-47db-c3eb-72e5-558caa125bfb"));
            } 
        }
       
        
        public static ManagementPackEnumeration OperationsProcess
        {
            get
            {
                return Context.GetEnumeration(new Guid("c1109978-2530-fb99-e37d-a02822f9f040"));
            } 
        }
       
        
        public static ManagementPackEnumeration OperationsOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("fe6b0386-0826-9a18-257b-c331c64a1067"));
            } 
        }
       
        
        public static ManagementPackEnumeration Other
        {
            get
            {
                return Context.GetEnumeration(new Guid("34fd9437-eaf1-0c15-9510-3a38fbc3f798"));
            } 
        }
       
        
        public static ManagementPackEnumeration Hardware
        {
            get
            {
                return Context.GetEnumeration(new Guid("cb454993-e2e0-6bee-163c-69985be58d40"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareStorage
        {
            get
            {
                return Context.GetEnumeration(new Guid("f16719f8-26e5-d162-7d9a-3beb0a70c9a9"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareComponents
        {
            get
            {
                return Context.GetEnumeration(new Guid("6ffab887-b306-3d1a-e4cc-93a5b25b12c7"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareServer
        {
            get
            {
                return Context.GetEnumeration(new Guid("b60f4a7b-35bc-3ea6-480c-976da3946d63"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareClient
        {
            get
            {
                return Context.GetEnumeration(new Guid("76c3d837-0279-4b70-db9b-9d31502b0296"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("fdf0b03e-1df9-4dcb-baad-cf900a89edf4"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareNetwork
        {
            get
            {
                return Context.GetEnumeration(new Guid("5da666cc-0c8b-2e01-e4eb-dd6d791b2699"));
            } 
        }
       
        
        public static ManagementPackEnumeration Content
        {
            get
            {
                return Context.GetEnumeration(new Guid("48bf1fcf-7552-2e5c-187d-b3cd2dcfa993"));
            } 
        }
       
        
        public static ManagementPackEnumeration ContentOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("ff77456b-9c82-cf2a-cc76-44df6238a2cf"));
            } 
        }
       
        
        public static ManagementPackEnumeration ContentKnowledge
        {
            get
            {
                return Context.GetEnumeration(new Guid("aeeb06f2-dfe6-972a-93c8-488fb4016e51"));
            } 
        }
       
        
        public static ManagementPackEnumeration ContentIntranet
        {
            get
            {
                return Context.GetEnumeration(new Guid("0d5ff99e-a276-1250-f8df-8694ccd93623"));
            } 
        }
       
        
        public static ManagementPackEnumeration ContentExtranet
        {
            get
            {
                return Context.GetEnumeration(new Guid("1cfc30b8-26f2-591f-bd7b-dd28e172b1b5"));
            } 
        }
       
        
        public static ManagementPackEnumeration File
        {
            get
            {
                return Context.GetEnumeration(new Guid("7ee1901d-b877-846d-3b77-c347f21d7b87"));
            } 
        }
       
        
        public static ManagementPackEnumeration FileDiskVolumesandDFS
        {
            get
            {
                return Context.GetEnumeration(new Guid("a4e69877-6ffa-ec18-558e-8830e34dae06"));
            } 
        }
       
        
        public static ManagementPackEnumeration FileShares
        {
            get
            {
                return Context.GetEnumeration(new Guid("68fc3611-af82-dfc6-c5a5-8b84e4eec9b6"));
            } 
        }
       
        
        public static ManagementPackEnumeration FileRestoreFile
        {
            get
            {
                return Context.GetEnumeration(new Guid("9085ca71-0806-02f4-f3b9-9e60ddbfa6e1"));
            } 
        }
       
        
        public static ManagementPackEnumeration FileOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("5b3cd9e9-a4d7-c866-63ed-f6d9de38e142"));
            } 
        }
       
        
        public static ManagementPackEnumeration Infrastructure
        {
            get
            {
                return Context.GetEnumeration(new Guid("4c4417b1-58f4-48f7-9e5f-cd137f3260ac"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureMonitoring
        {
            get
            {
                return Context.GetEnumeration(new Guid("2fb70440-1728-5c51-dd8c-28c846eaf886"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureRemoteAccess
        {
            get
            {
                return Context.GetEnumeration(new Guid("089b4783-1e4d-7e03-2745-527d19cdeaa0"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureNetworkConnectivity
        {
            get
            {
                return Context.GetEnumeration(new Guid("89617d89-7a8a-f8bd-2c7c-540eddf4129a"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("5dedcac5-da2a-cead-109a-5882ecd5efcf"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureTelephony
        {
            get
            {
                return Context.GetEnumeration(new Guid("7cf621d2-26f2-a8b3-c616-6c753efb9489"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureNameResolution
        {
            get
            {
                return Context.GetEnumeration(new Guid("c129e285-1e8b-faaa-a003-72fd839d54b0"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureServerServices
        {
            get
            {
                return Context.GetEnumeration(new Guid("0a2e4aad-1261-b570-0a12-82ea0cd74f69"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureBackups
        {
            get
            {
                return Context.GetEnumeration(new Guid("06918a78-4766-8ede-2a45-8b053c9f4842"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureProxyorFirewall
        {
            get
            {
                return Context.GetEnumeration(new Guid("cd44283b-61a7-fb92-0624-cba26a43a77b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Directory
        {
            get
            {
                return Context.GetEnumeration(new Guid("8f1acc16-ef2c-4374-3b4c-e16a8a04ad0b"));
            } 
        }
       
        
        public static ManagementPackEnumeration DirectoryOUManagement
        {
            get
            {
                return Context.GetEnumeration(new Guid("5974b1bf-a5b9-cf94-1639-6c38f5a7c732"));
            } 
        }
       
        
        public static ManagementPackEnumeration DirectoryAccountManagement
        {
            get
            {
                return Context.GetEnumeration(new Guid("ada3b039-a4d3-3005-3e5c-c6a7a85c5655"));
            } 
        }
       
        
        public static ManagementPackEnumeration DirectoryOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("ebe8547f-529c-964d-a232-c80fefd87c82"));
            } 
        }
       
        
        public static ManagementPackEnumeration Facilities
        {
            get
            {
                return Context.GetEnumeration(new Guid("54bc5e38-559f-b569-1859-ec5db5f3012b"));
            } 
        }
       
        
        public static ManagementPackEnumeration FacilitiesPower
        {
            get
            {
                return Context.GetEnumeration(new Guid("a483aa7d-e0e8-a454-28d2-5802d9ef331c"));
            } 
        }
       
        
        public static ManagementPackEnumeration FacilitiesOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("815108bf-d241-dde8-279b-bcde7dceec1e"));
            } 
        }
       
        
        public static ManagementPackEnumeration Software
        {
            get
            {
                return Context.GetEnumeration(new Guid("55abaa96-5b63-600f-9cf6-f7d5ac71544e"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareApplication
        {
            get
            {
                return Context.GetEnumeration(new Guid("29308eb3-cfc3-9cb6-23f7-53986cf31ecf"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareFirmware
        {
            get
            {
                return Context.GetEnumeration(new Guid("c6350785-896e-2096-2fca-58dc0bb4e774"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("d79c30c0-6a2c-4b31-ed75-902d2e72a44e"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareConfiguration
        {
            get
            {
                return Context.GetEnumeration(new Guid("bbf09306-8b96-dcab-554f-bcf020f0a599"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareOperatingSystem
        {
            get
            {
                return Context.GetEnumeration(new Guid("45dc9909-5ea5-e70e-fddc-c621c4acd9aa"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareDriver
        {
            get
            {
                return Context.GetEnumeration(new Guid("ee5a5c4c-6c83-9aaf-abfd-c6ce8cef00b3"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwarePatch
        {
            get
            {
                return Context.GetEnumeration(new Guid("c1223efb-32cd-29d7-0f0e-d29cff8f21c8"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareLicenses
        {
            get
            {
                return Context.GetEnumeration(new Guid("241bb564-adeb-1fdd-754a-e66fb0734bd6"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareInstallation
        {
            get
            {
                return Context.GetEnumeration(new Guid("4374204c-ced1-9a88-52ae-ea457001a0bc"));
            } 
        }
       
        
    }
    

}/*
	Name	 		: System.WorkItem.Library	
	Id 				: 405d5590-b45f-1c97-024f-24338290453e
	Description 	: System work item library
*/
namespace Savviety.ServiceManager.API.WorkItem 
{
    
    
    public class ImpactEnum
    {
        
        public static ManagementPackEnumeration High
        {
            get
            {
                return Context.GetEnumeration(new Guid("d2b5e816-2d24-8e7d-a61f-2cceaeac2664"));
            } 
        }
       
        
        public static ManagementPackEnumeration Medium
        {
            get
            {
                return Context.GetEnumeration(new Guid("80cc222b-2653-2f68-8cee-3a7dd3b723c1"));
            } 
        }
       
        
        public static ManagementPackEnumeration Low
        {
            get
            {
                return Context.GetEnumeration(new Guid("8f1a713e-53aa-9d8a-31b9-a9540074f305"));
            } 
        }
       
        
    }
    
    
    public class ActionLogEnum
    {
        
        public static ManagementPackEnumeration AttachedFile
        {
            get
            {
                return Context.GetEnumeration(new Guid("aa88cefa-1c40-c1d2-8d64-162f5cb25f2b"));
            } 
        }
       
        
        public static ManagementPackEnumeration RecordDispatched
        {
            get
            {
                return Context.GetEnumeration(new Guid("c80bbb3a-528a-cc9d-58d3-22e6cf6a3ce4"));
            } 
        }
       
        
        public static ManagementPackEnumeration RecordActivated
        {
            get
            {
                return Context.GetEnumeration(new Guid("c3b2471e-4662-f394-7d0a-4d54743a8232"));
            } 
        }
       
        
        public static ManagementPackEnumeration RecordOpened
        {
            get
            {
                return Context.GetEnumeration(new Guid("57c84711-ab28-291a-793b-60d6532a35e3"));
            } 
        }
       
        
        public static ManagementPackEnumeration EMailSent
        {
            get
            {
                return Context.GetEnumeration(new Guid("15e86d4a-1b55-01be-c9fa-660a3cb3fc26"));
            } 
        }
       
        
        public static ManagementPackEnumeration TemplateApplied
        {
            get
            {
                return Context.GetEnumeration(new Guid("10d1d40a-80b4-6f35-f9fd-7e536decf297"));
            } 
        }
       
        
        public static ManagementPackEnumeration RecordEscalated
        {
            get
            {
                return Context.GetEnumeration(new Guid("4c04d527-a16a-58ed-c0a8-821f53b67f09"));
            } 
        }
       
        
        public static ManagementPackEnumeration AttachedFileDeleted
        {
            get
            {
                return Context.GetEnumeration(new Guid("308f9416-c672-200f-adb2-8e8cb10e2c33"));
            } 
        }
       
        
        public static ManagementPackEnumeration SurveyCompleted
        {
            get
            {
                return Context.GetEnumeration(new Guid("2d5568c7-c16b-71fa-ca3d-9b7b27140feb"));
            } 
        }
       
        
        public static ManagementPackEnumeration RecordAssigned
        {
            get
            {
                return Context.GetEnumeration(new Guid("b04370d9-3d4f-3981-61bb-ac9462a1fe65"));
            } 
        }
       
        
        public static ManagementPackEnumeration RecordResolved
        {
            get
            {
                return Context.GetEnumeration(new Guid("5ca2cfee-6740-1576-540b-ce17222840b8"));
            } 
        }
       
        
        public static ManagementPackEnumeration IncidentClosed
        {
            get
            {
                return Context.GetEnumeration(new Guid("6d051b98-bf5d-d63c-595c-daf7ef9919c6"));
            } 
        }
       
        
        public static ManagementPackEnumeration TaskRun
        {
            get
            {
                return Context.GetEnumeration(new Guid("d3a676ea-8251-cb74-f301-fa4a0697d21c"));
            } 
        }
       
        
    }
    
    
    public class UrgencyEnum
    {
        
        public static ManagementPackEnumeration Low
        {
            get
            {
                return Context.GetEnumeration(new Guid("725a4cad-088c-4f55-a845-000db8872e01"));
            } 
        }
       
        
        public static ManagementPackEnumeration Medium
        {
            get
            {
                return Context.GetEnumeration(new Guid("02625c30-08c6-4181-b2ed-222fa473280e"));
            } 
        }
       
        
        public static ManagementPackEnumeration High
        {
            get
            {
                return Context.GetEnumeration(new Guid("2f8f0747-b6cb-7996-fd4a-84d09743f218"));
            } 
        }
       
        
    }
    

}/*
	Name	 		: System.AdminItem.Library	
	Id 				: a87c22c5-8fd4-4252-86e8-b246ab404465
	Description 	: System Administration Item Library
*/
namespace Savviety.ServiceManager.API.AdminItem 
{
    
    
    public class AnnouncementPriorityEnum
    {
        
        public static ManagementPackEnumeration Low
        {
            get
            {
                return Context.GetEnumeration(new Guid("9cb0e9c2-4012-c30b-1e91-5e1272083d7b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Critical
        {
            get
            {
                return Context.GetEnumeration(new Guid("13a0d2e7-26ac-081b-aa59-e09f78adb7c9"));
            } 
        }
       
        
        public static ManagementPackEnumeration Medium
        {
            get
            {
                return Context.GetEnumeration(new Guid("4c02d027-2991-73eb-f8ca-f0123be92705"));
            } 
        }
       
        
    }
    
    
    public class GroomingCategoryEnum
    {
        
        public static ManagementPackEnumeration ChangeLog
        {
            get
            {
                return Context.GetEnumeration(new Guid("599eaf7c-4e5c-8928-c2ab-085c87ca5c7c"));
            } 
        }
       
        
        public static ManagementPackEnumeration Entity
        {
            get
            {
                return Context.GetEnumeration(new Guid("aa22c057-a845-468e-cc44-223f737faf62"));
            } 
        }
       
        
        public static ManagementPackEnumeration DataWarehouseStaging
        {
            get
            {
                return Context.GetEnumeration(new Guid("359f8ea1-5022-3bf3-7607-5dea8b67ce78"));
            } 
        }
       
        
        public static ManagementPackEnumeration SubscriptionLog
        {
            get
            {
                return Context.GetEnumeration(new Guid("26554a8c-944b-e6f9-50b8-64cade31cc20"));
            } 
        }
       
        
        public static ManagementPackEnumeration Fact
        {
            get
            {
                return Context.GetEnumeration(new Guid("9b11d577-ef8c-146c-513f-dba54990bb50"));
            } 
        }
       
        
    }
    

}/*
	Name	 		: System.Library	
	Id 				: 01c8b236-3bce-9dba-6f1c-c119bcdc2972
	Description 	: System Library: Root for all Management Packs.  Contains platform independent definitions.
*/
namespace Savviety.ServiceManager.API.Library 
{
    
    
    
    public class EnvironmentCategoryEnum
    {
        
    }
    
    
    public class VisibleToUserEnum
    {
        
    }
    
    
    public class ServiceClassificationEnum
    {
        
    }
    
    
    public class SearchEnabledEnum
    {
        
    }
    
    
    public class ObjectStatusEnum
    {
        
        public static ManagementPackEnumeration Active
        {
            get
            {
                return Context.GetEnumeration(new Guid("acdcedb7-100c-8c91-d664-4629a218bd94"));
            } 
        }
       
        
        public static ManagementPackEnumeration Deleted
        {
            get
            {
                return Context.GetEnumeration(new Guid("eec83e3c-0106-d4c0-99ea-93b75fd23020"));
            } 
        }
       
        
        public static ManagementPackEnumeration PendingDelete
        {
            get
            {
                return Context.GetEnumeration(new Guid("47101e64-237f-12c8-e3f5-ec5a665412fb"));
            } 
        }
       
        
    }
    
    
    public class ServicePriorityEnum
    {
        
    }
    
    
    public class ManagementPackAccessibilityEnum
    {
        
        public static ManagementPackEnumeration Public
        {
            get
            {
                return Context.GetEnumeration(new Guid("8a6cbbe5-af3b-cb81-6a54-11db520725f9"));
            } 
        }
       
        
        public static ManagementPackEnumeration Internal
        {
            get
            {
                return Context.GetEnumeration(new Guid("5dc95008-0f2c-2b9f-aec8-40a8be77ed53"));
            } 
        }
       
        
    }
    
    
    public class ServiceStatusEnum
    {
        
    }
    
    
    public class BuildCategoryEnum
    {
        
    }
    
    
    public class ManagementPackEnum
    {
        
        public static ManagementPackEnumeration Images
        {
            get
            {
                return Context.GetEnumeration(new Guid("2ae18518-9c0b-73e4-c056-360dba7f723f"));
            } 
        }
       
        
        public static ManagementPackEnumeration ImagesStatusIcon
        {
            get
            {
                return Context.GetEnumeration(new Guid("a75e09b2-6682-0b17-9be8-0343410b18cd"));
            } 
        }
       
        
        public static ManagementPackEnumeration ImagesDiagramIcon
        {
            get
            {
                return Context.GetEnumeration(new Guid("47097d01-8a52-d4e7-c34b-10afe5400796"));
            } 
        }
       
        
        public static ManagementPackEnumeration ImagesBmpIcon
        {
            get
            {
                return Context.GetEnumeration(new Guid("550a6e80-a865-81bd-3924-266de5955a93"));
            } 
        }
       
        
        public static ManagementPackEnumeration ImagesBackgroundImage
        {
            get
            {
                return Context.GetEnumeration(new Guid("478eacb4-f3eb-d2d5-556a-372af0b8ec9a"));
            } 
        }
       
        
        public static ManagementPackEnumeration Imagesu16x16Icon
        {
            get
            {
                return Context.GetEnumeration(new Guid("f12781d6-ee13-8a03-7aed-49580ebb290b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Imagesu32x32Icon
        {
            get
            {
                return Context.GetEnumeration(new Guid("dc29bc42-3f14-f8b2-1500-f84adb249b73"));
            } 
        }
       
        
        public static ManagementPackEnumeration ConsoleTasks
        {
            get
            {
                return Context.GetEnumeration(new Guid("00f3189d-6361-7cad-0c01-994b165b0d48"));
            } 
        }
       
        
        public static ManagementPackEnumeration ConsoleTasksAlert
        {
            get
            {
                return Context.GetEnumeration(new Guid("f7466c1f-409b-8f70-fa3d-a0211ac98167"));
            } 
        }
       
        
        public static ManagementPackEnumeration ConsoleTasksEvent
        {
            get
            {
                return Context.GetEnumeration(new Guid("de0aa866-1c50-a966-058a-a0ae31556438"));
            } 
        }
       
        
        public static ManagementPackEnumeration ConsoleTasksMonitoringObject
        {
            get
            {
                return Context.GetEnumeration(new Guid("5a7a3980-a1d5-775c-2ea0-ee5253bb7243"));
            } 
        }
       
        
    }
    
    
    public class NotVisibleToUserEnum
    {
        
    }
    
    
    public class AssetStatusEnum
    {
        
        public static ManagementPackEnumeration Retired
        {
            get
            {
                return Context.GetEnumeration(new Guid("f37e8b8c-e3df-47c1-bd23-41cb3c8dfa57"));
            } 
        }
       
        
        public static ManagementPackEnumeration Undefined
        {
            get
            {
                return Context.GetEnumeration(new Guid("a90fc2e9-65a8-77a5-fd4e-85b4bb662e70"));
            } 
        }
       
        
        public static ManagementPackEnumeration Purchased
        {
            get
            {
                return Context.GetEnumeration(new Guid("8972ed2a-dc07-e16c-857c-880e06c8f897"));
            } 
        }
       
        
        public static ManagementPackEnumeration Disposed
        {
            get
            {
                return Context.GetEnumeration(new Guid("7c9f378e-2738-4607-336b-b00aff8024ff"));
            } 
        }
       
        
        public static ManagementPackEnumeration Deployed
        {
            get
            {
                return Context.GetEnumeration(new Guid("6842782d-3707-20a5-659c-b5d4091e2c49"));
            } 
        }
       
        
        public static ManagementPackEnumeration PurchaseRequested
        {
            get
            {
                return Context.GetEnumeration(new Guid("35e7d4a5-05f5-6b56-54c8-c4f781af60be"));
            } 
        }
       
        
        public static ManagementPackEnumeration DeploymentRequested
        {
            get
            {
                return Context.GetEnumeration(new Guid("4f8b8635-96b4-f534-9739-ea44fe3d86ec"));
            } 
        }
       
        
    }
    

}/*
	Name	 		: System.WorkItem.Incident.Library	
	Id 				: dd26c521-7c2d-58c0-0980-dac2dacb0900
	Description 	: Incident Management Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{
    
    
    public class IncidentResolutionEnum
    {
        
        public static ManagementPackEnumeration AutoResolvedbyProblem
        {
            get
            {
                return Context.GetEnumeration(new Guid("4ddea88e-2da7-8f16-001a-af68db9a6b8e"));
            } 
        }
       
        
        public static ManagementPackEnumeration Resolvedbyparentincident
        {
            get
            {
                return Context.GetEnumeration(new Guid("967853b3-1622-12e6-7ae8-1c7e8299ed89"));
            } 
        }
       
        
        public static ManagementPackEnumeration Cancelled
        {
            get
            {
                return Context.GetEnumeration(new Guid("c72b161a-c065-f391-ab4d-5794308bd495"));
            } 
        }
       
        
        public static ManagementPackEnumeration Fixedbyanalyst
        {
            get
            {
                return Context.GetEnumeration(new Guid("c5f6ada9-a0df-01d6-7087-6b8500ca6c2b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Walkthroughknowledgearticle
        {
            get
            {
                return Context.GetEnumeration(new Guid("d5b5a27f-88d2-6846-d08f-7a56e3db6c11"));
            } 
        }
       
        
        public static ManagementPackEnumeration Fixedbyhighertiersupport
        {
            get
            {
                return Context.GetEnumeration(new Guid("377c9f3c-12e7-d95f-b66b-9fc1c776e938"));
            } 
        }
       
        
    }
    
    
    public class IncidentTierQueueEnum
    {
        
        public static ManagementPackEnumeration Tier1
        {
            get
            {
                return Context.GetEnumeration(new Guid("cd712f91-a26b-8ff8-133d-36f9f4b40d46"));
            } 
        }
       
        
        public static ManagementPackEnumeration Tier3
        {
            get
            {
                return Context.GetEnumeration(new Guid("7598539c-77f6-48f9-8a01-d2cc68a8623f"));
            } 
        }
       
        
        public static ManagementPackEnumeration Tier2
        {
            get
            {
                return Context.GetEnumeration(new Guid("df3896f5-3145-0546-4d25-e485de6765af"));
            } 
        }
       
        
    }
    
    
    public class IncidentStatusEnum
    {
        
        public static ManagementPackEnumeration Active
        {
            get
            {
                return Context.GetEnumeration(new Guid("5e2d3932-ca6d-1515-7310-6f58584df73e"));
            } 
        }
       
        
        public static ManagementPackEnumeration ActivePending
        {
            get
            {
                return Context.GetEnumeration(new Guid("b6679968-e84e-96fa-1fec-8cd4ab39c3de"));
            } 
        }
       
        
        public static ManagementPackEnumeration Closed
        {
            get
            {
                return Context.GetEnumeration(new Guid("bd0ae7c4-3315-2eb3-7933-82dfc482dbaf"));
            } 
        }
       
        
        public static ManagementPackEnumeration Resolved
        {
            get
            {
                return Context.GetEnumeration(new Guid("2b8830b6-59f0-f574-9c2a-f4b4682f1681"));
            } 
        }
       
        
    }
    
    
    public class IncidentSourceEnum
    {
        
        public static ManagementPackEnumeration Portal
        {
            get
            {
                return Context.GetEnumeration(new Guid("6ef191ce-3124-2974-94fb-020c677f4017"));
            } 
        }
       
        
        public static ManagementPackEnumeration Console
        {
            get
            {
                return Context.GetEnumeration(new Guid("76480d55-a19d-7cef-4446-0f1ccaef11ce"));
            } 
        }
       
        
        public static ManagementPackEnumeration Phone
        {
            get
            {
                return Context.GetEnumeration(new Guid("7b417fee-0516-a75a-c62c-426905fda768"));
            } 
        }
       
        
        public static ManagementPackEnumeration ConfigurationManagerDCM
        {
            get
            {
                return Context.GetEnumeration(new Guid("551ed1e6-0a12-9f2b-a057-528b115e17e3"));
            } 
        }
       
        
        public static ManagementPackEnumeration OperationsManager
        {
            get
            {
                return Context.GetEnumeration(new Guid("564c1afc-6453-4b25-5564-b46d84155545"));
            } 
        }
       
        
        public static ManagementPackEnumeration System
        {
            get
            {
                return Context.GetEnumeration(new Guid("615778d5-485a-752f-3c5d-f412f806e624"));
            } 
        }
       
        
        public static ManagementPackEnumeration EMail
        {
            get
            {
                return Context.GetEnumeration(new Guid("92b68e4f-c5bf-52ec-9bda-f55b43a9f4b5"));
            } 
        }
       
        
    }
    
    
    public class IncidentClassificationEnum
    {
        
        public static ManagementPackEnumeration EMailProblems
        {
            get
            {
                return Context.GetEnumeration(new Guid("27e10020-5cd7-146d-4329-16159477a8c4"));
            } 
        }
       
        
        public static ManagementPackEnumeration PrintingProblems
        {
            get
            {
                return Context.GetEnumeration(new Guid("bf261f09-5fad-eea4-24ce-1da889cef381"));
            } 
        }
       
        
        public static ManagementPackEnumeration OtherProblems
        {
            get
            {
                return Context.GetEnumeration(new Guid("e1480348-20aa-942c-4896-44dba726424f"));
            } 
        }
       
        
        public static ManagementPackEnumeration NetworkingProblems
        {
            get
            {
                return Context.GetEnumeration(new Guid("b66fe115-9fe8-f1dc-b963-4ce3a82d671e"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareProblems
        {
            get
            {
                return Context.GetEnumeration(new Guid("3929ce06-7494-d08e-5b89-564ed223c65a"));
            } 
        }
       
        
        public static ManagementPackEnumeration EnterpriseApplicationProblems
        {
            get
            {
                return Context.GetEnumeration(new Guid("8a56f6df-dd32-864a-f4a7-625bcf36a594"));
            } 
        }
       
        
        public static ManagementPackEnumeration ConfigurationDataProblems
        {
            get
            {
                return Context.GetEnumeration(new Guid("5cf234fc-b718-85dd-a8b3-bdaa92d8e89c"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareProblems
        {
            get
            {
                return Context.GetEnumeration(new Guid("9c46171f-64a2-b33a-fbd3-d3ed9881cdf6"));
            } 
        }
       
        
    }
    

}/*
	Name	 		: System.WorkItem.Problem.Library	
	Id 				: d93ec150-3906-5404-ee41-1aefaa35518e
	Description 	: System Work Item Problem Library
*/
namespace Savviety.ServiceManager.API.ProblemManagement 
{
    
    
    public class ProblemClassificationEnum
    {
        
        public static ManagementPackEnumeration Network
        {
            get
            {
                return Context.GetEnumeration(new Guid("9eaf6385-42c6-c9e5-3deb-280116b47a90"));
            } 
        }
       
        
        public static ManagementPackEnumeration Software
        {
            get
            {
                return Context.GetEnumeration(new Guid("930491f9-cfb3-bb8a-e5a8-2a64e675e015"));
            } 
        }
       
        
        public static ManagementPackEnumeration Document
        {
            get
            {
                return Context.GetEnumeration(new Guid("f6cb3461-3535-612c-a347-659ae10ee1fc"));
            } 
        }
       
        
        public static ManagementPackEnumeration Facilities
        {
            get
            {
                return Context.GetEnumeration(new Guid("6da9c496-0c5f-7d94-6b30-65eecdb02bda"));
            } 
        }
       
        
        public static ManagementPackEnumeration Application
        {
            get
            {
                return Context.GetEnumeration(new Guid("2f6f4410-4d6c-3abc-e106-69e8f38582e7"));
            } 
        }
       
        
        public static ManagementPackEnumeration Database
        {
            get
            {
                return Context.GetEnumeration(new Guid("40fe2c4a-1f30-0c51-6100-89b16d3b86d6"));
            } 
        }
       
        
        public static ManagementPackEnumeration Storage
        {
            get
            {
                return Context.GetEnumeration(new Guid("af950a2c-ed9c-0ca2-7e62-b3c2fb8de6a8"));
            } 
        }
       
        
        public static ManagementPackEnumeration Server
        {
            get
            {
                return Context.GetEnumeration(new Guid("20a0632d-447a-0dfc-c063-dc4c67a7f54c"));
            } 
        }
       
        
    }
    
    
    public class ProblemSourceEnum
    {
        
        public static ManagementPackEnumeration CustomerRequest
        {
            get
            {
                return Context.GetEnumeration(new Guid("5715e22e-c6e0-4e52-910e-3073ae5493a7"));
            } 
        }
       
        
        public static ManagementPackEnumeration ProactivePBM
        {
            get
            {
                return Context.GetEnumeration(new Guid("24a3fb5f-0d22-dc91-239c-6cc06be2e13e"));
            } 
        }
       
        
        public static ManagementPackEnumeration MajorIncident
        {
            get
            {
                return Context.GetEnumeration(new Guid("44df7071-b9f8-039b-e0a8-8a76de1b7ba5"));
            } 
        }
       
        
    }
    
    
    public class ProblemResolutionEnum
    {
        
        public static ManagementPackEnumeration Documentation
        {
            get
            {
                return Context.GetEnumeration(new Guid("4af1a120-b821-017d-cba8-19321fa311e9"));
            } 
        }
       
        
        public static ManagementPackEnumeration Process
        {
            get
            {
                return Context.GetEnumeration(new Guid("89b17454-da66-4dae-cc6b-46c7b8ee429f"));
            } 
        }
       
        
        public static ManagementPackEnumeration Network
        {
            get
            {
                return Context.GetEnumeration(new Guid("6656b723-b525-40e5-c660-633fd55f51c5"));
            } 
        }
       
        
        public static ManagementPackEnumeration Hardware
        {
            get
            {
                return Context.GetEnumeration(new Guid("2342fe44-77a8-5380-04b8-72b2ddba3007"));
            } 
        }
       
        
        public static ManagementPackEnumeration Application
        {
            get
            {
                return Context.GetEnumeration(new Guid("8bb932e7-3fb2-4ca1-a65f-c6f241684515"));
            } 
        }
       
        
    }
    
    
    public class ProblemStatusEnum
    {
        
        public static ManagementPackEnumeration Active
        {
            get
            {
                return Context.GetEnumeration(new Guid("720438eb-ba08-1263-0944-6791fcb48991"));
            } 
        }
       
        
        public static ManagementPackEnumeration Resolved
        {
            get
            {
                return Context.GetEnumeration(new Guid("7ff92b06-1694-41e5-2df7-b4d5970d2d2b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Closed
        {
            get
            {
                return Context.GetEnumeration(new Guid("25eac210-e091-8ae8-a713-fea2472f32ff"));
            } 
        }
       
        
    }
    

}/*
	Name	 		: System.WorkItem.ReleaseRecord.Library	
	Id 				: 50ba92b8-f5c7-fa12-4893-0a55df43d7ce
	Description 	: System WorkItem Release Record Library
*/
namespace Savviety.ServiceManager.API.ReleaseManagement 
{
    
    
    public class ReleaseTypeEnum
    {
        
        public static ManagementPackEnumeration Unplanned
        {
            get
            {
                return Context.GetEnumeration(new Guid("cea3ab27-3416-e154-69a5-2b0c2be9a2b8"));
            } 
        }
       
        
        public static ManagementPackEnumeration Planned
        {
            get
            {
                return Context.GetEnumeration(new Guid("00e3b2bf-3998-aa86-fcda-f4da426a501a"));
            } 
        }
       
        
    }
    
    
    public class ReleaseImplementationResultsEnum
    {
        
        public static ManagementPackEnumeration Rejected
        {
            get
            {
                return Context.GetEnumeration(new Guid("7dfb780a-66c9-1ea4-3a8f-0883f8bbbc91"));
            } 
        }
       
        
        public static ManagementPackEnumeration Failed
        {
            get
            {
                return Context.GetEnumeration(new Guid("2acc5f97-6e3b-0764-e9aa-6d95bc2045f0"));
            } 
        }
       
        
        public static ManagementPackEnumeration PartiallyImplemented
        {
            get
            {
                return Context.GetEnumeration(new Guid("3e119895-e1e5-ae06-fa6c-7532b50edc04"));
            } 
        }
       
        
        public static ManagementPackEnumeration Unauthorized
        {
            get
            {
                return Context.GetEnumeration(new Guid("b5ae15de-e369-f5f3-6ec1-89063a1e729c"));
            } 
        }
       
        
        public static ManagementPackEnumeration ImplementedWithIssues
        {
            get
            {
                return Context.GetEnumeration(new Guid("1f47cce5-c506-3a5d-f4f9-992126fd1b8b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Cancelled
        {
            get
            {
                return Context.GetEnumeration(new Guid("84db11ba-dd38-1b57-02c7-ab7e54a1474d"));
            } 
        }
       
        
        public static ManagementPackEnumeration SuccessfullyImplemented
        {
            get
            {
                return Context.GetEnumeration(new Guid("1727df7f-6eec-db7e-6aff-ac30fb105ad0"));
            } 
        }
       
        
    }
    
    
    public class ReleaseImpactEnum
    {
        
        public static ManagementPackEnumeration Significant
        {
            get
            {
                return Context.GetEnumeration(new Guid("7ed9d0e5-e419-e127-0489-5908a1442d94"));
            } 
        }
       
        
        public static ManagementPackEnumeration Major
        {
            get
            {
                return Context.GetEnumeration(new Guid("a818384f-4a3f-d06f-182a-b302271307c2"));
            } 
        }
       
        
        public static ManagementPackEnumeration Standard
        {
            get
            {
                return Context.GetEnumeration(new Guid("3da2bfd2-b57e-cc0e-4916-cae3c684200e"));
            } 
        }
       
        
        public static ManagementPackEnumeration Minor
        {
            get
            {
                return Context.GetEnumeration(new Guid("8fd0a688-db0f-c1cf-4e46-cb3d1e4b908b"));
            } 
        }
       
        
    }
    
    
    public class ReleasePriorityEnum
    {
        
        public static ManagementPackEnumeration Low
        {
            get
            {
                return Context.GetEnumeration(new Guid("c2293e85-b132-ab7f-3079-1cc4ff29c5d3"));
            } 
        }
       
        
        public static ManagementPackEnumeration High
        {
            get
            {
                return Context.GetEnumeration(new Guid("4d1c878a-1799-5dd5-822d-5131b3bd6596"));
            } 
        }
       
        
        public static ManagementPackEnumeration Immediate
        {
            get
            {
                return Context.GetEnumeration(new Guid("6f814540-619d-1333-4cce-56db5746b572"));
            } 
        }
       
        
        public static ManagementPackEnumeration Medium
        {
            get
            {
                return Context.GetEnumeration(new Guid("8c2e8a0e-5d0b-9f5f-1560-cffd9646d6c2"));
            } 
        }
       
        
    }
    
    
    public class ReleaseRiskEnum
    {
        
        public static ManagementPackEnumeration High
        {
            get
            {
                return Context.GetEnumeration(new Guid("ca845a04-0e96-8a62-a59d-09cbb35785fc"));
            } 
        }
       
        
        public static ManagementPackEnumeration NotAssessed
        {
            get
            {
                return Context.GetEnumeration(new Guid("eade819d-0b8d-518d-6a2d-15aba92ef955"));
            } 
        }
       
        
        public static ManagementPackEnumeration Medium
        {
            get
            {
                return Context.GetEnumeration(new Guid("1d174141-c34c-686e-3392-1952845fb72b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Low
        {
            get
            {
                return Context.GetEnumeration(new Guid("3c91122b-f567-937c-b7ba-2e60a433ebcc"));
            } 
        }
       
        
    }
    
    
    public class ReleaseStatusEnum
    {
        
        public static ManagementPackEnumeration Cancelled
        {
            get
            {
                return Context.GetEnumeration(new Guid("a000ff0a-2897-4184-73cb-308f533c0dca"));
            } 
        }
       
        
        public static ManagementPackEnumeration OnHold
        {
            get
            {
                return Context.GetEnumeration(new Guid("bab68d61-1e58-96ff-9f64-33a530fdaf98"));
            } 
        }
       
        
        public static ManagementPackEnumeration Failed
        {
            get
            {
                return Context.GetEnumeration(new Guid("f0073e33-fdda-a1ba-cd93-40b7c88afff4"));
            } 
        }
       
        
        public static ManagementPackEnumeration New
        {
            get
            {
                return Context.GetEnumeration(new Guid("9b3c924a-3f95-b9d8-6711-42aa8271dd30"));
            } 
        }
       
        
        public static ManagementPackEnumeration Editing
        {
            get
            {
                return Context.GetEnumeration(new Guid("f71c86cf-afbd-debf-4464-52fe122b888b"));
            } 
        }
       
        
        public static ManagementPackEnumeration InProgress
        {
            get
            {
                return Context.GetEnumeration(new Guid("1840bfdc-3589-88a5-cea9-67536fd95a3b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Completed
        {
            get
            {
                return Context.GetEnumeration(new Guid("c46ca677-e6c5-afe0-b51e-6aaad1f50e58"));
            } 
        }
       
        
        public static ManagementPackEnumeration Closed
        {
            get
            {
                return Context.GetEnumeration(new Guid("221155fc-ad9f-1e40-c50e-9028ee303137"));
            } 
        }
       
        
    }
    
    
    public class ReleaseCategoryEnum
    {
        
        public static ManagementPackEnumeration Fix
        {
            get
            {
                return Context.GetEnumeration(new Guid("c6a8e4d8-5e19-1348-dd8d-0c74fccf8c14"));
            } 
        }
       
        
        public static ManagementPackEnumeration Project
        {
            get
            {
                return Context.GetEnumeration(new Guid("393ddffd-e0c3-1791-4a34-13b5f0b811da"));
            } 
        }
       
        
    }
    

}/*
	Name	 		: System.WorkItem.ServiceRequest.Library	
	Id 				: 32502cfa-1045-b329-899d-bc236d485bc3
	Description 	: System Work Item Service Request Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{
    
    
    public class ServiceRequestSupportGroupEnum
    {
        
    }
    
    
    public class ServiceRequestUrgencyEnum
    {
        
        public static ManagementPackEnumeration Low
        {
            get
            {
                return Context.GetEnumeration(new Guid("b02d9277-a9fe-86f1-e95e-0ba8cd4fd075"));
            } 
        }
       
        
        public static ManagementPackEnumeration Medium
        {
            get
            {
                return Context.GetEnumeration(new Guid("c3945d25-5f43-36c4-c1c9-2d6da1912d07"));
            } 
        }
       
        
        public static ManagementPackEnumeration Immediate
        {
            get
            {
                return Context.GetEnumeration(new Guid("cf01467e-5f6d-a521-867b-7ab453261171"));
            } 
        }
       
        
        public static ManagementPackEnumeration High
        {
            get
            {
                return Context.GetEnumeration(new Guid("530ee945-9d39-8801-52aa-b910694e0254"));
            } 
        }
       
        
    }
    
    
    public class ServiceRequestAreaEnum
    {
        
        public static ManagementPackEnumeration File
        {
            get
            {
                return Context.GetEnumeration(new Guid("0ad08325-0c3d-f201-74da-3263594d38c4"));
            } 
        }
       
        
        public static ManagementPackEnumeration FileDiskVolumesandDFS
        {
            get
            {
                return Context.GetEnumeration(new Guid("c8c36f40-8560-a38f-4dd5-3e18acd2e929"));
            } 
        }
       
        
        public static ManagementPackEnumeration FileShares
        {
            get
            {
                return Context.GetEnumeration(new Guid("09153b6c-ce8b-8bbe-613a-7a20c4813538"));
            } 
        }
       
        
        public static ManagementPackEnumeration FileOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("21cc3262-54f2-0f09-dae1-8283447ed8ba"));
            } 
        }
       
        
        public static ManagementPackEnumeration FileRestoreFile
        {
            get
            {
                return Context.GetEnumeration(new Guid("acc28d76-46a7-65a0-d398-c13dfd38d9ab"));
            } 
        }
       
        
        public static ManagementPackEnumeration Messaging
        {
            get
            {
                return Context.GetEnumeration(new Guid("78be9804-febf-e164-b62e-4b5bd87055f6"));
            } 
        }
       
        
        public static ManagementPackEnumeration MessagingOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("b668438f-8903-28a4-84dd-118baed60ff5"));
            } 
        }
       
        
        public static ManagementPackEnumeration MessagingClient
        {
            get
            {
                return Context.GetEnumeration(new Guid("653eee38-b278-8546-0731-1ed56fbb08a8"));
            } 
        }
       
        
        public static ManagementPackEnumeration MessagingServer
        {
            get
            {
                return Context.GetEnumeration(new Guid("308ba500-b09c-3d1c-8448-de8c5896d37b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Security
        {
            get
            {
                return Context.GetEnumeration(new Guid("8d8fb939-7174-7bb9-b7c4-58bb0e228f5a"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("00f04276-23b7-e12c-5e82-1d2d5e292056"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityAccessControl
        {
            get
            {
                return Context.GetEnumeration(new Guid("d8655b75-8e8e-d3f4-f974-884b31af53e5"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityAccountManagement
        {
            get
            {
                return Context.GetEnumeration(new Guid("64841df1-ac2b-16dd-cc8c-9a229d11fbe7"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityInformation
        {
            get
            {
                return Context.GetEnumeration(new Guid("05b288a9-0899-5d36-17a4-a6a9d96fcab4"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityPhysical
        {
            get
            {
                return Context.GetEnumeration(new Guid("5b8feea3-f814-4d3d-9caa-e94401d870b6"));
            } 
        }
       
        
        public static ManagementPackEnumeration Operations
        {
            get
            {
                return Context.GetEnumeration(new Guid("58113904-cd9b-c3b0-6af4-5f371b269482"));
            } 
        }
       
        
        public static ManagementPackEnumeration OperationsOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("d223e3c0-bcc5-395c-94aa-73838db8399e"));
            } 
        }
       
        
        public static ManagementPackEnumeration OperationsProcess
        {
            get
            {
                return Context.GetEnumeration(new Guid("8b2b2c95-002b-8cf5-7596-8815f6c9b53a"));
            } 
        }
       
        
        public static ManagementPackEnumeration OperationsManagement
        {
            get
            {
                return Context.GetEnumeration(new Guid("9706cf37-8eff-d949-a94a-92ffed899810"));
            } 
        }
       
        
        public static ManagementPackEnumeration OperationsDocumentation
        {
            get
            {
                return Context.GetEnumeration(new Guid("0fffb8a2-cce2-407e-10c9-a988aa4bcad1"));
            } 
        }
       
        
        public static ManagementPackEnumeration Other
        {
            get
            {
                return Context.GetEnumeration(new Guid("d599b332-c9ed-d04c-710c-6354345f6246"));
            } 
        }
       
        
        public static ManagementPackEnumeration Facilities
        {
            get
            {
                return Context.GetEnumeration(new Guid("e332182f-c88e-2fd1-aa4d-64d6efba5c6d"));
            } 
        }
       
        
        public static ManagementPackEnumeration FacilitiesPower
        {
            get
            {
                return Context.GetEnumeration(new Guid("fdbd371d-6966-05d5-c80d-14cd0bdaff85"));
            } 
        }
       
        
        public static ManagementPackEnumeration FacilitiesOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("93a6352d-757d-ee0a-7e19-1b7be577725b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Content
        {
            get
            {
                return Context.GetEnumeration(new Guid("defb6baf-8291-7d62-c2e6-68ce80485d80"));
            } 
        }
       
        
        public static ManagementPackEnumeration ContentExtranet
        {
            get
            {
                return Context.GetEnumeration(new Guid("fb3d8743-a1c4-c4a2-05a6-2000ec1b8acb"));
            } 
        }
       
        
        public static ManagementPackEnumeration ContentIntranet
        {
            get
            {
                return Context.GetEnumeration(new Guid("3a049a88-9867-1f8b-749a-9e3b07826de0"));
            } 
        }
       
        
        public static ManagementPackEnumeration ContentOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("c03109d8-5c0c-8052-cf58-c9315ae9982a"));
            } 
        }
       
        
        public static ManagementPackEnumeration ContentKnowledge
        {
            get
            {
                return Context.GetEnumeration(new Guid("37f56097-c2d7-b006-dd66-e65e11d6dcd2"));
            } 
        }
       
        
        public static ManagementPackEnumeration Software
        {
            get
            {
                return Context.GetEnumeration(new Guid("bc424d1d-8f2b-8c66-ba7c-7736588f059f"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("f2256d85-2640-29a4-e64f-116588cacf8f"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareOperatingSystem
        {
            get
            {
                return Context.GetEnumeration(new Guid("34ff7bbd-dce8-29dd-1127-169df3784437"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwarePatch
        {
            get
            {
                return Context.GetEnumeration(new Guid("63b2fd33-e6be-c47c-f409-246f00a68556"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareConfiguration
        {
            get
            {
                return Context.GetEnumeration(new Guid("3400a8b7-b2fe-a0ac-51fa-29246ed00ff3"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareInstallation
        {
            get
            {
                return Context.GetEnumeration(new Guid("8bc0c1ae-00fe-f764-a124-4c1ccb6a22ef"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareApplication
        {
            get
            {
                return Context.GetEnumeration(new Guid("97a972f8-c5c6-79c9-c507-83582fa4df1c"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareLicenses
        {
            get
            {
                return Context.GetEnumeration(new Guid("b58aa6f0-7053-f4bb-f029-ab9084387a43"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareDriver
        {
            get
            {
                return Context.GetEnumeration(new Guid("aba6b3fc-45cb-e408-f7de-b5b6638b5e34"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareFirmware
        {
            get
            {
                return Context.GetEnumeration(new Guid("8fe17a43-01a8-00df-b582-e73c73a12d12"));
            } 
        }
       
        
        public static ManagementPackEnumeration Directory
        {
            get
            {
                return Context.GetEnumeration(new Guid("b69a3387-5ffd-e6f8-f343-ac8da2343687"));
            } 
        }
       
        
        public static ManagementPackEnumeration DirectoryAccountManagement
        {
            get
            {
                return Context.GetEnumeration(new Guid("5e2acc80-e351-1290-9f6a-0305effae839"));
            } 
        }
       
        
        public static ManagementPackEnumeration DirectoryOUManagement
        {
            get
            {
                return Context.GetEnumeration(new Guid("486afd4c-394f-6083-9cd2-2dfb4e3a9338"));
            } 
        }
       
        
        public static ManagementPackEnumeration DirectoryOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("275de5f0-8318-c382-690f-753d8cc230d9"));
            } 
        }
       
        
        public static ManagementPackEnumeration Hardware
        {
            get
            {
                return Context.GetEnumeration(new Guid("a2ed2169-e33f-da52-9295-bb737a5d2348"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("4c85dee1-f81a-336a-fa93-2db9ddfae13e"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareServer
        {
            get
            {
                return Context.GetEnumeration(new Guid("c0167d93-69e3-669b-264c-857e1ad82e51"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareComponents
        {
            get
            {
                return Context.GetEnumeration(new Guid("23e9b7f0-fb2b-821b-beac-945569707fe2"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareNetwork
        {
            get
            {
                return Context.GetEnumeration(new Guid("85cfbae1-4628-c9ac-28f7-b25f55630132"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareStorage
        {
            get
            {
                return Context.GetEnumeration(new Guid("1ac9e453-c457-fc50-cf98-c6081030cabb"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareClient
        {
            get
            {
                return Context.GetEnumeration(new Guid("c31de0fa-04c2-0f60-5fe2-e287ccbd047b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Infrastructure
        {
            get
            {
                return Context.GetEnumeration(new Guid("3c5e6037-b057-5745-4d89-e95f67d3236b"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureNetworkConnectivity
        {
            get
            {
                return Context.GetEnumeration(new Guid("4560320b-98f0-9ce3-a057-4b8ed5624ba8"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureBackups
        {
            get
            {
                return Context.GetEnumeration(new Guid("25fdd858-e5d5-b342-bb80-66280cf76414"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureProxyorFirewall
        {
            get
            {
                return Context.GetEnumeration(new Guid("db1943a1-c257-a4c0-7ff5-8aa1c8b6b609"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureMonitoring
        {
            get
            {
                return Context.GetEnumeration(new Guid("7a7a7f00-97b0-7f75-c43a-8bb7e475c581"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureRemoteAccess
        {
            get
            {
                return Context.GetEnumeration(new Guid("d1440b3a-65d5-b61b-80ee-a26b608e11ba"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureTelephony
        {
            get
            {
                return Context.GetEnumeration(new Guid("3c10384d-da8d-685b-17a8-adb16cc6aef9"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureNameResolution
        {
            get
            {
                return Context.GetEnumeration(new Guid("86f5aa89-5f42-fb80-3838-cdea69850a79"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("d2a67314-6d99-822e-edf2-dd4b37fbcaaf"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureServerServices
        {
            get
            {
                return Context.GetEnumeration(new Guid("d1bc0c04-cfa4-b3e6-b75f-e613bb512055"));
            } 
        }
       
        
    }
    
    
    public class ServiceRequestImplementationResultsEnum
    {
        
        public static ManagementPackEnumeration PartiallyImplemented
        {
            get
            {
                return Context.GetEnumeration(new Guid("076d31df-12e6-7213-d9e0-791b8184b79c"));
            } 
        }
       
        
        public static ManagementPackEnumeration Rejected
        {
            get
            {
                return Context.GetEnumeration(new Guid("b6fc74cc-a408-99a5-f53b-806b7eb1d161"));
            } 
        }
       
        
        public static ManagementPackEnumeration SuccessfullyImplemented
        {
            get
            {
                return Context.GetEnumeration(new Guid("d84df223-cc9f-b503-d1d4-824d225d2722"));
            } 
        }
       
        
        public static ManagementPackEnumeration Unauthorized
        {
            get
            {
                return Context.GetEnumeration(new Guid("c12070fa-a1b9-9820-e40a-ba5d7f584f8f"));
            } 
        }
       
        
        public static ManagementPackEnumeration ImplementedWithIssues
        {
            get
            {
                return Context.GetEnumeration(new Guid("6af5f8c2-ed77-cb69-26af-d66c1e62e720"));
            } 
        }
       
        
        public static ManagementPackEnumeration Cancelled
        {
            get
            {
                return Context.GetEnumeration(new Guid("e8863e3a-1ac3-159e-1cf6-d9d9638ffb9a"));
            } 
        }
       
        
        public static ManagementPackEnumeration Failed
        {
            get
            {
                return Context.GetEnumeration(new Guid("3dd522f4-92ec-689a-ae0e-db78fe95e3ad"));
            } 
        }
       
        
    }
    
    
    public class ServiceRequestStatusEnum
    {
        
        public static ManagementPackEnumeration New
        {
            get
            {
                return Context.GetEnumeration(new Guid("a52fbc7d-0ee3-c630-f820-37eae24d6e9b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Closed
        {
            get
            {
                return Context.GetEnumeration(new Guid("c7b65747-f99e-c108-1e17-3c1062138fc4"));
            } 
        }
       
        
        public static ManagementPackEnumeration Completed
        {
            get
            {
                return Context.GetEnumeration(new Guid("b026fdfd-89bd-490b-e1fd-a599c78d440f"));
            } 
        }
       
        
        public static ManagementPackEnumeration Failed
        {
            get
            {
                return Context.GetEnumeration(new Guid("21dbfcb4-05f3-fcc0-a58e-a9c48cde3b0e"));
            } 
        }
       
        
        public static ManagementPackEnumeration Cancelled
        {
            get
            {
                return Context.GetEnumeration(new Guid("674e87e4-a58e-eab0-9a05-b48881de784c"));
            } 
        }
       
        
        public static ManagementPackEnumeration OnHold
        {
            get
            {
                return Context.GetEnumeration(new Guid("05306bf5-a6b9-b5ad-326b-ba4e9724bf37"));
            } 
        }
       
        
        public static ManagementPackEnumeration InProgress
        {
            get
            {
                return Context.GetEnumeration(new Guid("59393f48-d85f-fa6d-2ebe-dcff395d7ed1"));
            } 
        }
       
        
        public static ManagementPackEnumeration Submitted
        {
            get
            {
                return Context.GetEnumeration(new Guid("72b55e17-1c7d-b34c-53ae-f61f8732e425"));
            } 
        }
       
        
    }
    
    
    public class ServiceRequestPriorityEnum
    {
        
        public static ManagementPackEnumeration Immediate
        {
            get
            {
                return Context.GetEnumeration(new Guid("d0a0fadd-7f17-c0a2-cb2f-00e15c51282c"));
            } 
        }
       
        
        public static ManagementPackEnumeration High
        {
            get
            {
                return Context.GetEnumeration(new Guid("536beaf3-62a8-5dd0-248a-39c2bf86d3bc"));
            } 
        }
       
        
        public static ManagementPackEnumeration Medium
        {
            get
            {
                return Context.GetEnumeration(new Guid("dd43a3a8-c640-2146-85a4-77978e3bb375"));
            } 
        }
       
        
        public static ManagementPackEnumeration Low
        {
            get
            {
                return Context.GetEnumeration(new Guid("1e070214-693f-4a19-82bb-b88ee6362d98"));
            } 
        }
       
        
    }
    
    
    public class ServiceRequestSourceEnum
    {
        
        public static ManagementPackEnumeration Other
        {
            get
            {
                return Context.GetEnumeration(new Guid("57e11419-ac27-a6fa-97f1-0ec2a9722807"));
            } 
        }
       
        
        public static ManagementPackEnumeration Email
        {
            get
            {
                return Context.GetEnumeration(new Guid("b08ab652-8aff-3244-fe57-19bcd9dd3e23"));
            } 
        }
       
        
        public static ManagementPackEnumeration Portal
        {
            get
            {
                return Context.GetEnumeration(new Guid("e98657b3-2e82-9eda-ab3d-7cbb8dec8f01"));
            } 
        }
       
        
    }
    

}/*
	Name	 		: System.WorkItem.Activity.Library	
	Id 				: aa265d90-3e2e-b9a2-d929-be0d36f1a53e
	Description 	: System Work Item Activity Library
*/
namespace Savviety.ServiceManager.API.ActivityManagement 
{
    
    
    public class DecisionEnum
    {
        
        public static ManagementPackEnumeration NotYetVoted
        {
            get
            {
                return Context.GetEnumeration(new Guid("dae75d12-89ac-a8d8-4fe3-516c2a6a26f7"));
            } 
        }
       
        
        public static ManagementPackEnumeration Approved
        {
            get
            {
                return Context.GetEnumeration(new Guid("0e856c6c-04e5-0a8e-6041-bc7715b4747e"));
            } 
        }
       
        
        public static ManagementPackEnumeration Rejected
        {
            get
            {
                return Context.GetEnumeration(new Guid("107fc6bd-2bb3-0282-4425-f43b5b32ef13"));
            } 
        }
       
        
    }
    
    
    public class ActivityStageEnum
    {
        
        public static ManagementPackEnumeration Develop
        {
            get
            {
                return Context.GetEnumeration(new Guid("88bf1082-9d7a-e2a2-bad4-041ca80a4ad6"));
            } 
        }
       
        
        public static ManagementPackEnumeration ValidateandReview
        {
            get
            {
                return Context.GetEnumeration(new Guid("ae2fefbd-78cf-62e2-6719-189285ffb5fc"));
            } 
        }
       
        
        public static ManagementPackEnumeration Test
        {
            get
            {
                return Context.GetEnumeration(new Guid("f8258006-f893-1b06-a90b-3028240622d7"));
            } 
        }
       
        
        public static ManagementPackEnumeration Initiate
        {
            get
            {
                return Context.GetEnumeration(new Guid("111a0276-72df-38a9-f629-4c0e337c1739"));
            } 
        }
       
        
        public static ManagementPackEnumeration Approve
        {
            get
            {
                return Context.GetEnumeration(new Guid("8f76a43c-2ad0-acc8-6d71-789f2bd12762"));
            } 
        }
       
        
        public static ManagementPackEnumeration Release
        {
            get
            {
                return Context.GetEnumeration(new Guid("430c5c69-4650-0acf-524b-fb69c60198c2"));
            } 
        }
       
        
    }
    
    
    public class ApprovalEnum
    {
        
        public static ManagementPackEnumeration Automatic
        {
            get
            {
                return Context.GetEnumeration(new Guid("5889b427-74a4-4eaa-3e9e-1bcb2e05fe94"));
            } 
        }
       
        
        public static ManagementPackEnumeration Percentage
        {
            get
            {
                return Context.GetEnumeration(new Guid("3a3ae3e4-1a30-e2ce-0270-8f22231d4c07"));
            } 
        }
       
        
        public static ManagementPackEnumeration Unanimous
        {
            get
            {
                return Context.GetEnumeration(new Guid("c9822c46-f186-ca46-e00a-fca5b9a6819b"));
            } 
        }
       
        
    }
    
    
    public class ActivityPriorityEnum
    {
        
        public static ManagementPackEnumeration Immediate
        {
            get
            {
                return Context.GetEnumeration(new Guid("82ab2605-2cb3-8ec2-8dbf-4d608a71fb4d"));
            } 
        }
       
        
        public static ManagementPackEnumeration Medium
        {
            get
            {
                return Context.GetEnumeration(new Guid("5f29e330-5fc0-46fd-715a-5fd2e0980488"));
            } 
        }
       
        
        public static ManagementPackEnumeration Low
        {
            get
            {
                return Context.GetEnumeration(new Guid("0325c244-387b-d31a-e229-943bfa1924fe"));
            } 
        }
       
        
        public static ManagementPackEnumeration High
        {
            get
            {
                return Context.GetEnumeration(new Guid("b2968b97-8f66-ee5e-84ec-f435fa685544"));
            } 
        }
       
        
    }
    
    
    public class ActivityAreaEnum
    {
        
        public static ManagementPackEnumeration Hardware
        {
            get
            {
                return Context.GetEnumeration(new Guid("189b2c91-9932-17f0-2fbf-24782f4f2366"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareStorage
        {
            get
            {
                return Context.GetEnumeration(new Guid("342150b0-729a-b6dd-f35a-536a049a81f9"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareNetwork
        {
            get
            {
                return Context.GetEnumeration(new Guid("4a64f8ea-6a65-fe09-702d-54966c6412cd"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareComponents
        {
            get
            {
                return Context.GetEnumeration(new Guid("434d3ece-0a7a-b102-9eda-7c168abaf14e"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("c95f2d0d-edfd-1111-f52a-93e9d46ccb67"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareServer
        {
            get
            {
                return Context.GetEnumeration(new Guid("01aadb6b-c656-fed3-7c94-cb6c3941960d"));
            } 
        }
       
        
        public static ManagementPackEnumeration HardwareClient
        {
            get
            {
                return Context.GetEnumeration(new Guid("52d079eb-9b71-85f7-86f1-ef660c49c8a2"));
            } 
        }
       
        
        public static ManagementPackEnumeration Software
        {
            get
            {
                return Context.GetEnumeration(new Guid("fcf66aa4-1ce8-d560-747b-2c9cbf3a9c93"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareDriver
        {
            get
            {
                return Context.GetEnumeration(new Guid("c8a4eea5-7cec-cc0e-63ff-053a6e5e7111"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareLicenses
        {
            get
            {
                return Context.GetEnumeration(new Guid("0443b9f4-d01f-a49f-d640-1b63ca8052f7"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwarePatch
        {
            get
            {
                return Context.GetEnumeration(new Guid("aab1d62b-4e38-f3e1-ed32-3eac9def75d3"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareInstallation
        {
            get
            {
                return Context.GetEnumeration(new Guid("ccb46548-ba9c-aa36-eb66-4c4caa083379"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareFirmware
        {
            get
            {
                return Context.GetEnumeration(new Guid("3fd9f63f-5478-7f61-2152-71cf19ebebc5"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareApplication
        {
            get
            {
                return Context.GetEnumeration(new Guid("36cd79c9-ee6d-f97e-b8fc-b75e889e0495"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareOperatingSystem
        {
            get
            {
                return Context.GetEnumeration(new Guid("173524cd-0d94-82ad-b435-d65c42e3450a"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareConfiguration
        {
            get
            {
                return Context.GetEnumeration(new Guid("9ddf5796-8d04-cbc9-848d-de1fc5a07b2d"));
            } 
        }
       
        
        public static ManagementPackEnumeration SoftwareOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("60a6e514-b9ae-8d5c-95ea-fa61949a991d"));
            } 
        }
       
        
        public static ManagementPackEnumeration Security
        {
            get
            {
                return Context.GetEnumeration(new Guid("b86e9fd9-3ee4-21a6-d2b5-3dd5a34c7bb5"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("237a311a-45d1-2b30-a88a-27ca8ce5bfa2"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityAccountManagement
        {
            get
            {
                return Context.GetEnumeration(new Guid("8a49f952-0583-9431-466d-5399593264e9"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityPhysical
        {
            get
            {
                return Context.GetEnumeration(new Guid("fb396485-21ca-268b-66ff-600cc31d103f"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityInformation
        {
            get
            {
                return Context.GetEnumeration(new Guid("94dc976b-150a-40ce-e5fb-bcd569d95be5"));
            } 
        }
       
        
        public static ManagementPackEnumeration SecurityAccessControl
        {
            get
            {
                return Context.GetEnumeration(new Guid("a92392cc-abfc-88f5-9a1d-e257826f1e70"));
            } 
        }
       
        
        public static ManagementPackEnumeration Content
        {
            get
            {
                return Context.GetEnumeration(new Guid("0048ac9b-316f-a12d-6ccd-6391ae691356"));
            } 
        }
       
        
        public static ManagementPackEnumeration ContentKnowledge
        {
            get
            {
                return Context.GetEnumeration(new Guid("c3c1d354-ecf1-62d9-9be5-06833d5d4965"));
            } 
        }
       
        
        public static ManagementPackEnumeration ContentIntranet
        {
            get
            {
                return Context.GetEnumeration(new Guid("dd8d804f-e4c3-2d7b-0061-6f1724011b2d"));
            } 
        }
       
        
        public static ManagementPackEnumeration ContentExtranet
        {
            get
            {
                return Context.GetEnumeration(new Guid("846536bd-4b05-7ed8-1ff0-ac1253b17b19"));
            } 
        }
       
        
        public static ManagementPackEnumeration ContentOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("ba0c4782-1a78-71fe-fc20-b363b4878f17"));
            } 
        }
       
        
        public static ManagementPackEnumeration Infrastructure
        {
            get
            {
                return Context.GetEnumeration(new Guid("ea573e65-de2a-a7ac-6384-7c5908a4691d"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureNetworkConnectivity
        {
            get
            {
                return Context.GetEnumeration(new Guid("ce8e65f6-88fa-228b-c280-06b2cb559d07"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureNameResolution
        {
            get
            {
                return Context.GetEnumeration(new Guid("d2983d30-d325-538a-5ddc-176bfcd11c6e"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureRemoteAccess
        {
            get
            {
                return Context.GetEnumeration(new Guid("531b8273-65a1-8c22-980b-2e3873e2f6f2"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("8875ec6a-a426-dacd-ec58-439b42b34f61"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureProxyFirewall
        {
            get
            {
                return Context.GetEnumeration(new Guid("a1599fa2-a9d6-ef59-975b-72fe5829d9d0"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureTelephony
        {
            get
            {
                return Context.GetEnumeration(new Guid("f99dc73d-d00e-2e0b-3ded-7a1906e1da5e"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureBackups
        {
            get
            {
                return Context.GetEnumeration(new Guid("3bdad920-c0c7-d8c8-6052-bd03e954bd3c"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureServerServices
        {
            get
            {
                return Context.GetEnumeration(new Guid("7011e20f-e60f-cb67-8c1b-c4d942a5979a"));
            } 
        }
       
        
        public static ManagementPackEnumeration InfrastructureMonitoring
        {
            get
            {
                return Context.GetEnumeration(new Guid("84469af0-4cdd-e06d-7601-d4a07cb4f3ad"));
            } 
        }
       
        
        public static ManagementPackEnumeration Other
        {
            get
            {
                return Context.GetEnumeration(new Guid("55a22c4e-0d7f-ec39-90d5-a312359d0a34"));
            } 
        }
       
        
        public static ManagementPackEnumeration Directory
        {
            get
            {
                return Context.GetEnumeration(new Guid("b5ea3174-945b-f6e0-5b5a-aa2fad1f5be4"));
            } 
        }
       
        
        public static ManagementPackEnumeration DirectoryOUManagement
        {
            get
            {
                return Context.GetEnumeration(new Guid("855fe923-7f53-ddae-6c8a-145e115b671c"));
            } 
        }
       
        
        public static ManagementPackEnumeration DirectoryAccountManagement
        {
            get
            {
                return Context.GetEnumeration(new Guid("72055e26-737e-cf5a-4265-7e80007ffe5e"));
            } 
        }
       
        
        public static ManagementPackEnumeration DirectoryOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("5a0c8102-2c78-8475-fca4-abd9c27c913c"));
            } 
        }
       
        
        public static ManagementPackEnumeration Facilities
        {
            get
            {
                return Context.GetEnumeration(new Guid("f83ff7b6-4bcc-7e56-eecb-dd3e88e90dff"));
            } 
        }
       
        
        public static ManagementPackEnumeration FacilitiesOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("3cb3f1ce-f230-9948-31ea-ed4369f3f5d5"));
            } 
        }
       
        
        public static ManagementPackEnumeration FacilitiesPower
        {
            get
            {
                return Context.GetEnumeration(new Guid("ad93d174-6106-78fd-c99e-edb12ff89fce"));
            } 
        }
       
        
        public static ManagementPackEnumeration Operations
        {
            get
            {
                return Context.GetEnumeration(new Guid("262624ed-5c31-f449-3f82-df3338b2db9b"));
            } 
        }
       
        
        public static ManagementPackEnumeration OperationsProcess
        {
            get
            {
                return Context.GetEnumeration(new Guid("8ab18593-de09-0e06-c265-2ffbaabade5d"));
            } 
        }
       
        
        public static ManagementPackEnumeration OperationsManagement
        {
            get
            {
                return Context.GetEnumeration(new Guid("114625fe-557d-c042-ae0b-4ecf934d92a0"));
            } 
        }
       
        
        public static ManagementPackEnumeration OperationsDocumentation
        {
            get
            {
                return Context.GetEnumeration(new Guid("a2338780-2a32-4ad7-30d0-96bb7d09625f"));
            } 
        }
       
        
        public static ManagementPackEnumeration OperationsOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("1b9b550d-d572-3c7d-4bcd-a76b1141abd8"));
            } 
        }
       
        
        public static ManagementPackEnumeration Messaging
        {
            get
            {
                return Context.GetEnumeration(new Guid("a9686214-0ec9-18d2-706c-f9fbfa50b3c7"));
            } 
        }
       
        
        public static ManagementPackEnumeration MessagingClient
        {
            get
            {
                return Context.GetEnumeration(new Guid("c6de1b81-942d-1d95-240b-001c0db521ad"));
            } 
        }
       
        
        public static ManagementPackEnumeration MessagingServer
        {
            get
            {
                return Context.GetEnumeration(new Guid("772fc559-9fb9-1ecf-9235-43d5d0c85de5"));
            } 
        }
       
        
        public static ManagementPackEnumeration MessagingOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("da3be82c-7226-9167-f939-4e238b205534"));
            } 
        }
       
        
        public static ManagementPackEnumeration File
        {
            get
            {
                return Context.GetEnumeration(new Guid("3dba2935-ff2a-a756-1c1b-fdec2ea805cd"));
            } 
        }
       
        
        public static ManagementPackEnumeration FileRestoreFile
        {
            get
            {
                return Context.GetEnumeration(new Guid("f5c67d7e-b375-6764-310d-2ba21978d2d5"));
            } 
        }
       
        
        public static ManagementPackEnumeration FileShares
        {
            get
            {
                return Context.GetEnumeration(new Guid("4026bf6c-a660-5f86-3eb4-995cf7481f95"));
            } 
        }
       
        
        public static ManagementPackEnumeration FileDiskVolumesandDFS
        {
            get
            {
                return Context.GetEnumeration(new Guid("00e16af8-0cce-e5e6-27f4-c3e6fb89c767"));
            } 
        }
       
        
        public static ManagementPackEnumeration FileOther
        {
            get
            {
                return Context.GetEnumeration(new Guid("e4021d94-9cfe-d909-51a7-eded4ffc8072"));
            } 
        }
       
        
    }
    
    
    public class ActivityStatusEnum
    {
        
        public static ManagementPackEnumeration Completed
        {
            get
            {
                return Context.GetEnumeration(new Guid("9de908a1-d8f1-477e-c6a2-62697042b8d9"));
            } 
        }
       
        
        public static ManagementPackEnumeration Cancelled
        {
            get
            {
                return Context.GetEnumeration(new Guid("89465302-2a23-d2b6-6906-74f03d9b7b41"));
            } 
        }
       
        
        public static ManagementPackEnumeration Skipped
        {
            get
            {
                return Context.GetEnumeration(new Guid("eaec5899-b13c-d107-3e1a-955da6bf9fa7"));
            } 
        }
       
        
        public static ManagementPackEnumeration InProgress
        {
            get
            {
                return Context.GetEnumeration(new Guid("11fc3cef-15e5-bca4-dee0-9c1155ec8d83"));
            } 
        }
       
        
        public static ManagementPackEnumeration OnHold
        {
            get
            {
                return Context.GetEnumeration(new Guid("d544258f-24da-1cf3-c230-b057aaa66bed"));
            } 
        }
       
        
        public static ManagementPackEnumeration Failed
        {
            get
            {
                return Context.GetEnumeration(new Guid("144bcd52-a710-2778-2a6e-c62e0c8aae74"));
            } 
        }
       
        
        public static ManagementPackEnumeration Rerun
        {
            get
            {
                return Context.GetEnumeration(new Guid("baa948b5-cc6a-57d7-4b56-d2012721b2e5"));
            } 
        }
       
        
        public static ManagementPackEnumeration Pending
        {
            get
            {
                return Context.GetEnumeration(new Guid("50c667cf-84e5-97f8-f6f8-d8acd99f181c"));
            } 
        }
       
        
    }
    

}/*
	Name	 		: System.SupportingItem.Library	
	Id 				: 23e3ae8e-1981-8560-2e55-8730cbc04965
	Description 	: System Supporting Item Library
*/
namespace Savviety.ServiceManager.API.SupportingItem 
{
    

}/*
	Name	 		: ServiceManager.IncidentManagement.Library	
	Id 				: 7b6d701a-4598-8220-dea8-4ae0504f6f58
	Description 	: Service Manager Incident Management Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{
    
    

}/*
	Name	 		: System.Knowledge.Library	
	Id 				: 0a8001ed-59dc-629c-201f-4643a6a48009
	Description 	: System Knowledge Library
*/
namespace Savviety.ServiceManager.API.Knowledge 
{
    
    
    public class KnowledgeArticleCategoryEnum
    {
        
    }
    
    
    public class KnowledgeArticleTypeEnum
    {
        
    }
    
    
    public class KnowledgeArticleStatusEnum
    {
        
        public static ManagementPackEnumeration Published
        {
            get
            {
                return Context.GetEnumeration(new Guid("761b8724-8307-8f26-3dc5-cf017922b603"));
            } 
        }
       
        
        public static ManagementPackEnumeration Draft
        {
            get
            {
                return Context.GetEnumeration(new Guid("10f171df-3ab1-648d-d151-d83a5171dd7b"));
            } 
        }
       
        
        public static ManagementPackEnumeration Archived
        {
            get
            {
                return Context.GetEnumeration(new Guid("df9ed3cf-083b-06e8-9679-dadf4145950d"));
            } 
        }
       
        
    }
    
    
    public class KnowledgeArticleTagEnum
    {
        
    }
    

}/*
	Name	 		: ServiceManager.ReleaseManagement.Library	
	Id 				: 8870d61a-5d30-bb34-6827-ca764849a888
	Description 	: Service Manager Release Management Library
*/
namespace Savviety.ServiceManager.API.ReleaseManagement 
{
    
    
    public class CreateTaskEnum
    {
        
    }
    

}/*
	Name	 		: ServiceManager.ServiceRequest.Library	
	Id 				: b9bfce1c-7458-ab60-65fb-6492446d7261
	Description 	: Service Manager Service Request Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{
    

}/*
	Name	 		: System.ServiceCatalog.Library	
	Id 				: 4eafa3dd-ccc9-ff17-8285-63756cf8a34b
	Description 	: System Service Catalog Library
*/
namespace Savviety.ServiceManager.API.ServiceCatalog 
{
    
    
    public class OfferingStatusEnum
    {
        
        public static ManagementPackEnumeration Published
        {
            get
            {
                return Context.GetEnumeration(new Guid("9ca7e043-7b52-8cec-f5fb-67d56634d18f"));
            } 
        }
       
        
        public static ManagementPackEnumeration Draft
        {
            get
            {
                return Context.GetEnumeration(new Guid("f5b93d1f-1653-24c6-385e-994ed5e547a9"));
            } 
        }
       
        
    }
    
    
    public class EnableServiceCatalogEnum
    {
        
    }
    
    
    public class ServiceOfferingCategoryEnum
    {
        
        public static ManagementPackEnumeration General
        {
            get
            {
                return Context.GetEnumeration(new Guid("fb799e52-9578-bcef-4556-6c12c42b84c9"));
            } 
        }
       
        
    }
    

}/*
	Name	 		: ServiceManager.ActivityManagement.Library	
	Id 				: 7b8d32db-bdb4-cabf-b947-c013c0e00baa
	Description 	: Service Manager Activity Management Library
*/
namespace Savviety.ServiceManager.API.ActivityManagement 
{
    

}/*
	Name	 		: ServiceManager.ChangeManagement.Library	
	Id 				: 2bf6413b-bb6c-1108-d33a-152c9d1db56b
	Description 	: Service Manager Change Management Library
*/
namespace Savviety.ServiceManager.API.ChangeManagement 
{
    
    
    public class CreateTaskEnum
    {
        
    }
    

}/*
	Name	 		: System.Notifications.Library	
	Id 				: 8e02a0aa-04b1-812b-6ab5-1c12e3288e99
	Description 	: System Notification Library: This Management Pack contains the definitions that are specific to Notifications.
*/
namespace System.Notifications.Library 
{
    

}