﻿using System;    
using System.IO;
using System.Linq;
using System.Collections.Generic;
using Savviety.ServiceManager.API;
using Savviety.ServiceManager.API.Criteria;
using Microsoft.EnterpriseManagement;
using Microsoft.EnterpriseManagement.Common;
using Microsoft.EnterpriseManagement.Configuration;
 
/*
	Name	 		: ServiceManager.IncidentManagement.Library	
	Id 				: 7b6d701a-4598-8220-dea8-4ae0504f6f58
	Description 	: Service Manager Incident Management Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{      

            // Source Managementpack Name: ServiceManager.IncidentManagement.Library
			public class IncidentViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public IncidentViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("a604b942-4c7b-2fb2-28dc-61dc6f465c68"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("9cc39579-e071-cca8-ef6e-07263620b87f");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static IncidentViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  IncidentViewProjectionProxy(p);
				}
				
                /*                
				public static IncidentViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.TroubleTicket']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("9cc39579-e071-cca8-ef6e-07263620b87f"), property, id);
					return  new IncidentViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.IncidentManagement.Library
			public class ChildincidentProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ChildincidentProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("a604b942-4c7b-2fb2-28dc-61dc6f465c68"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("449167c7-f40e-1402-21a8-0ec787d3d096");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ChildincidentProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ChildincidentProjectionProxy(p);
				}
				
                /*                
				public static ChildincidentProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.TroubleTicket']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("449167c7-f40e-1402-21a8-0ec787d3d096"), property, id);
					return  new ChildincidentProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.IncidentManagement.Library
			public class ParentincidentProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ParentincidentProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("a604b942-4c7b-2fb2-28dc-61dc6f465c68"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("039bc84f-cfe2-4e7e-9201-208929b252cd");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ParentincidentProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ParentincidentProjectionProxy(p);
				}
				
                /*                
				public static ParentincidentProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.TroubleTicket']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("039bc84f-cfe2-4e7e-9201-208929b252cd"), property, id);
					return  new ParentincidentProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.IncidentManagement.Library
			public class IncidentViewParentProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public IncidentViewParentProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("a604b942-4c7b-2fb2-28dc-61dc6f465c68"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("d117db90-dbb2-ae4c-1c51-37513e42e740");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static IncidentViewParentProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  IncidentViewParentProjectionProxy(p);
				}
				
                /*                
				public static IncidentViewParentProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.TroubleTicket']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("d117db90-dbb2-ae4c-1c51-37513e42e740"), property, id);
					return  new IncidentViewParentProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.IncidentManagement.Library
			public class IncidentTasksProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public IncidentTasksProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("a604b942-4c7b-2fb2-28dc-61dc6f465c68"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("6d7f5a99-f9e4-3e60-c5fe-385ffe949eea");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static IncidentTasksProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  IncidentTasksProjectionProxy(p);
				}
				
                /*                
				public static IncidentTasksProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.TroubleTicket']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("6d7f5a99-f9e4-3e60-c5fe-385ffe949eea"), property, id);
					return  new IncidentTasksProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.IncidentManagement.Library
			public class IncidentActivitiesProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public IncidentActivitiesProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("a604b942-4c7b-2fb2-28dc-61dc6f465c68"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("e3003765-95da-3c80-2716-530515a10732");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static IncidentActivitiesProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  IncidentActivitiesProjectionProxy(p);
				}
				
                /*                
				public static IncidentActivitiesProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.TroubleTicket']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("e3003765-95da-3c80-2716-530515a10732"), property, id);
					return  new IncidentActivitiesProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.IncidentManagement.Library
			public class IncidentResolutionandbillableLogProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public IncidentResolutionandbillableLogProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("a604b942-4c7b-2fb2-28dc-61dc6f465c68"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("86b0f440-677f-ae8d-b5dc-9fa60edb04e5");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static IncidentResolutionandbillableLogProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  IncidentResolutionandbillableLogProjectionProxy(p);
				}
				
                /*                
				public static IncidentResolutionandbillableLogProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.TroubleTicket']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("86b0f440-677f-ae8d-b5dc-9fa60edb04e5"), property, id);
					return  new IncidentResolutionandbillableLogProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.IncidentManagement.Library
			public class IncidentProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public IncidentProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("a604b942-4c7b-2fb2-28dc-61dc6f465c68"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("285cb0a2-f276-bccb-563e-bb721df7cdec");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static IncidentProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  IncidentProjectionProxy(p);
				}
				
                /*                
				public static IncidentProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.TroubleTicket']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("285cb0a2-f276-bccb-563e-bb721df7cdec"), property, id);
					return  new IncidentProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.IncidentManagement.Library
			public class FileattachmentProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public FileattachmentProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("68a35b6d-ca3d-8d90-f93d-248ceff935c0"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("42561c7a-5d16-a5fe-64f9-ffa5bbc6cdb5");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static FileattachmentProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  FileattachmentProjectionProxy(p);
				}
				
                /*                
				public static FileattachmentProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.SupportingItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.Information']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("42561c7a-5d16-a5fe-64f9-ffa5bbc6cdb5"), property, id);
					return  new FileattachmentProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.IncidentManagement.Library
			public class IncidentDcmProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public IncidentDcmProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("90234dbf-5fd1-a2c3-b34b-429b163b8060"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("c3eec496-48d1-39c2-a82a-1131d3a31c84");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b6d701a-4598-8220-dea8-4ae0504f6f58");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static IncidentDcmProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  IncidentDcmProjectionProxy(p);
				}
				
                /*                
				public static IncidentDcmProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Incident.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Incident']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("c3eec496-48d1-39c2-a82a-1131d3a31c84"), property, id);
					return  new IncidentDcmProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
		
}
/*
	Name	 		: ServiceManager.ProblemManagement.Library	
	Id 				: b6bc43b6-49dc-fa34-40cc-b2c1dc8bc61c
	Description 	: Service Manager Problem Management Library
*/
namespace Savviety.ServiceManager.API.ProblemManagement 
{      

            // Source Managementpack Name: ServiceManager.ProblemManagement.Library
			public class ProblemProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ProblemProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("422afc88-5eff-f4c5-f8f6-e01038cde67f"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("45c1c404-f3fe-1050-dcef-530e1c2533e1");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("b6bc43b6-49dc-fa34-40cc-b2c1dc8bc61c");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ProblemProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ProblemProjectionProxy(p);
				}
				
                /*                
				public static ProblemProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.TroubleTicket']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("45c1c404-f3fe-1050-dcef-530e1c2533e1"), property, id);
					return  new ProblemProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
		
}
/*
	Name	 		: ServiceManager.ReleaseManagement.Library	
	Id 				: 8870d61a-5d30-bb34-6827-ca764849a888
	Description 	: Service Manager Release Management Library
*/
namespace Savviety.ServiceManager.API.ReleaseManagement 
{      

            // Source Managementpack Name: ServiceManager.ReleaseManagement.Library
			public class ChildReleaseRecordProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ChildReleaseRecordProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("d02dc3b6-d709-46f8-cb72-452fa5e082b8"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("52105093-4203-1426-c1b4-681cc7bf3876");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("8870d61a-5d30-bb34-6827-ca764849a888");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ChildReleaseRecordProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ChildReleaseRecordProjectionProxy(p);
				}
				
                /*                
				public static ChildReleaseRecordProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("52105093-4203-1426-c1b4-681cc7bf3876"), property, id);
					return  new ChildReleaseRecordProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ReleaseManagement.Library
			public class ReleaseRecordProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ReleaseRecordProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("d02dc3b6-d709-46f8-cb72-452fa5e082b8"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("0dd67289-2d8a-f61f-a429-777d261cd861");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("8870d61a-5d30-bb34-6827-ca764849a888");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ReleaseRecordProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ReleaseRecordProjectionProxy(p);
				}
				
                /*                
				public static ReleaseRecordProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("0dd67289-2d8a-f61f-a429-777d261cd861"), property, id);
					return  new ReleaseRecordProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ReleaseManagement.Library
			public class FileattachmentProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public FileattachmentProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("68a35b6d-ca3d-8d90-f93d-248ceff935c0"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("3ec3aa8c-e404-4d5e-b549-b41939c0c757");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("8870d61a-5d30-bb34-6827-ca764849a888");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static FileattachmentProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  FileattachmentProjectionProxy(p);
				}
				
                /*                
				public static FileattachmentProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.SupportingItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.Information']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("3ec3aa8c-e404-4d5e-b549-b41939c0c757"), property, id);
					return  new FileattachmentProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ReleaseManagement.Library
			public class ParentReleaseRecordProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ParentReleaseRecordProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("d02dc3b6-d709-46f8-cb72-452fa5e082b8"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("04ea6455-1996-f562-561a-d5fd160386e0");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("8870d61a-5d30-bb34-6827-ca764849a888");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ParentReleaseRecordProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ParentReleaseRecordProjectionProxy(p);
				}
				
                /*                
				public static ParentReleaseRecordProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("04ea6455-1996-f562-561a-d5fd160386e0"), property, id);
					return  new ParentReleaseRecordProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
		
}
/*
	Name	 		: ServiceManager.ServiceRequest.Library	
	Id 				: b9bfce1c-7458-ab60-65fb-6492446d7261
	Description 	: Service Manager Service Request Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{      

            // Source Managementpack Name: ServiceManager.ServiceRequest.Library
			public class ServiceRequestProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ServiceRequestProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("04b69835-6343-4de2-4b19-6be08c612989"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("e44b7c06-590d-64d6-56d2-2219c5e763e0");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("b9bfce1c-7458-ab60-65fb-6492446d7261");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ServiceRequestProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ServiceRequestProjectionProxy(p);
				}
				
                /*                
				public static ServiceRequestProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("e44b7c06-590d-64d6-56d2-2219c5e763e0"), property, id);
					return  new ServiceRequestProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ServiceRequest.Library
			public class ServiceRequestViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ServiceRequestViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("04b69835-6343-4de2-4b19-6be08c612989"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("2e5a40f8-bec7-cce8-7a91-6358abb6ead1");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("b9bfce1c-7458-ab60-65fb-6492446d7261");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ServiceRequestViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ServiceRequestViewProjectionProxy(p);
				}
				
                /*                
				public static ServiceRequestViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("2e5a40f8-bec7-cce8-7a91-6358abb6ead1"), property, id);
					return  new ServiceRequestViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ServiceRequest.Library
			public class ServiceRequestandActivityViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ServiceRequestandActivityViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("04b69835-6343-4de2-4b19-6be08c612989"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("b9458653-4729-d8f7-2249-d6ba0fe9ad29");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("b9bfce1c-7458-ab60-65fb-6492446d7261");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ServiceRequestandActivityViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ServiceRequestandActivityViewProjectionProxy(p);
				}
				
                /*                
				public static ServiceRequestandActivityViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("b9458653-4729-d8f7-2249-d6ba0fe9ad29"), property, id);
					return  new ServiceRequestandActivityViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ServiceRequest.Library
			public class ServiceRequestViewSlaProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ServiceRequestViewSlaProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("04b69835-6343-4de2-4b19-6be08c612989"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("4a135a14-16e8-b8e9-5cd7-ffe43df73531");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("b9bfce1c-7458-ab60-65fb-6492446d7261");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ServiceRequestViewSlaProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ServiceRequestViewSlaProjectionProxy(p);
				}
				
                /*                
				public static ServiceRequestViewSlaProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("4a135a14-16e8-b8e9-5cd7-ffe43df73531"), property, id);
					return  new ServiceRequestViewSlaProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
		
}
/*
	Name	 		: System.ServiceCatalog.Library	
	Id 				: 4eafa3dd-ccc9-ff17-8285-63756cf8a34b
	Description 	: System Service Catalog Library
*/
namespace Savviety.ServiceManager.API.ServiceCatalog 
{      

            // Source Managementpack Name: System.ServiceCatalog.Library
			public class ExtensibilityManagementpackRequestOfferingProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ExtensibilityManagementpackRequestOfferingProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("8fc1cd4a-b39e-2879-2ba8-b7036f9d8ee7"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("5cdbc150-84fa-a233-9d73-7ff86498b2ff");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("4eafa3dd-ccc9-ff17-8285-63756cf8a34b");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ExtensibilityManagementpackRequestOfferingProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ExtensibilityManagementpackRequestOfferingProjectionProxy(p);
				}
				
                /*                
				public static ExtensibilityManagementpackRequestOfferingProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.ServiceCatalog.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.Offering']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("5cdbc150-84fa-a233-9d73-7ff86498b2ff"), property, id);
					return  new ExtensibilityManagementpackRequestOfferingProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: System.ServiceCatalog.Library
			public class ExtensibilityManagementpackServiceOfferingProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ExtensibilityManagementpackServiceOfferingProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("2c40c623-a0df-7166-9e9a-2f869fb4d93f"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("23012c9d-d2e8-ddd8-f9bf-9d2f24812ba8");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("4eafa3dd-ccc9-ff17-8285-63756cf8a34b");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ExtensibilityManagementpackServiceOfferingProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ExtensibilityManagementpackServiceOfferingProjectionProxy(p);
				}
				
                /*                
				public static ExtensibilityManagementpackServiceOfferingProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.ServiceCatalog.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.Offering']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("23012c9d-d2e8-ddd8-f9bf-9d2f24812ba8"), property, id);
					return  new ExtensibilityManagementpackServiceOfferingProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
		
}
/*
	Name	 		: ServiceManager.ActivityManagement.Library	
	Id 				: 7b8d32db-bdb4-cabf-b947-c013c0e00baa
	Description 	: Service Manager Activity Management Library
*/
namespace Savviety.ServiceManager.API.ActivityManagement 
{      

            // Source Managementpack Name: ServiceManager.ActivityManagement.Library
			public class ActivityDependentActivityProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ActivityDependentActivityProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("e786e1c7-b1fe-5b8b-ef8f-9e2dc346c44f"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("9bd2843c-086b-1829-24e8-1b911db2cfc2");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ActivityDependentActivityProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ActivityDependentActivityProjectionProxy(p);
				}
				
                /*                
				public static ActivityDependentActivityProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Activity.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Activity']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("9bd2843c-086b-1829-24e8-1b911db2cfc2"), property, id);
					return  new ActivityDependentActivityProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ActivityManagement.Library
			public class ActivityDependentActivityDependsonProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ActivityDependentActivityDependsonProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("e786e1c7-b1fe-5b8b-ef8f-9e2dc346c44f"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("5bd483b1-8931-606e-4032-1e9f1202d4fc");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ActivityDependentActivityDependsonProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ActivityDependentActivityDependsonProjectionProxy(p);
				}
				
                /*                
				public static ActivityDependentActivityDependsonProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Activity.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Activity']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("5bd483b1-8931-606e-4032-1e9f1202d4fc"), property, id);
					return  new ActivityDependentActivityDependsonProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ActivityManagement.Library
			public class ActivityParallelActivityViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ActivityParallelActivityViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("568c49f2-d7d6-d7d7-89dc-dfb5b39fded7"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("d20a870a-dae0-d24c-6eb1-281e7a71c621");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ActivityParallelActivityViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ActivityParallelActivityViewProjectionProxy(p);
				}
				
                /*                
				public static ActivityParallelActivityViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Activity.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Activity.ContainerActivity']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("d20a870a-dae0-d24c-6eb1-281e7a71c621"), property, id);
					return  new ActivityParallelActivityViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ActivityManagement.Library
			public class ActivitySequentialActivityViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ActivitySequentialActivityViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("0ad0812b-f267-52bf-9f11-c56587786791"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("f70938bf-d05f-f75c-db1b-5c1e93aa1cde");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ActivitySequentialActivityViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ActivitySequentialActivityViewProjectionProxy(p);
				}
				
                /*                
				public static ActivitySequentialActivityViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Activity.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Activity.ContainerActivity']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("f70938bf-d05f-f75c-db1b-5c1e93aa1cde"), property, id);
					return  new ActivitySequentialActivityViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ActivityManagement.Library
			public class ActivityReViewActivityProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ActivityReViewActivityProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("bfd90aaa-80dd-0fbb-6eaf-65d92c1d8e36"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("125d26e0-03c7-adb5-7e4b-77f75adc9270");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ActivityReViewActivityProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ActivityReViewActivityProjectionProxy(p);
				}
				
                /*                
				public static ActivityReViewActivityProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Activity.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Activity']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("125d26e0-03c7-adb5-7e4b-77f75adc9270"), property, id);
					return  new ActivityReViewActivityProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ActivityManagement.Library
			public class ReViewerProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ReViewerProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("2f28a9ae-0e94-c895-c087-b222b231dd46"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("18476888-f6a2-e50a-2a73-d5f5cbc4c192");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ReViewerProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ReViewerProjectionProxy(p);
				}
				
                /*                
				public static ReViewerProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.SupportingItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.SupportingItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("18476888-f6a2-e50a-2a73-d5f5cbc4c192"), property, id);
					return  new ReViewerProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ActivityManagement.Library
			public class ActivityManualActivityProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ActivityManualActivityProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("7ac62bd4-8fce-a150-3b40-16a39a61383d"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("d651bf4a-9f5d-0374-3e91-eb91111865c3");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ActivityManualActivityProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ActivityManualActivityProjectionProxy(p);
				}
				
                /*                
				public static ActivityManualActivityProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Activity.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Activity']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("d651bf4a-9f5d-0374-3e91-eb91111865c3"), property, id);
					return  new ActivityManualActivityProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ActivityManagement.Library
			public class ActivityDependentActivityViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ActivityDependentActivityViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("e786e1c7-b1fe-5b8b-ef8f-9e2dc346c44f"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("4a4c9003-b198-f4ca-46dd-ff14ad27c903");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ActivityDependentActivityViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ActivityDependentActivityViewProjectionProxy(p);
				}
				
                /*                
				public static ActivityDependentActivityViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Activity.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Activity']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("4a4c9003-b198-f4ca-46dd-ff14ad27c903"), property, id);
					return  new ActivityDependentActivityViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ActivityManagement.Library
			public class ActivitySequentialActivityProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ActivitySequentialActivityProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("0ad0812b-f267-52bf-9f11-c56587786791"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("dc023860-a9e5-52e7-a823-79b6e8006f1a");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ActivitySequentialActivityProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ActivitySequentialActivityProjectionProxy(p);
				}
				
                /*                
				public static ActivitySequentialActivityProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Activity.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Activity.ContainerActivity']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("dc023860-a9e5-52e7-a823-79b6e8006f1a"), property, id);
					return  new ActivitySequentialActivityProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ActivityManagement.Library
			public class ActivityParallelActivityProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ActivityParallelActivityProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("568c49f2-d7d6-d7d7-89dc-dfb5b39fded7"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("d69d13d3-2295-a9d2-b704-ada489d4a757");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("7b8d32db-bdb4-cabf-b947-c013c0e00baa");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ActivityParallelActivityProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ActivityParallelActivityProjectionProxy(p);
				}
				
                /*                
				public static ActivityParallelActivityProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Activity.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Activity.ContainerActivity']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("d69d13d3-2295-a9d2-b704-ada489d4a757"), property, id);
					return  new ActivityParallelActivityProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
		
}
/*
	Name	 		: ServiceManager.ChangeManagement.Library	
	Id 				: 2bf6413b-bb6c-1108-d33a-152c9d1db56b
	Description 	: Service Manager Change Management Library
*/
namespace Savviety.ServiceManager.API.ChangeManagement 
{      

            // Source Managementpack Name: ServiceManager.ChangeManagement.Library
			public class FileattachmentProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public FileattachmentProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("68a35b6d-ca3d-8d90-f93d-248ceff935c0"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("1799f9e5-aef5-901b-379d-116ccc8c27e4");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("2bf6413b-bb6c-1108-d33a-152c9d1db56b");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static FileattachmentProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  FileattachmentProjectionProxy(p);
				}
				
                /*                
				public static FileattachmentProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.SupportingItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.Information']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("1799f9e5-aef5-901b-379d-116ccc8c27e4"), property, id);
					return  new FileattachmentProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ChangeManagement.Library
			public class ChangeRequestwithOfferingsProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ChangeRequestwithOfferingsProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("e6c9cf6e-d7fe-1b5d-216c-c3f5d2c7670c"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("7f34941f-eae3-7847-5564-96362eb6cb36");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("2bf6413b-bb6c-1108-d33a-152c9d1db56b");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ChangeRequestwithOfferingsProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ChangeRequestwithOfferingsProjectionProxy(p);
				}
				
                /*                
				public static ChangeRequestwithOfferingsProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("7f34941f-eae3-7847-5564-96362eb6cb36"), property, id);
					return  new ChangeRequestwithOfferingsProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ChangeManagement.Library
			public class ChangeRequestwithdependentactivitiesProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ChangeRequestwithdependentactivitiesProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("e6c9cf6e-d7fe-1b5d-216c-c3f5d2c7670c"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("f1ce0483-d475-b0d0-8cde-eda903e19f9e");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("2bf6413b-bb6c-1108-d33a-152c9d1db56b");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ChangeRequestwithdependentactivitiesProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ChangeRequestwithdependentactivitiesProjectionProxy(p);
				}
				
                /*                
				public static ChangeRequestwithdependentactivitiesProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("f1ce0483-d475-b0d0-8cde-eda903e19f9e"), property, id);
					return  new ChangeRequestwithdependentactivitiesProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ChangeManagement.Library
			public class ChangeRequestProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ChangeRequestProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("e6c9cf6e-d7fe-1b5d-216c-c3f5d2c7670c"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("674194d8-0246-7b90-d871-e1ea015b2ea7");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("2bf6413b-bb6c-1108-d33a-152c9d1db56b");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ChangeRequestProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ChangeRequestProjectionProxy(p);
				}
				
                /*                
				public static ChangeRequestProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("674194d8-0246-7b90-d871-e1ea015b2ea7"), property, id);
					return  new ChangeRequestProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
		
}
/*
	Name	 		: ServiceManager.IncidentManagement.Configuration	
	Id 				: b1207ce1-d1ee-cd35-65ea-f8b10bebac7d
	Description 	: Service Manager Incident Management Configuration Library
*/
namespace ServiceManager.IncidentManagement.Configuration 
{      

            // Source Managementpack Name: ServiceManager.IncidentManagement.Configuration
			public class IncidentViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public IncidentViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("a604b942-4c7b-2fb2-28dc-61dc6f465c68"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("1862825e-21bc-3ab2-223e-2a7f2439ba75");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("b1207ce1-d1ee-cd35-65ea-f8b10bebac7d");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static IncidentViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  IncidentViewProjectionProxy(p);
				}
				
                /*                
				public static IncidentViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.TroubleTicket']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("1862825e-21bc-3ab2-223e-2a7f2439ba75"), property, id);
					return  new IncidentViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.IncidentManagement.Configuration
			public class IncidentViewDcmProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public IncidentViewDcmProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("90234dbf-5fd1-a2c3-b34b-429b163b8060"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("137b63d6-00ea-982f-a5e6-6caedf09bb76");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("b1207ce1-d1ee-cd35-65ea-f8b10bebac7d");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static IncidentViewDcmProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  IncidentViewDcmProjectionProxy(p);
				}
				
                /*                
				public static IncidentViewDcmProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Incident.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Incident']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("137b63d6-00ea-982f-a5e6-6caedf09bb76"), property, id);
					return  new IncidentViewDcmProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.IncidentManagement.Configuration
			public class IncidentViewScomProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public IncidentViewScomProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("ac13c801-0f20-83e0-4e8a-344c96516f3d"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("ea8ec5b5-6a05-fde2-c884-d505a65df31c");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("b1207ce1-d1ee-cd35-65ea-f8b10bebac7d");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static IncidentViewScomProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  IncidentViewScomProjectionProxy(p);
				}
				
                /*                
				public static IncidentViewScomProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Incident.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Incident']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("ea8ec5b5-6a05-fde2-c884-d505a65df31c"), property, id);
					return  new IncidentViewScomProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
		
}
/*
	Name	 		: ServiceManager.ProblemManagement.Configuration	
	Id 				: bdde5d97-f65b-24d0-3e07-d7bf586aeae5
	Description 	: Service Manager Problem Management Configuration Library
*/
namespace ServiceManager.ProblemManagement.Configuration 
{      

            // Source Managementpack Name: ServiceManager.ProblemManagement.Configuration
			public class ProblemViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ProblemViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("422afc88-5eff-f4c5-f8f6-e01038cde67f"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("f1aa331a-fa46-59ad-e3aa-6f03050ec463");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("bdde5d97-f65b-24d0-3e07-d7bf586aeae5");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ProblemViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ProblemViewProjectionProxy(p);
				}
				
                /*                
				public static ProblemViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.TroubleTicket']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("f1aa331a-fa46-59ad-e3aa-6f03050ec463"), property, id);
					return  new ProblemViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
		
}
/*
	Name	 		: ServiceManager.ReleaseManagement.Configuration	
	Id 				: a320749b-dc96-b53a-4cc8-9f281f5aa95b
	Description 	: Service Manager Release Management Configuration Library
*/
namespace ServiceManager.ReleaseManagement.Configuration 
{      

            // Source Managementpack Name: ServiceManager.ReleaseManagement.Configuration
			public class ReleaseRecordViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ReleaseRecordViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("d02dc3b6-d709-46f8-cb72-452fa5e082b8"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("556e527e-893c-61fa-5663-49d9944fccbd");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("a320749b-dc96-b53a-4cc8-9f281f5aa95b");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ReleaseRecordViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ReleaseRecordViewProjectionProxy(p);
				}
				
                /*                
				public static ReleaseRecordViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("556e527e-893c-61fa-5663-49d9944fccbd"), property, id);
					return  new ReleaseRecordViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ReleaseManagement.Configuration
			public class ChildReleaseRecordViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ChildReleaseRecordViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("d02dc3b6-d709-46f8-cb72-452fa5e082b8"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("55757250-e9a0-6127-e555-c586f68ccbc4");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("a320749b-dc96-b53a-4cc8-9f281f5aa95b");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ChildReleaseRecordViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ChildReleaseRecordViewProjectionProxy(p);
				}
				
                /*                
				public static ChildReleaseRecordViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("55757250-e9a0-6127-e555-c586f68ccbc4"), property, id);
					return  new ChildReleaseRecordViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ReleaseManagement.Configuration
			public class ReleaseRecordandActivityViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ReleaseRecordandActivityViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("d02dc3b6-d709-46f8-cb72-452fa5e082b8"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("316c71e2-266b-2a4c-fc85-c9243ab487f2");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("a320749b-dc96-b53a-4cc8-9f281f5aa95b");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ReleaseRecordandActivityViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ReleaseRecordandActivityViewProjectionProxy(p);
				}
				
                /*                
				public static ReleaseRecordandActivityViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("316c71e2-266b-2a4c-fc85-c9243ab487f2"), property, id);
					return  new ReleaseRecordandActivityViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
		
}
/*
	Name	 		: ServiceManager.ActivityManagement.Configuration	
	Id 				: d97b692d-0a08-b867-1689-e311ed1cedb6
	Description 	: Service Manager Activity Management Configuration Library
*/
namespace ServiceManager.ActivityManagement.Configuration 
{      

            // Source Managementpack Name: ServiceManager.ActivityManagement.Configuration
			public class ActivityManualActivityViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ActivityManualActivityViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("7ac62bd4-8fce-a150-3b40-16a39a61383d"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("953beaee-acf8-a195-363d-4782b2f919ac");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("d97b692d-0a08-b867-1689-e311ed1cedb6");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ActivityManualActivityViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ActivityManualActivityViewProjectionProxy(p);
				}
				
                /*                
				public static ActivityManualActivityViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Activity.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Activity']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("953beaee-acf8-a195-363d-4782b2f919ac"), property, id);
					return  new ActivityManualActivityViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ActivityManagement.Configuration
			public class ActivityReViewActivityViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ActivityReViewActivityViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("bfd90aaa-80dd-0fbb-6eaf-65d92c1d8e36"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("3043253c-959e-25bd-32b4-c5eb1a7e71dc");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("d97b692d-0a08-b867-1689-e311ed1cedb6");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ActivityReViewActivityViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ActivityReViewActivityViewProjectionProxy(p);
				}
				
                /*                
				public static ActivityReViewActivityViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Activity.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem.Activity']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("3043253c-959e-25bd-32b4-c5eb1a7e71dc"), property, id);
					return  new ActivityReViewActivityViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
		
}
/*
	Name	 		: ServiceManager.ChangeManagement.Configuration	
	Id 				: 4bd64a2d-d374-4563-fc6f-ad43c6df4284
	Description 	: Service Manager Change Management Configuration Library
*/
namespace ServiceManager.ChangeManagement.Configuration 
{      

            // Source Managementpack Name: ServiceManager.ChangeManagement.Configuration
			public class ChangeRequestViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ChangeRequestViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("e6c9cf6e-d7fe-1b5d-216c-c3f5d2c7670c"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("cdd001ba-837b-4ec6-9839-7f4c4d6dfde7");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("4bd64a2d-d374-4563-fc6f-ad43c6df4284");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ChangeRequestViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ChangeRequestViewProjectionProxy(p);
				}
				
                /*                
				public static ChangeRequestViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("cdd001ba-837b-4ec6-9839-7f4c4d6dfde7"), property, id);
					return  new ChangeRequestViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
            // Source Managementpack Name: ServiceManager.ChangeManagement.Configuration
			public class ChangeRequestandActivityViewProjectionProxy  
			{
                private EnterpriseManagementObjectProjection emop;

		        private EnterpriseManagementObject @Object
		        {
		            get { return emop.Object; } 
		        }
					
				public EnterpriseManagementObjectProjection Projection
		        {
		            get { return emop; } 
		        }
		        
		        public ChangeRequestandActivityViewProjectionProxy(EnterpriseManagementObjectProjection _emop)
		        {
		            emop = _emop;
		        }
                
                public static ManagementPackClass TargetType
                {
                    get{ return Context.GetClass("e6c9cf6e-d7fe-1b5d-216c-c3f5d2c7670c"); }
                }
					
				public static Guid ProjectionId
				{
				  get{return new Guid("75e107f7-a19c-5902-e734-f74baaf61bea");}
				}
					
				public static ManagementPack ManagementPack 
				{
					// using SCSMServer for cache
					get { return Context.GetManagementPack("4bd64a2d-d374-4563-fc6f-ad43c6df4284");}
				}
			
				public void ApplyTemplate(ManagementPackObjectTemplate template)
				{
					emop.ApplyTemplate(template);
				}
					
				public void Commit()
				{
					emop.Commit();
				}
					
				public void Overwrite()
				{
					emop.Overwrite();
				}
					
				public static ChangeRequestandActivityViewProjectionProxy Create()
				{
					var p = new EnterpriseManagementObjectProjection(Context.CurrentManagementGroup,TargetType );	
					return new  ChangeRequestandActivityViewProjectionProxy(p);
				}
				
                /*                
				public static ChangeRequestandActivityViewProjectionProxy Get(string id)
				{
					var builder = new ProjectionCriteriaBuilder();
					builder.AddReferences("System.WorkItem.Library", "MPRef");
					var property = "$Target/Property[Type='MPRef!System.WorkItem']/Id$";
					var criteria = builder.CreateSimpleCriteria(Context.GetTypeProjection("75e107f7-a19c-5902-e734-f74baaf61bea"), property, id);
					return  new ChangeRequestandActivityViewProjectionProxy(Context.GetObjectProjectionReader(criteria, ObjectQueryOptions.Default).FirstOrDefault());				
				}
                */
            }
		
}
