﻿using System;    
using System.IO;
using System.Linq;
using System.Collections.Generic;
using Savviety.ServiceManager.API;
using Savviety.ServiceManager.API.Criteria;
using Microsoft.EnterpriseManagement;
using Microsoft.EnterpriseManagement.Common;
using Microsoft.EnterpriseManagement.Configuration;
 using Microsoft.EnterpriseManagement.Common.Internal;
using System.ComponentModel.DataAnnotations; 
using System.Diagnostics;
/*
	Name	 		: System.WorkItem.ChangeRequest.Library	
	Id 				: 6c2bb84d-3c1f-4006-c551-6ef50179e2e3
	Description 	: System Work Item Change Request Library
*/
namespace Savviety.ServiceManager.API.ChangeManagement 
{



public partial class ChangeRequest 
{
        private EnterpriseManagementObject emo;
        
        public ChangeRequest(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ChangeRequestHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ChangeRequestHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public double ActualCost
    	{	
    		set {emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value = value;}	
    		get {return (double) emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value; }		
    	}		
    	public DateTime? ActualDowntimeEndDate
    	{	
    		set {emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value; }		
    	}		
    	public DateTime? ActualDowntimeStartDate
    	{	
    		set {emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value; }		
    	}		
    	public DateTime? ActualEndDate
    	{	
    		set {emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
    	}		
    	public DateTime? ActualStartDate
    	{	
    		set {emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
    	}		
    	public double ActualWork
    	{	
    		set {emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value = value;}	
    		get {return (double) emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value; }		
    	}		
    	public ManagementPackEnumeration Area
    	{	
    		set {emo[new Guid("307cfd9e-4731-ebe2-3d95-808eba544174")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("307cfd9e-4731-ebe2-3d95-808eba544174")].Value; }		
    	}		
    	public string BackoutPlan
    	{	
    		set {emo[new Guid("d5b20722-d119-6702-3308-f987bd5aea75")].Value = value;}	
    		get {return (string) emo[new Guid("d5b20722-d119-6702-3308-f987bd5aea75")].Value; }		
    	}		
    	public ManagementPackEnumeration Category
    	{	
    		set {emo[new Guid("0baca6fa-4afe-ea7f-a060-6ee31d302152")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("0baca6fa-4afe-ea7f-a060-6ee31d302152")].Value; }		
    	}		
    	public string ContactMethod
    	{	
    		set {emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
    		get {return (string) emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
    		get {return (string) emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public DateTime? FirstAssignedDate
    	{	
    		set {emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value; }		
    	}		
    	public DateTime? FirstResponseDate
    	{	
    		set {emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value = value;}	
    		get {return (string) emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value; }		
    	}		
    	public ManagementPackEnumeration Impact
    	{	
    		set {emo[new Guid("767a95c9-96ca-4a43-47dd-62948ac34846")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("767a95c9-96ca-4a43-47dd-62948ac34846")].Value; }		
    	}		
    	public string ImplementationPlan
    	{	
    		set {emo[new Guid("b90e5f89-1e3a-e10f-f6d6-eeee684f896f")].Value = value;}	
    		get {return (string) emo[new Guid("b90e5f89-1e3a-e10f-f6d6-eeee684f896f")].Value; }		
    	}		
    	public ManagementPackEnumeration ImplementationResults
    	{	
    		set {emo[new Guid("9d2434e4-4a09-fcee-81fa-78a3b12d806e")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("9d2434e4-4a09-fcee-81fa-78a3b12d806e")].Value; }		
    	}		
    	public bool? IsDowntime
    	{	
    		set {emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value = value;}	
    		get {return (bool?) emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value; }		
    	}		
    	public bool? IsParent
    	{	
    		set {emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value = value;}	
    		get {return (bool?) emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("5cc7ed69-4f78-3d14-1d4d-b17616a2b566")].Value = value;}	
    		get {return (string) emo[new Guid("5cc7ed69-4f78-3d14-1d4d-b17616a2b566")].Value; }		
    	}		
    	public double PlannedCost
    	{	
    		set {emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value = value;}	
    		get {return (double) emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value; }		
    	}		
    	public double PlannedWork
    	{	
    		set {emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value = value;}	
    		get {return (double) emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value; }		
    	}		
    	public string PostImplementationReview
    	{	
    		set {emo[new Guid("d4e89164-5c63-e88b-b693-5d65244b2529")].Value = value;}	
    		get {return (string) emo[new Guid("d4e89164-5c63-e88b-b693-5d65244b2529")].Value; }		
    	}		
    	public ManagementPackEnumeration Priority
    	{	
    		set {emo[new Guid("a9934ada-3307-1e41-b851-f2d9503dbbbe")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("a9934ada-3307-1e41-b851-f2d9503dbbbe")].Value; }		
    	}		
    	public string Reason
    	{	
    		set {emo[new Guid("25f2d99d-2a86-a3f6-5157-8672def02553")].Value = value;}	
    		get {return (string) emo[new Guid("25f2d99d-2a86-a3f6-5157-8672def02553")].Value; }		
    	}		
    	public DateTime? RequiredBy
    	{	
    		set {emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value; }		
    	}		
    	public DateTime? RequiredByDate
    	{	
    		set {emo[new Guid("4cb0bdbc-5092-6c7d-1bd3-7fda9df6afd9")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4cb0bdbc-5092-6c7d-1bd3-7fda9df6afd9")].Value; }		
    	}		
    	public ManagementPackEnumeration Risk
    	{	
    		set {emo[new Guid("5e41a9d0-7d74-7c5a-e56e-c72292d9be20")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("5e41a9d0-7d74-7c5a-e56e-c72292d9be20")].Value; }		
    	}		
    	public string RiskAssessmentPlan
    	{	
    		set {emo[new Guid("596bc015-b878-950a-12ac-96ed5ee70336")].Value = value;}	
    		get {return (string) emo[new Guid("596bc015-b878-950a-12ac-96ed5ee70336")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeEndDate
    	{	
    		set {emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeStartDate
    	{	
    		set {emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value; }		
    	}		
    	public DateTime? ScheduledEndDate
    	{	
    		set {emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
    	}		
    	public DateTime? ScheduledStartDate
    	{	
    		set {emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("23659689-c1a7-98b3-bf1c-f352df014a4a")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("23659689-c1a7-98b3-bf1c-f352df014a4a")].Value; }		
    	}		
    	public string TemplateId
    	{	
    		set {emo[new Guid("daa7213f-a107-a1a4-964d-1b21af0ec8fb")].Value = value;}	
    		get {return (string) emo[new Guid("daa7213f-a107-a1a4-964d-1b21af0ec8fb")].Value; }		
    	}		
    	public string TestPlan
    	{	
    		set {emo[new Guid("49e207e5-44b7-2ccb-c062-f7c50db03b57")].Value = value;}	
    		get {return (string) emo[new Guid("49e207e5-44b7-2ccb-c062-f7c50db03b57")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
    		get {return (string) emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
    	}		
    	public string UserInput
    	{	
    		set {emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value = value;}	
    		get {return (string) emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.WorkItem.Library	
	Id 				: 405d5590-b45f-1c97-024f-24338290453e
	Description 	: System work item library
*/
namespace Savviety.ServiceManager.API.WorkItem 
{



public partial class BillableTime 
{
        private EnterpriseManagementObject emo;
        
        public BillableTime(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[BillableTimeHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[BillableTimeHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value = value;}	
    		get {return (string) emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value; }		
    	}		
    	public DateTime? LastUpdated
    	{	
    		set {emo[new Guid("f2403a92-e488-73aa-9737-41e72ef6106c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("f2403a92-e488-73aa-9737-41e72ef6106c")].Value; }		
    	}		
    	public int TimeInMinutes
    	{	
    		set {emo[new Guid("d686c35e-e5ad-cdc3-e6db-25a4f1bb4bc0")].Value = value;}	
    		get {return (int) emo[new Guid("d686c35e-e5ad-cdc3-e6db-25a4f1bb4bc0")].Value; }		
    	}		

}     
        
	
	



public partial class ActionLog 
{
        private EnterpriseManagementObject emo;
        
        public ActionLog(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ActionLogHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ActionLogHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public ManagementPackEnumeration ActionType
    	{	
    		set {emo[new Guid("596d0837-943e-5eb8-98b4-9ba218f1c6c9")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("596d0837-943e-5eb8-98b4-9ba218f1c6c9")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("2d9d0674-bde8-dfb5-fa4d-952f011ea6d8")].Value = value;}	
    		get {return (string) emo[new Guid("2d9d0674-bde8-dfb5-fa4d-952f011ea6d8")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string EnteredBy
    	{	
    		set {emo[new Guid("55fe2403-8275-6fde-802f-d68b3d659c4e")].Value = value;}	
    		get {return (string) emo[new Guid("55fe2403-8275-6fde-802f-d68b3d659c4e")].Value; }		
    	}		
    	public DateTime? EnteredDate
    	{	
    		set {emo[new Guid("ecfbba98-76cc-a7db-797a-281ae70f18be")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ecfbba98-76cc-a7db-797a-281ae70f18be")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value = value;}	
    		get {return (string) emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("b38ab8ce-eb5b-451d-00c2-644e9ab70acf")].Value = value;}	
    		get {return (string) emo[new Guid("b38ab8ce-eb5b-451d-00c2-644e9ab70acf")].Value; }		
    	}		

}     
        
	
	



public partial class AnalystCommentLog 
{
        private EnterpriseManagementObject emo;
        
        public AnalystCommentLog(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[AnalystCommentLogHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[AnalystCommentLogHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string Comment
    	{	
    		set {emo[new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b")].Value = value;}	
    		get {return (string) emo[new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string EnteredBy
    	{	
    		set {emo[new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840")].Value = value;}	
    		get {return (string) emo[new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840")].Value; }		
    	}		
    	public DateTime? EnteredDate
    	{	
    		set {emo[new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value = value;}	
    		get {return (string) emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value; }		
    	}		
    	public bool? IsPrivate
    	{	
    		set {emo[new Guid("bde72300-dd14-b4c9-c60a-0fa84a860976")].Value = value;}	
    		get {return (bool?) emo[new Guid("bde72300-dd14-b4c9-c60a-0fa84a860976")].Value; }		
    	}		

}     
        
	
	



public partial class AuditCommentLog 
{
        private EnterpriseManagementObject emo;
        
        public AuditCommentLog(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[AuditCommentLogHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[AuditCommentLogHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string Comment
    	{	
    		set {emo[new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b")].Value = value;}	
    		get {return (string) emo[new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string EnteredBy
    	{	
    		set {emo[new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840")].Value = value;}	
    		get {return (string) emo[new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840")].Value; }		
    	}		
    	public DateTime? EnteredDate
    	{	
    		set {emo[new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value = value;}	
    		get {return (string) emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value; }		
    	}		

}     
        
	
	



public partial class SipnotificationLog 
{
        private EnterpriseManagementObject emo;
        
        public SipnotificationLog(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[SipnotificationLogHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[SipnotificationLogHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Encoding
    	{	
    		set {emo[new Guid("17b18528-0466-d51a-d23d-fc1646e8a5b6")].Value = value;}	
    		get {return (string) emo[new Guid("17b18528-0466-d51a-d23d-fc1646e8a5b6")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value = value;}	
    		get {return (string) emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value; }		
    	}		
    	public string Message
    	{	
    		set {emo[new Guid("af8f007d-905f-6f4c-131d-73e197662825")].Value = value;}	
    		get {return (string) emo[new Guid("af8f007d-905f-6f4c-131d-73e197662825")].Value; }		
    	}		
    	public DateTime? SentDate
    	{	
    		set {emo[new Guid("2c205269-f6e7-2e2f-1b38-60601c4230e1")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("2c205269-f6e7-2e2f-1b38-60601c4230e1")].Value; }		
    	}		
    	public string SentTo
    	{	
    		set {emo[new Guid("3230eaef-6c5f-54cc-6771-0eaa508c3b73")].Value = value;}	
    		get {return (string) emo[new Guid("3230eaef-6c5f-54cc-6771-0eaa508c3b73")].Value; }		
    	}		

}     
        
	
	



public partial class SmtpnotificationLog 
{
        private EnterpriseManagementObject emo;
        
        public SmtpnotificationLog(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[SmtpnotificationLogHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[SmtpnotificationLogHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string Body
    	{	
    		set {emo[new Guid("2dd97e7c-0435-81a5-2d46-cdc3015a8ab3")].Value = value;}	
    		get {return (string) emo[new Guid("2dd97e7c-0435-81a5-2d46-cdc3015a8ab3")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Encoding
    	{	
    		set {emo[new Guid("17b18528-0466-d51a-d23d-fc1646e8a5b6")].Value = value;}	
    		get {return (string) emo[new Guid("17b18528-0466-d51a-d23d-fc1646e8a5b6")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value = value;}	
    		get {return (string) emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value; }		
    	}		
    	public int Priority
    	{	
    		set {emo[new Guid("13625928-2f3a-45be-3d09-d6e786bbc300")].Value = value;}	
    		get {return (int) emo[new Guid("13625928-2f3a-45be-3d09-d6e786bbc300")].Value; }		
    	}		
    	public DateTime? SentDate
    	{	
    		set {emo[new Guid("2c205269-f6e7-2e2f-1b38-60601c4230e1")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("2c205269-f6e7-2e2f-1b38-60601c4230e1")].Value; }		
    	}		
    	public string SentTo
    	{	
    		set {emo[new Guid("3230eaef-6c5f-54cc-6771-0eaa508c3b73")].Value = value;}	
    		get {return (string) emo[new Guid("3230eaef-6c5f-54cc-6771-0eaa508c3b73")].Value; }		
    	}		
    	public string Subject
    	{	
    		set {emo[new Guid("39937dac-6844-1cbd-cb8c-7fe97e744d8f")].Value = value;}	
    		get {return (string) emo[new Guid("39937dac-6844-1cbd-cb8c-7fe97e744d8f")].Value; }		
    	}		

}     
        
	
	



public partial class UserCommentLog 
{
        private EnterpriseManagementObject emo;
        
        public UserCommentLog(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[UserCommentLogHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[UserCommentLogHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string Comment
    	{	
    		set {emo[new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b")].Value = value;}	
    		get {return (string) emo[new Guid("45f52d74-a463-be54-79d1-018eb9c0e77b")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string EnteredBy
    	{	
    		set {emo[new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840")].Value = value;}	
    		get {return (string) emo[new Guid("22a45161-55b6-63cd-a275-50e1b7a8d840")].Value; }		
    	}		
    	public DateTime? EnteredDate
    	{	
    		set {emo[new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("6ba459c5-a509-5b18-95f1-a6435fb2c276")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value = value;}	
    		get {return (string) emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.AdminItem.Library	
	Id 				: a87c22c5-8fd4-4252-86e8-b246ab404465
	Description 	: System Administration Item Library
*/
namespace Savviety.ServiceManager.API.AdminItem 
{



public partial class AnnouncementConfig 
{
        private EnterpriseManagementObject emo;
        
        public AnnouncementConfig(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[AnnouncementConfigHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[AnnouncementConfigHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("deff380f-1d01-e005-9765-7a80f2760aa6")].Value = value;}	
    		get {return (string) emo[new Guid("deff380f-1d01-e005-9765-7a80f2760aa6")].Value; }		
    	}		
    	public string TitleBar
    	{	
    		set {emo[new Guid("9c9904b9-2ab3-ed05-f1a7-65549633a3e3")].Value = value;}	
    		get {return (string) emo[new Guid("9c9904b9-2ab3-ed05-f1a7-65549633a3e3")].Value; }		
    	}		

}     
        
	
	



public partial class AnnouncementItem 
{
        private EnterpriseManagementObject emo;
        
        public AnnouncementItem(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[AnnouncementItemHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[AnnouncementItemHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string Body
    	{	
    		set {emo[new Guid("5d4945de-66c5-9324-af6c-aa607e9954b5")].Value = value;}	
    		get {return (string) emo[new Guid("5d4945de-66c5-9324-af6c-aa607e9954b5")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public DateTime? ExpirationDate
    	{	
    		set {emo[new Guid("41c117d4-94bd-8388-3636-505a36066145")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("41c117d4-94bd-8388-3636-505a36066145")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("76a2a871-bf71-a8ba-85bf-e140d4cf5c9e")].Value = value;}	
    		get {return (string) emo[new Guid("76a2a871-bf71-a8ba-85bf-e140d4cf5c9e")].Value; }		
    	}		
    	public ManagementPackEnumeration Priority
    	{	
    		set {emo[new Guid("4389abeb-5c98-c0e3-3a3f-8826069a87e3")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("4389abeb-5c98-c0e3-3a3f-8826069a87e3")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("d194f047-aabf-167d-3bbf-dfbbb63bb5c8")].Value = value;}	
    		get {return (string) emo[new Guid("d194f047-aabf-167d-3bbf-dfbbb63bb5c8")].Value; }		
    	}		

}     
        
	
	



public partial class Groomingconfiguration 
{
        private EnterpriseManagementObject emo;
        
        public Groomingconfiguration(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[GroomingconfigurationHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[GroomingconfigurationHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public int BatchSize
    	{	
    		set {emo[new Guid("c9412838-aed4-5105-49ff-cc27c19a76de")].Value = value;}	
    		get {return (int) emo[new Guid("c9412838-aed4-5105-49ff-cc27c19a76de")].Value; }		
    	}		
    	public ManagementPackEnumeration Category
    	{	
    		set {emo[new Guid("95dd7722-b42b-84d0-ed5c-f72d4d9e17e6")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("95dd7722-b42b-84d0-ed5c-f72d4d9e17e6")].Value; }		
    	}		
    	public string Criteria
    	{	
    		set {emo[new Guid("8fc21faa-713b-739e-ca28-5bd1bdb20fee")].Value = value;}	
    		get {return (string) emo[new Guid("8fc21faa-713b-739e-ca28-5bd1bdb20fee")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public bool? IsInternal
    	{	
    		set {emo[new Guid("2e3634d7-a27f-4a9d-0ffe-6f6b77b4e946")].Value = value;}	
    		get {return (bool?) emo[new Guid("2e3634d7-a27f-4a9d-0ffe-6f6b77b4e946")].Value; }		
    	}		
    	public int RetentionPeriodInMinutes
    	{	
    		set {emo[new Guid("503b8ebb-7087-213d-0777-2b22d8633632")].Value = value;}	
    		get {return (int) emo[new Guid("503b8ebb-7087-213d-0777-2b22d8633632")].Value; }		
    	}		
    	public string StoredProcedure
    	{	
    		set {emo[new Guid("40256e44-869b-2b43-e368-3f7bf7fcdffa")].Value = value;}	
    		get {return (string) emo[new Guid("40256e44-869b-2b43-e368-3f7bf7fcdffa")].Value; }		
    	}		
    	public Guid TargetId
    	{	
    		set {emo[new Guid("d83e2356-a9f2-95b4-b8a4-c1c8735c9961")].Value = value;}	
    		get {return (Guid) emo[new Guid("d83e2356-a9f2-95b4-b8a4-c1c8735c9961")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.Library	
	Id 				: 01c8b236-3bce-9dba-6f1c-c119bcdc2972
	Description 	: System Library: Root for all Management Packs.  Contains platform independent definitions.
*/
namespace Savviety.ServiceManager.API.Library 
{



public partial class Build 
{
        private EnterpriseManagementObject emo;
        
        public Build(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[BuildHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[BuildHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public ManagementPackEnumeration AssetStatus
    	{	
    		set {emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
    	}		
    	public ManagementPackEnumeration Category
    	{	
    		set {emo[new Guid("a14830d6-f9b7-3257-ef5c-185a67c1ebbf")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("a14830d6-f9b7-3257-ef5c-185a67c1ebbf")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("3737b4a1-9dff-ae53-b606-48f7898f443f")].Value = value;}	
    		get {return (string) emo[new Guid("3737b4a1-9dff-ae53-b606-48f7898f443f")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Instructions
    	{	
    		set {emo[new Guid("b99b6230-9d50-1cb8-4e18-9102477e259f")].Value = value;}	
    		get {return (string) emo[new Guid("b99b6230-9d50-1cb8-4e18-9102477e259f")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("0a07bbbb-6c2f-ee80-f1c8-365093972f5a")].Value = value;}	
    		get {return (string) emo[new Guid("0a07bbbb-6c2f-ee80-f1c8-365093972f5a")].Value; }		
    	}		
    	public string Notes1
    	{	
    		set {emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
    		get {return (string) emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
    	}		
    	public ManagementPackEnumeration ObjectStatus
    	{	
    		set {emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
    	}		
    	public string Repository
    	{	
    		set {emo[new Guid("75c6e0a2-71ce-96bb-5150-1ff87b0598a2")].Value = value;}	
    		get {return (string) emo[new Guid("75c6e0a2-71ce-96bb-5150-1ff87b0598a2")].Value; }		
    	}		
    	public string SourcePath
    	{	
    		set {emo[new Guid("02d15b1c-b3e9-1611-58cc-16e1e37787c7")].Value = value;}	
    		get {return (string) emo[new Guid("02d15b1c-b3e9-1611-58cc-16e1e37787c7")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("bf52c0ce-ead7-8415-421e-6a9c7ecdc742")].Value = value;}	
    		get {return (string) emo[new Guid("bf52c0ce-ead7-8415-421e-6a9c7ecdc742")].Value; }		
    	}		
    	public string Version
    	{	
    		set {emo[new Guid("34f200ab-56a0-cc0c-064a-c481a01a2113")].Value = value;}	
    		get {return (string) emo[new Guid("34f200ab-56a0-cc0c-064a-c481a01a2113")].Value; }		
    	}		

}     
        
	
	



public partial class DomainUser 
{
        private EnterpriseManagementObject emo;
        
        public DomainUser(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[DomainUserHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[DomainUserHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public ManagementPackEnumeration AssetStatus
    	{	
    		set {emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
    	}		
    	public string BusinessPhone
    	{	
    		set {emo[new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c")].Value = value;}	
    		get {return (string) emo[new Guid("d1aded93-3cd9-35e2-d4f4-8b4d0d37409c")].Value; }		
    	}		
    	public string BusinessPhone2
    	{	
    		set {emo[new Guid("51d9d560-1c1a-058e-4307-4e5302132612")].Value = value;}	
    		get {return (string) emo[new Guid("51d9d560-1c1a-058e-4307-4e5302132612")].Value; }		
    	}		
    	public string City
    	{	
    		set {emo[new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371")].Value = value;}	
    		get {return (string) emo[new Guid("42b2a214-7ccc-b734-f5a7-ee7b0bb8b371")].Value; }		
    	}		
    	public string Company
    	{	
    		set {emo[new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad")].Value = value;}	
    		get {return (string) emo[new Guid("7b3a602c-c9e3-766e-840d-a2099f5a51ad")].Value; }		
    	}		
    	public string Country
    	{	
    		set {emo[new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0")].Value = value;}	
    		get {return (string) emo[new Guid("9c5cfe85-8752-d66e-c08b-419776f9c0f0")].Value; }		
    	}		
    	public string Department
    	{	
    		set {emo[new Guid("22405812-2d6d-e429-110c-2d2d8f9518df")].Value = value;}	
    		get {return (string) emo[new Guid("22405812-2d6d-e429-110c-2d2d8f9518df")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Domain
    	{	
    		set {emo[new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b")].Value = value;}	
    		get {return (string) emo[new Guid("0fbe2585-ca40-c136-2366-153e2e9f289b")].Value; }		
    	}		
    	public string EmployeeId
    	{	
    		set {emo[new Guid("d56f368d-2e48-e4be-f4eb-f82744879663")].Value = value;}	
    		get {return (string) emo[new Guid("d56f368d-2e48-e4be-f4eb-f82744879663")].Value; }		
    	}		
    	public string Fax
    	{	
    		set {emo[new Guid("d962f04f-1429-a910-fa7b-ac8444645aee")].Value = value;}	
    		get {return (string) emo[new Guid("d962f04f-1429-a910-fa7b-ac8444645aee")].Value; }		
    	}		
    	public string FirstName
    	{	
    		set {emo[new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163")].Value = value;}	
    		get {return (string) emo[new Guid("a1dd0787-f6b9-5131-3f43-f356ca2bb163")].Value; }		
    	}		
    	public string HomePhone
    	{	
    		set {emo[new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330")].Value = value;}	
    		get {return (string) emo[new Guid("b22c0740-cdcc-4e9d-9ad2-d97b096f8330")].Value; }		
    	}		
    	public string HomePhone2
    	{	
    		set {emo[new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1")].Value = value;}	
    		get {return (string) emo[new Guid("1e319ed0-84e5-98d1-b4cb-e62b524d81b1")].Value; }		
    	}		
    	public string Initials
    	{	
    		set {emo[new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6")].Value = value;}	
    		get {return (string) emo[new Guid("7b32dd73-f649-f288-f8a1-13b16481eca6")].Value; }		
    	}		
    	public string LastName
    	{	
    		set {emo[new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df")].Value = value;}	
    		get {return (string) emo[new Guid("2cde06de-0ad2-ea7a-50b0-627d0a2337df")].Value; }		
    	}		
    	public string Mobile
    	{	
    		set {emo[new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5")].Value = value;}	
    		get {return (string) emo[new Guid("79a97a95-f92d-eb97-e9e9-d4b9c51e0ab5")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
    		get {return (string) emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
    	}		
    	public ManagementPackEnumeration ObjectStatus
    	{	
    		set {emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
    	}		
    	public string Office
    	{	
    		set {emo[new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba")].Value = value;}	
    		get {return (string) emo[new Guid("6021c777-23dd-c73a-3465-b97e00d7a1ba")].Value; }		
    	}		
    	public string Pager
    	{	
    		set {emo[new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a")].Value = value;}	
    		get {return (string) emo[new Guid("d72232bd-85e4-3e3d-1f33-6bebf3b7606a")].Value; }		
    	}		
    	public string State
    	{	
    		set {emo[new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17")].Value = value;}	
    		get {return (string) emo[new Guid("ed79d5a6-19ff-6c72-7204-1b7b26677f17")].Value; }		
    	}		
    	public string StreetAddress
    	{	
    		set {emo[new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f")].Value = value;}	
    		get {return (string) emo[new Guid("3c923ab8-1f93-bd52-07a9-df59fd78bd1f")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa")].Value = value;}	
    		get {return (string) emo[new Guid("9010dfd3-8bce-eac9-6657-d19130e07bfa")].Value; }		
    	}		
    	public string UserName
    	{	
    		set {emo[new Guid("3217af5a-b135-a850-0562-be3e89da6d1a")].Value = value;}	
    		get {return (string) emo[new Guid("3217af5a-b135-a850-0562-be3e89da6d1a")].Value; }		
    	}		
    	public string Zip
    	{	
    		set {emo[new Guid("584266bf-a344-f323-a15b-4a761aecd867")].Value = value;}	
    		get {return (string) emo[new Guid("584266bf-a344-f323-a15b-4a761aecd867")].Value; }		
    	}		

}     
        
	
	



public partial class Environment 
{
        private EnterpriseManagementObject emo;
        
        public Environment(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[EnvironmentHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[EnvironmentHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public ManagementPackEnumeration AssetStatus
    	{	
    		set {emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
    	}		
    	public ManagementPackEnumeration Category
    	{	
    		set {emo[new Guid("76342a38-a140-aa2b-35e0-7c33919d2852")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("76342a38-a140-aa2b-35e0-7c33919d2852")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("edc0c554-1ad9-97e1-c979-8a8d58bf35ff")].Value = value;}	
    		get {return (string) emo[new Guid("edc0c554-1ad9-97e1-c979-8a8d58bf35ff")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("dbabac52-9202-419f-4993-f0ddb6cfc06c")].Value = value;}	
    		get {return (string) emo[new Guid("dbabac52-9202-419f-4993-f0ddb6cfc06c")].Value; }		
    	}		
    	public string Notes1
    	{	
    		set {emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
    		get {return (string) emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
    	}		
    	public ManagementPackEnumeration ObjectStatus
    	{	
    		set {emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("f59aed76-ea57-5339-4330-27149b398c3f")].Value = value;}	
    		get {return (string) emo[new Guid("f59aed76-ea57-5339-4330-27149b398c3f")].Value; }		
    	}		

}     
        
	
	



public partial class Extension 
{
        private EnterpriseManagementObject emo;
        
        public Extension(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ExtensionHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ExtensionHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string BaseIdentity
    	{	
    		set {emo[new Guid("6db7099c-ccf1-6298-fb11-64c93327fb36")].Value = value;}	
    		get {return (string) emo[new Guid("6db7099c-ccf1-6298-fb11-64c93327fb36")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string FieldName
    	{	
    		set {emo[new Guid("da4acbd3-1ad8-2546-41ff-58d2a761e386")].Value = value;}	
    		get {return (string) emo[new Guid("da4acbd3-1ad8-2546-41ff-58d2a761e386")].Value; }		
    	}		
    	public int FieldOrder
    	{	
    		set {emo[new Guid("49bfb03a-faaf-f3fc-2411-84b44cab5f40")].Value = value;}	
    		get {return (int) emo[new Guid("49bfb03a-faaf-f3fc-2411-84b44cab5f40")].Value; }		
    	}		
    	public string FieldType
    	{	
    		set {emo[new Guid("c13b04b3-db67-4878-a8fe-2654d44ba4c2")].Value = value;}	
    		get {return (string) emo[new Guid("c13b04b3-db67-4878-a8fe-2654d44ba4c2")].Value; }		
    	}		
    	public string Identity
    	{	
    		set {emo[new Guid("87daac89-61a0-7c7f-89b4-12e1c7a7606f")].Value = value;}	
    		get {return (string) emo[new Guid("87daac89-61a0-7c7f-89b4-12e1c7a7606f")].Value; }		
    	}		
    	public string Metadata
    	{	
    		set {emo[new Guid("915e6f22-fd94-0ab1-50d7-7034e3347cad")].Value = value;}	
    		get {return (string) emo[new Guid("915e6f22-fd94-0ab1-50d7-7034e3347cad")].Value; }		
    	}		
    	public string ParentIdentity
    	{	
    		set {emo[new Guid("1eec03bd-e601-9718-5434-9b399958a450")].Value = value;}	
    		get {return (string) emo[new Guid("1eec03bd-e601-9718-5434-9b399958a450")].Value; }		
    	}		
    	public string RootIdentity
    	{	
    		set {emo[new Guid("4332f158-4b10-9a92-b348-0f855791e33d")].Value = value;}	
    		get {return (string) emo[new Guid("4332f158-4b10-9a92-b348-0f855791e33d")].Value; }		
    	}		

}     
        
	
	



public partial class GenericNetworkAdapter 
{
        private EnterpriseManagementObject emo;
        
        public GenericNetworkAdapter(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[GenericNetworkAdapterHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[GenericNetworkAdapterHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public ManagementPackEnumeration AssetStatus
    	{	
    		set {emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string MACAddress
    	{	
    		set {emo[new Guid("1b0c97a9-12ba-06d1-ab99-6e2f0b3c663d")].Value = value;}	
    		get {return (string) emo[new Guid("1b0c97a9-12ba-06d1-ab99-6e2f0b3c663d")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
    		get {return (string) emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
    	}		
    	public ManagementPackEnumeration ObjectStatus
    	{	
    		set {emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
    	}		

}     
        
	
	



public partial class GeoLocation 
{
        private EnterpriseManagementObject emo;
        
        public GeoLocation(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[GeoLocationHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[GeoLocationHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public ManagementPackEnumeration AssetStatus
    	{	
    		set {emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("010edd9d-e536-b62a-8aae-577e21f26e52")].Value = value;}	
    		get {return (string) emo[new Guid("010edd9d-e536-b62a-8aae-577e21f26e52")].Value; }		
    	}		
    	public string Latitude
    	{	
    		set {emo[new Guid("a0a917df-7797-75e9-7bc0-c65bd8a36c3b")].Value = value;}	
    		get {return (string) emo[new Guid("a0a917df-7797-75e9-7bc0-c65bd8a36c3b")].Value; }		
    	}		
    	public string Longitude
    	{	
    		set {emo[new Guid("a7074e3d-44d5-56b2-2153-50adb6b821e4")].Value = value;}	
    		get {return (string) emo[new Guid("a7074e3d-44d5-56b2-2153-50adb6b821e4")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
    		get {return (string) emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
    	}		
    	public ManagementPackEnumeration ObjectStatus
    	{	
    		set {emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
    	}		

}     
        
	
	



public partial class OperatingMobile 
{
        private EnterpriseManagementObject emo;
        
        public OperatingMobile(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[OperatingMobileHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[OperatingMobileHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public ManagementPackEnumeration AssetStatus
    	{	
    		set {emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Language
    	{	
    		set {emo[new Guid("18d50dbe-0549-eadf-2a52-5c49f6a26ad2")].Value = value;}	
    		get {return (string) emo[new Guid("18d50dbe-0549-eadf-2a52-5c49f6a26ad2")].Value; }		
    	}		
    	public string Name
    	{	
    		set {emo[new Guid("4bdcb716-7842-9147-a314-084b35d7efdf")].Value = value;}	
    		get {return (string) emo[new Guid("4bdcb716-7842-9147-a314-084b35d7efdf")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
    		get {return (string) emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
    	}		
    	public ManagementPackEnumeration ObjectStatus
    	{	
    		set {emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
    	}		
    	public string Publisher
    	{	
    		set {emo[new Guid("17b5bfb1-71f3-c91a-d83d-beb9f1b7c4e3")].Value = value;}	
    		get {return (string) emo[new Guid("17b5bfb1-71f3-c91a-d83d-beb9f1b7c4e3")].Value; }		
    	}		
    	public string Version
    	{	
    		set {emo[new Guid("0374ca51-ded3-dd31-0cad-9462f48fa8a6")].Value = value;}	
    		get {return (string) emo[new Guid("0374ca51-ded3-dd31-0cad-9462f48fa8a6")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.WorkItem.Incident.Library	
	Id 				: dd26c521-7c2d-58c0-0980-dac2dacb0900
	Description 	: Incident Management Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{



public partial class Incident 
{
        private EnterpriseManagementObject emo;
        
        public Incident(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[IncidentHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[IncidentHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public bool? Acknowledged
    	{	
    		set {emo[new Guid("65efc342-d80d-7801-2481-26b94b8e31bf")].Value = value;}	
    		get {return (bool?) emo[new Guid("65efc342-d80d-7801-2481-26b94b8e31bf")].Value; }		
    	}		
    	public double ActualCost
    	{	
    		set {emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value = value;}	
    		get {return (double) emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value; }		
    	}		
    	public DateTime? ActualDowntimeEndDate
    	{	
    		set {emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value; }		
    	}		
    	public DateTime? ActualDowntimeStartDate
    	{	
    		set {emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value; }		
    	}		
    	public DateTime? ActualEndDate
    	{	
    		set {emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
    	}		
    	public DateTime? ActualStartDate
    	{	
    		set {emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
    	}		
    	public double ActualWork
    	{	
    		set {emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value = value;}	
    		get {return (double) emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value; }		
    	}		
    	public ManagementPackEnumeration Classification
    	{	
    		set {emo[new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1")].Value; }		
    	}		
    	public DateTime? ClosedDate
    	{	
    		set {emo[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value; }		
    	}		
    	public string ContactMethod
    	{	
    		set {emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
    		get {return (string) emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
    		get {return (string) emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public bool? Escalated
    	{	
    		set {emo[new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6")].Value = value;}	
    		get {return (bool?) emo[new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6")].Value; }		
    	}		
    	public DateTime? FirstAssignedDate
    	{	
    		set {emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value; }		
    	}		
    	public DateTime? FirstResponseDate
    	{	
    		set {emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value; }		
    	}		
    	public bool? HasCreatedKnowledgeArticle
    	{	
    		set {emo[new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7")].Value = value;}	
    		get {return (bool?) emo[new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value = value;}	
    		get {return (string) emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value; }		
    	}		
    	public ManagementPackEnumeration Impact
    	{	
    		set {emo[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value; }		
    	}		
    	public string IPIMID
    	{	
    		set {emo[new Guid("ebaee561-1c41-576a-0aa3-9fcc047bc820")].Value = value;}	
    		get {return (string) emo[new Guid("ebaee561-1c41-576a-0aa3-9fcc047bc820")].Value; }		
    	}		
    	public bool? IsDowntime
    	{	
    		set {emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value = value;}	
    		get {return (bool?) emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value; }		
    	}		
    	public bool? IsParent
    	{	
    		set {emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value = value;}	
    		get {return (bool?) emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value; }		
    	}		
    	public ManagementPackEnumeration ITClassification
    	{	
    		set {emo[new Guid("80970221-7620-d71d-1a0d-a0b0cdde014a")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("80970221-7620-d71d-1a0d-a0b0cdde014a")].Value; }		
    	}		
    	public ManagementPackEnumeration LastModifiedSource
    	{	
    		set {emo[new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3")].Value; }		
    	}		
    	public bool? NeedsKnowledgeArticle
    	{	
    		set {emo[new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a")].Value = value;}	
    		get {return (bool?) emo[new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a")].Value; }		
    	}		
    	public double PlannedCost
    	{	
    		set {emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value = value;}	
    		get {return (double) emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value; }		
    	}		
    	public double PlannedWork
    	{	
    		set {emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value = value;}	
    		get {return (double) emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value; }		
    	}		
    	public int Priority
    	{	
    		set {emo[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value = value;}	
    		get {return (int) emo[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value; }		
    	}		
    	public DateTime? RequiredBy
    	{	
    		set {emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value; }		
    	}		
    	public ManagementPackEnumeration ResolutionCategory
    	{	
    		set {emo[new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc")].Value; }		
    	}		
    	public string ResolutionDescription
    	{	
    		set {emo[new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0")].Value = value;}	
    		get {return (string) emo[new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0")].Value; }		
    	}		
    	public DateTime? ResolvedDate
    	{	
    		set {emo[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeEndDate
    	{	
    		set {emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeStartDate
    	{	
    		set {emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value; }		
    	}		
    	public DateTime? ScheduledEndDate
    	{	
    		set {emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
    	}		
    	public DateTime? ScheduledStartDate
    	{	
    		set {emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
    	}		
    	public ManagementPackEnumeration Source
    	{	
    		set {emo[new Guid("72e56ac1-4147-273f-655a-55dafa41ff97")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("72e56ac1-4147-273f-655a-55dafa41ff97")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c")].Value; }		
    	}		
    	public DateTime? TargetResolutionTime
    	{	
    		set {emo[new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438")].Value; }		
    	}		
    	public ManagementPackEnumeration TierQueue
    	{	
    		set {emo[new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
    		get {return (string) emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
    	}		
    	public ManagementPackEnumeration Urgency
    	{	
    		set {emo[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value; }		
    	}		
    	public string UserInput
    	{	
    		set {emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value = value;}	
    		get {return (string) emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.WorkItem.Problem.Library	
	Id 				: d93ec150-3906-5404-ee41-1aefaa35518e
	Description 	: System Work Item Problem Library
*/
namespace Savviety.ServiceManager.API.ProblemManagement 
{



public partial class ProblemGeneralSettings 
{
        private EnterpriseManagementObject emo;
        
        public ProblemGeneralSettings(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ProblemGeneralSettingsHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ProblemGeneralSettingsHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public int MaxAttachments
    	{	
    		set {emo[new Guid("1a264acf-0115-8556-ea20-4e0bc350a205")].Value = value;}	
    		get {return (int) emo[new Guid("1a264acf-0115-8556-ea20-4e0bc350a205")].Value; }		
    	}		
    	public int MaxAttachmentSize
    	{	
    		set {emo[new Guid("054d3b4c-e021-8d41-2a73-b6258cb98a33")].Value = value;}	
    		get {return (int) emo[new Guid("054d3b4c-e021-8d41-2a73-b6258cb98a33")].Value; }		
    	}		
    	public string PriorityMatrix
    	{	
    		set {emo[new Guid("e179d2d6-0d32-90e0-f513-9a84e206ba59")].Value = value;}	
    		get {return (string) emo[new Guid("e179d2d6-0d32-90e0-f513-9a84e206ba59")].Value; }		
    	}		
    	public int PriorityMaxValue
    	{	
    		set {emo[new Guid("4341716a-b6b8-5a98-e9cb-963e3dc1bc8a")].Value = value;}	
    		get {return (int) emo[new Guid("4341716a-b6b8-5a98-e9cb-963e3dc1bc8a")].Value; }		
    	}		
    	public int PriorityMinValue
    	{	
    		set {emo[new Guid("5bb6afb7-1940-9ec4-1651-1144489841b1")].Value = value;}	
    		get {return (int) emo[new Guid("5bb6afb7-1940-9ec4-1651-1144489841b1")].Value; }		
    	}		
    	public string ProblemIdPrefix
    	{	
    		set {emo[new Guid("9dd2e62e-ecba-966a-4fe8-c469553c689e")].Value = value;}	
    		get {return (string) emo[new Guid("9dd2e62e-ecba-966a-4fe8-c469553c689e")].Value; }		
    	}		

}     
        
	
	



public partial class Problem 
{
        private EnterpriseManagementObject emo;
        
        public Problem(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ProblemHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ProblemHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public double ActualCost
    	{	
    		set {emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value = value;}	
    		get {return (double) emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value; }		
    	}		
    	public DateTime? ActualDowntimeEndDate
    	{	
    		set {emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value; }		
    	}		
    	public DateTime? ActualDowntimeStartDate
    	{	
    		set {emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value; }		
    	}		
    	public DateTime? ActualEndDate
    	{	
    		set {emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
    	}		
    	public DateTime? ActualStartDate
    	{	
    		set {emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
    	}		
    	public double ActualWork
    	{	
    		set {emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value = value;}	
    		get {return (double) emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value; }		
    	}		
    	public bool? AutoResolve
    	{	
    		set {emo[new Guid("9f72a895-81d2-bde9-0e04-38c0dc12b906")].Value = value;}	
    		get {return (bool?) emo[new Guid("9f72a895-81d2-bde9-0e04-38c0dc12b906")].Value; }		
    	}		
    	public ManagementPackEnumeration Classification
    	{	
    		set {emo[new Guid("847241ac-5e64-e3a2-1c78-01714e31f094")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("847241ac-5e64-e3a2-1c78-01714e31f094")].Value; }		
    	}		
    	public DateTime? ClosedDate
    	{	
    		set {emo[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value; }		
    	}		
    	public string ContactMethod
    	{	
    		set {emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
    		get {return (string) emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
    		get {return (string) emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string ErrorDescription
    	{	
    		set {emo[new Guid("d1c50a8d-7375-28a1-35f5-108dee05a1c4")].Value = value;}	
    		get {return (string) emo[new Guid("d1c50a8d-7375-28a1-35f5-108dee05a1c4")].Value; }		
    	}		
    	public DateTime? FirstAssignedDate
    	{	
    		set {emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value; }		
    	}		
    	public DateTime? FirstResponseDate
    	{	
    		set {emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value = value;}	
    		get {return (string) emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value; }		
    	}		
    	public ManagementPackEnumeration Impact
    	{	
    		set {emo[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value; }		
    	}		
    	public bool? IsDowntime
    	{	
    		set {emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value = value;}	
    		get {return (bool?) emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value; }		
    	}		
    	public bool? IsParent
    	{	
    		set {emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value = value;}	
    		get {return (bool?) emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value; }		
    	}		
    	public bool? KnownError
    	{	
    		set {emo[new Guid("9a03fd17-3b54-2601-72b0-e49e3d711266")].Value = value;}	
    		get {return (bool?) emo[new Guid("9a03fd17-3b54-2601-72b0-e49e3d711266")].Value; }		
    	}		
    	public double PlannedCost
    	{	
    		set {emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value = value;}	
    		get {return (double) emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value; }		
    	}		
    	public double PlannedWork
    	{	
    		set {emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value = value;}	
    		get {return (double) emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value; }		
    	}		
    	public int Priority
    	{	
    		set {emo[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value = value;}	
    		get {return (int) emo[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value; }		
    	}		
    	public DateTime? RequiredBy
    	{	
    		set {emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value; }		
    	}		
    	public bool? RequiresMajorProblemReview
    	{	
    		set {emo[new Guid("1b39815a-ada2-9062-8965-db23339e5e56")].Value = value;}	
    		get {return (bool?) emo[new Guid("1b39815a-ada2-9062-8965-db23339e5e56")].Value; }		
    	}		
    	public ManagementPackEnumeration Resolution
    	{	
    		set {emo[new Guid("9ec7b8e2-7078-771e-eaaa-cade20c82c4f")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("9ec7b8e2-7078-771e-eaaa-cade20c82c4f")].Value; }		
    	}		
    	public string ResolutionDescription
    	{	
    		set {emo[new Guid("dfb8df38-8d4f-71b4-44e0-23ac65cef070")].Value = value;}	
    		get {return (string) emo[new Guid("dfb8df38-8d4f-71b4-44e0-23ac65cef070")].Value; }		
    	}		
    	public DateTime? ResolvedDate
    	{	
    		set {emo[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value; }		
    	}		
    	public string ReviewNotes
    	{	
    		set {emo[new Guid("6a535d3e-503e-09fe-ea3c-52aec02ae841")].Value = value;}	
    		get {return (string) emo[new Guid("6a535d3e-503e-09fe-ea3c-52aec02ae841")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeEndDate
    	{	
    		set {emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeStartDate
    	{	
    		set {emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value; }		
    	}		
    	public DateTime? ScheduledEndDate
    	{	
    		set {emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
    	}		
    	public DateTime? ScheduledStartDate
    	{	
    		set {emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
    	}		
    	public ManagementPackEnumeration Source
    	{	
    		set {emo[new Guid("70818193-7344-ab63-4760-2ac08ec846c4")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("70818193-7344-ab63-4760-2ac08ec846c4")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("0c489de5-4e51-c4dc-4ce9-ce8137ce1a26")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("0c489de5-4e51-c4dc-4ce9-ce8137ce1a26")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
    		get {return (string) emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
    	}		
    	public ManagementPackEnumeration Urgency
    	{	
    		set {emo[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value; }		
    	}		
    	public string UserInput
    	{	
    		set {emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value = value;}	
    		get {return (string) emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value; }		
    	}		
    	public string Workarounds
    	{	
    		set {emo[new Guid("64a534e6-830e-c3cb-5493-35abca0b260d")].Value = value;}	
    		get {return (string) emo[new Guid("64a534e6-830e-c3cb-5493-35abca0b260d")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.WorkItem.ReleaseRecord.Library	
	Id 				: 50ba92b8-f5c7-fa12-4893-0a55df43d7ce
	Description 	: System WorkItem Release Record Library
*/
namespace Savviety.ServiceManager.API.ReleaseManagement 
{



public partial class ReleaseRecord 
{
        private EnterpriseManagementObject emo;
        
        public ReleaseRecord(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ReleaseRecordHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ReleaseRecordHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public double ActualCost
    	{	
    		set {emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value = value;}	
    		get {return (double) emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value; }		
    	}		
    	public DateTime? ActualDowntimeEndDate
    	{	
    		set {emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value; }		
    	}		
    	public DateTime? ActualDowntimeStartDate
    	{	
    		set {emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value; }		
    	}		
    	public DateTime? ActualEndDate
    	{	
    		set {emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
    	}		
    	public DateTime? ActualStartDate
    	{	
    		set {emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
    	}		
    	public double ActualWork
    	{	
    		set {emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value = value;}	
    		get {return (double) emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value; }		
    	}		
    	public ManagementPackEnumeration Category
    	{	
    		set {emo[new Guid("c48cd97f-2e28-82ff-93ce-a94f11d09823")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("c48cd97f-2e28-82ff-93ce-a94f11d09823")].Value; }		
    	}		
    	public string ContactMethod
    	{	
    		set {emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
    		get {return (string) emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
    		get {return (string) emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Documentation
    	{	
    		set {emo[new Guid("149d3130-5c9c-f91e-4d18-edd2ebadc799")].Value = value;}	
    		get {return (string) emo[new Guid("149d3130-5c9c-f91e-4d18-edd2ebadc799")].Value; }		
    	}		
    	public DateTime? FirstAssignedDate
    	{	
    		set {emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value; }		
    	}		
    	public DateTime? FirstResponseDate
    	{	
    		set {emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value = value;}	
    		get {return (string) emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value; }		
    	}		
    	public ManagementPackEnumeration Impact
    	{	
    		set {emo[new Guid("16ddb88d-d1ca-367b-45e8-7075b58fbd0b")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("16ddb88d-d1ca-367b-45e8-7075b58fbd0b")].Value; }		
    	}		
    	public ManagementPackEnumeration ImplementationResults
    	{	
    		set {emo[new Guid("9b804938-b20f-8c44-3467-510b47bc6325")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("9b804938-b20f-8c44-3467-510b47bc6325")].Value; }		
    	}		
    	public bool? IsDowntime
    	{	
    		set {emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value = value;}	
    		get {return (bool?) emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value; }		
    	}		
    	public bool? IsParent
    	{	
    		set {emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value = value;}	
    		get {return (bool?) emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("7139cba8-b2d0-5ad2-b554-700b7e0cfd3e")].Value = value;}	
    		get {return (string) emo[new Guid("7139cba8-b2d0-5ad2-b554-700b7e0cfd3e")].Value; }		
    	}		
    	public double PlannedCost
    	{	
    		set {emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value = value;}	
    		get {return (double) emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value; }		
    	}		
    	public double PlannedWork
    	{	
    		set {emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value = value;}	
    		get {return (double) emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value; }		
    	}		
    	public string PostImplementationReview
    	{	
    		set {emo[new Guid("78ddaf0c-97c4-14d8-7ccf-f93302820f55")].Value = value;}	
    		get {return (string) emo[new Guid("78ddaf0c-97c4-14d8-7ccf-f93302820f55")].Value; }		
    	}		
    	public ManagementPackEnumeration Priority
    	{	
    		set {emo[new Guid("769e3f11-a9eb-32dc-b688-88e62c41469c")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("769e3f11-a9eb-32dc-b688-88e62c41469c")].Value; }		
    	}		
    	public DateTime? RequiredBy
    	{	
    		set {emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value; }		
    	}		
    	public ManagementPackEnumeration Risk
    	{	
    		set {emo[new Guid("de5b1c4d-e4a9-e67f-71c6-c3f3d712db45")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("de5b1c4d-e4a9-e67f-71c6-c3f3d712db45")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeEndDate
    	{	
    		set {emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeStartDate
    	{	
    		set {emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value; }		
    	}		
    	public DateTime? ScheduledEndDate
    	{	
    		set {emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
    	}		
    	public DateTime? ScheduledStartDate
    	{	
    		set {emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("b26ae84c-c4d6-750f-3aad-5dd5ffe50af7")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("b26ae84c-c4d6-750f-3aad-5dd5ffe50af7")].Value; }		
    	}		
    	public string TemplateId
    	{	
    		set {emo[new Guid("3731ec94-4ec8-b5c4-4321-506d841fac4d")].Value = value;}	
    		get {return (string) emo[new Guid("3731ec94-4ec8-b5c4-4321-506d841fac4d")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
    		get {return (string) emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
    	}		
    	public ManagementPackEnumeration Type
    	{	
    		set {emo[new Guid("4851a287-a975-0ce5-013c-47cd147e525b")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("4851a287-a975-0ce5-013c-47cd147e525b")].Value; }		
    	}		
    	public string UserInput
    	{	
    		set {emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value = value;}	
    		get {return (string) emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.WorkItem.ServiceRequest.Library	
	Id 				: 32502cfa-1045-b329-899d-bc236d485bc3
	Description 	: System Work Item Service Request Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{



public partial class ServiceRequest 
{
        private EnterpriseManagementObject emo;
        
        public ServiceRequest(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ServiceRequestHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ServiceRequestHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public double ActualCost
    	{	
    		set {emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value = value;}	
    		get {return (double) emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value; }		
    	}		
    	public DateTime? ActualDowntimeEndDate
    	{	
    		set {emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value; }		
    	}		
    	public DateTime? ActualDowntimeStartDate
    	{	
    		set {emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value; }		
    	}		
    	public DateTime? ActualEndDate
    	{	
    		set {emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
    	}		
    	public DateTime? ActualStartDate
    	{	
    		set {emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
    	}		
    	public double ActualWork
    	{	
    		set {emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value = value;}	
    		get {return (double) emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value; }		
    	}		
    	public ManagementPackEnumeration Area
    	{	
    		set {emo[new Guid("db348c33-4ff3-2f17-4941-067397b2dc28")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("db348c33-4ff3-2f17-4941-067397b2dc28")].Value; }		
    	}		
    	public DateTime? ClosedDate
    	{	
    		set {emo[new Guid("8e2dfa48-5c20-6730-f1d6-24b89139695d")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("8e2dfa48-5c20-6730-f1d6-24b89139695d")].Value; }		
    	}		
    	public DateTime? CompletedDate
    	{	
    		set {emo[new Guid("b7f279dc-0002-efcc-bd95-5ce521fd6613")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("b7f279dc-0002-efcc-bd95-5ce521fd6613")].Value; }		
    	}		
    	public string ContactMethod
    	{	
    		set {emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
    		get {return (string) emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
    		get {return (string) emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public DateTime? FirstAssignedDate
    	{	
    		set {emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value; }		
    	}		
    	public DateTime? FirstResponseDate
    	{	
    		set {emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value = value;}	
    		get {return (string) emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value; }		
    	}		
    	public ManagementPackEnumeration ImplementationResults
    	{	
    		set {emo[new Guid("8945c85e-feb3-0777-2140-44426456957f")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("8945c85e-feb3-0777-2140-44426456957f")].Value; }		
    	}		
    	public bool? IsDowntime
    	{	
    		set {emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value = value;}	
    		get {return (bool?) emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value; }		
    	}		
    	public bool? IsParent
    	{	
    		set {emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value = value;}	
    		get {return (bool?) emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("a1d9bf09-f823-2ca4-fbfd-d07e3c3b7f7e")].Value = value;}	
    		get {return (string) emo[new Guid("a1d9bf09-f823-2ca4-fbfd-d07e3c3b7f7e")].Value; }		
    	}		
    	public double PlannedCost
    	{	
    		set {emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value = value;}	
    		get {return (double) emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value; }		
    	}		
    	public double PlannedWork
    	{	
    		set {emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value = value;}	
    		get {return (double) emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value; }		
    	}		
    	public ManagementPackEnumeration Priority
    	{	
    		set {emo[new Guid("06fd07b7-65b0-b73b-cbf2-473c81f5004a")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("06fd07b7-65b0-b73b-cbf2-473c81f5004a")].Value; }		
    	}		
    	public DateTime? RequiredBy
    	{	
    		set {emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeEndDate
    	{	
    		set {emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeStartDate
    	{	
    		set {emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value; }		
    	}		
    	public DateTime? ScheduledEndDate
    	{	
    		set {emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
    	}		
    	public DateTime? ScheduledStartDate
    	{	
    		set {emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
    	}		
    	public ManagementPackEnumeration Source
    	{	
    		set {emo[new Guid("70f53295-2c1d-83db-19d2-cb2a3fbcdcd1")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("70f53295-2c1d-83db-19d2-cb2a3fbcdcd1")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("8813c5e7-4bf6-f880-ee63-e54445e1904c")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("8813c5e7-4bf6-f880-ee63-e54445e1904c")].Value; }		
    	}		
    	public ManagementPackEnumeration SupportGroup
    	{	
    		set {emo[new Guid("cb80f34c-a6e4-2a84-c096-e6a0439be593")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("cb80f34c-a6e4-2a84-c096-e6a0439be593")].Value; }		
    	}		
    	public string TemplateId
    	{	
    		set {emo[new Guid("3a73b0ec-ca1f-4611-879b-74bc19d6088f")].Value = value;}	
    		get {return (string) emo[new Guid("3a73b0ec-ca1f-4611-879b-74bc19d6088f")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
    		get {return (string) emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
    	}		
    	public ManagementPackEnumeration Urgency
    	{	
    		set {emo[new Guid("ad7c753d-f95f-3a20-75c9-fcf3d1d7e661")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("ad7c753d-f95f-3a20-75c9-fcf3d1d7e661")].Value; }		
    	}		
    	public string UserInput
    	{	
    		set {emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value = value;}	
    		get {return (string) emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.WorkItem.Activity.Library	
	Id 				: aa265d90-3e2e-b9a2-d929-be0d36f1a53e
	Description 	: System Work Item Activity Library
*/
namespace Savviety.ServiceManager.API.ActivityManagement 
{



public partial class ReViewer 
{
        private EnterpriseManagementObject emo;
        
        public ReViewer(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ReViewerHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ReViewerHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string Comments
    	{	
    		set {emo[new Guid("f95c19c3-4065-d025-795f-20b5b36b183a")].Value = value;}	
    		get {return (string) emo[new Guid("f95c19c3-4065-d025-795f-20b5b36b183a")].Value; }		
    	}		
    	public ManagementPackEnumeration Decision
    	{	
    		set {emo[new Guid("d8ed4f28-0b68-a656-6a67-197f74f6b34f")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("d8ed4f28-0b68-a656-6a67-197f74f6b34f")].Value; }		
    	}		
    	public DateTime? DecisionDate
    	{	
    		set {emo[new Guid("92b33617-131f-4726-bb9e-8d7974313fc7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("92b33617-131f-4726-bb9e-8d7974313fc7")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public bool? MustVote
    	{	
    		set {emo[new Guid("a4e71854-1fc0-0976-5b77-d6055f733409")].Value = value;}	
    		get {return (bool?) emo[new Guid("a4e71854-1fc0-0976-5b77-d6055f733409")].Value; }		
    	}		
    	public string ReviewerId
    	{	
    		set {emo[new Guid("1c98c323-8c9f-1692-f703-4ed0dab1f727")].Value = value;}	
    		get {return (string) emo[new Guid("1c98c323-8c9f-1692-f703-4ed0dab1f727")].Value; }		
    	}		
    	public bool? Veto
    	{	
    		set {emo[new Guid("3b724b51-03e9-7482-c18b-6c2882180a1d")].Value = value;}	
    		get {return (bool?) emo[new Guid("3b724b51-03e9-7482-c18b-6c2882180a1d")].Value; }		
    	}		

}     
        
	
	



public partial class ActivityDependentActivity 
{
        private EnterpriseManagementObject emo;
        
        public ActivityDependentActivity(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ActivityDependentActivityHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ActivityDependentActivityHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public double ActualCost
    	{	
    		set {emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value = value;}	
    		get {return (double) emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value; }		
    	}		
    	public DateTime? ActualDowntimeEndDate
    	{	
    		set {emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value; }		
    	}		
    	public DateTime? ActualDowntimeStartDate
    	{	
    		set {emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value; }		
    	}		
    	public DateTime? ActualEndDate
    	{	
    		set {emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
    	}		
    	public DateTime? ActualStartDate
    	{	
    		set {emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
    	}		
    	public double ActualWork
    	{	
    		set {emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value = value;}	
    		get {return (double) emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value; }		
    	}		
    	public ManagementPackEnumeration Area
    	{	
    		set {emo[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value; }		
    	}		
    	public string ChildId
    	{	
    		set {emo[new Guid("dbeb4a87-8099-f36d-9fbd-17e0ad43c828")].Value = value;}	
    		get {return (string) emo[new Guid("dbeb4a87-8099-f36d-9fbd-17e0ad43c828")].Value; }		
    	}		
    	public string ContactMethod
    	{	
    		set {emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
    		get {return (string) emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
    		get {return (string) emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Documentation
    	{	
    		set {emo[new Guid("52ff8f53-9c8e-450b-7aab-640243bf0e39")].Value = value;}	
    		get {return (string) emo[new Guid("52ff8f53-9c8e-450b-7aab-640243bf0e39")].Value; }		
    	}		
    	public DateTime? FirstAssignedDate
    	{	
    		set {emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value; }		
    	}		
    	public DateTime? FirstResponseDate
    	{	
    		set {emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value = value;}	
    		get {return (string) emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value; }		
    	}		
    	public bool? IsDowntime
    	{	
    		set {emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value = value;}	
    		get {return (bool?) emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value; }		
    	}		
    	public bool? IsParent
    	{	
    		set {emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value = value;}	
    		get {return (bool?) emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value = value;}	
    		get {return (string) emo[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value; }		
    	}		
    	public double PlannedCost
    	{	
    		set {emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value = value;}	
    		get {return (double) emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value; }		
    	}		
    	public double PlannedWork
    	{	
    		set {emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value = value;}	
    		get {return (double) emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value; }		
    	}		
    	public ManagementPackEnumeration Priority
    	{	
    		set {emo[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value; }		
    	}		
    	public DateTime? RequiredBy
    	{	
    		set {emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeEndDate
    	{	
    		set {emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeStartDate
    	{	
    		set {emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value; }		
    	}		
    	public DateTime? ScheduledEndDate
    	{	
    		set {emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
    	}		
    	public DateTime? ScheduledStartDate
    	{	
    		set {emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
    	}		
    	public int SequenceId
    	{	
    		set {emo[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value = value;}	
    		get {return (int) emo[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value; }		
    	}		
    	public bool? Skip
    	{	
    		set {emo[new Guid("e8122fa0-a120-214e-8920-1197c01eccd6")].Value = value;}	
    		get {return (bool?) emo[new Guid("e8122fa0-a120-214e-8920-1197c01eccd6")].Value; }		
    	}		
    	public ManagementPackEnumeration Stage
    	{	
    		set {emo[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
    		get {return (string) emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
    	}		
    	public string UserInput
    	{	
    		set {emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value = value;}	
    		get {return (string) emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value; }		
    	}		

}     
        
	
	



public partial class ActivityManualActivity 
{
        private EnterpriseManagementObject emo;
        
        public ActivityManualActivity(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ActivityManualActivityHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ActivityManualActivityHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public double ActualCost
    	{	
    		set {emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value = value;}	
    		get {return (double) emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value; }		
    	}		
    	public DateTime? ActualDowntimeEndDate
    	{	
    		set {emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value; }		
    	}		
    	public DateTime? ActualDowntimeStartDate
    	{	
    		set {emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value; }		
    	}		
    	public DateTime? ActualEndDate
    	{	
    		set {emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
    	}		
    	public DateTime? ActualStartDate
    	{	
    		set {emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
    	}		
    	public double ActualWork
    	{	
    		set {emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value = value;}	
    		get {return (double) emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value; }		
    	}		
    	public ManagementPackEnumeration Area
    	{	
    		set {emo[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value; }		
    	}		
    	public string ChildId
    	{	
    		set {emo[new Guid("dbeb4a87-8099-f36d-9fbd-17e0ad43c828")].Value = value;}	
    		get {return (string) emo[new Guid("dbeb4a87-8099-f36d-9fbd-17e0ad43c828")].Value; }		
    	}		
    	public string ContactMethod
    	{	
    		set {emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
    		get {return (string) emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
    		get {return (string) emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Documentation
    	{	
    		set {emo[new Guid("52ff8f53-9c8e-450b-7aab-640243bf0e39")].Value = value;}	
    		get {return (string) emo[new Guid("52ff8f53-9c8e-450b-7aab-640243bf0e39")].Value; }		
    	}		
    	public DateTime? FirstAssignedDate
    	{	
    		set {emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value; }		
    	}		
    	public DateTime? FirstResponseDate
    	{	
    		set {emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value = value;}	
    		get {return (string) emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value; }		
    	}		
    	public bool? IsDowntime
    	{	
    		set {emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value = value;}	
    		get {return (bool?) emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value; }		
    	}		
    	public bool? IsParent
    	{	
    		set {emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value = value;}	
    		get {return (bool?) emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value = value;}	
    		get {return (string) emo[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value; }		
    	}		
    	public double PlannedCost
    	{	
    		set {emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value = value;}	
    		get {return (double) emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value; }		
    	}		
    	public double PlannedWork
    	{	
    		set {emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value = value;}	
    		get {return (double) emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value; }		
    	}		
    	public ManagementPackEnumeration Priority
    	{	
    		set {emo[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value; }		
    	}		
    	public DateTime? RequiredBy
    	{	
    		set {emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeEndDate
    	{	
    		set {emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeStartDate
    	{	
    		set {emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value; }		
    	}		
    	public DateTime? ScheduledEndDate
    	{	
    		set {emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
    	}		
    	public DateTime? ScheduledStartDate
    	{	
    		set {emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
    	}		
    	public int SequenceId
    	{	
    		set {emo[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value = value;}	
    		get {return (int) emo[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value; }		
    	}		
    	public bool? Skip
    	{	
    		set {emo[new Guid("e8122fa0-a120-214e-8920-1197c01eccd6")].Value = value;}	
    		get {return (bool?) emo[new Guid("e8122fa0-a120-214e-8920-1197c01eccd6")].Value; }		
    	}		
    	public ManagementPackEnumeration Stage
    	{	
    		set {emo[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
    		get {return (string) emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
    	}		
    	public string UserInput
    	{	
    		set {emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value = value;}	
    		get {return (string) emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value; }		
    	}		

}     
        
	
	



public partial class ActivityParallelActivity 
{
        private EnterpriseManagementObject emo;
        
        public ActivityParallelActivity(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ActivityParallelActivityHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ActivityParallelActivityHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public double ActualCost
    	{	
    		set {emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value = value;}	
    		get {return (double) emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value; }		
    	}		
    	public DateTime? ActualDowntimeEndDate
    	{	
    		set {emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value; }		
    	}		
    	public DateTime? ActualDowntimeStartDate
    	{	
    		set {emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value; }		
    	}		
    	public DateTime? ActualEndDate
    	{	
    		set {emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
    	}		
    	public DateTime? ActualStartDate
    	{	
    		set {emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
    	}		
    	public double ActualWork
    	{	
    		set {emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value = value;}	
    		get {return (double) emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value; }		
    	}		
    	public ManagementPackEnumeration Area
    	{	
    		set {emo[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value; }		
    	}		
    	public string ChildId
    	{	
    		set {emo[new Guid("dbeb4a87-8099-f36d-9fbd-17e0ad43c828")].Value = value;}	
    		get {return (string) emo[new Guid("dbeb4a87-8099-f36d-9fbd-17e0ad43c828")].Value; }		
    	}		
    	public string ContactMethod
    	{	
    		set {emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
    		get {return (string) emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
    		get {return (string) emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Documentation
    	{	
    		set {emo[new Guid("52ff8f53-9c8e-450b-7aab-640243bf0e39")].Value = value;}	
    		get {return (string) emo[new Guid("52ff8f53-9c8e-450b-7aab-640243bf0e39")].Value; }		
    	}		
    	public DateTime? FirstAssignedDate
    	{	
    		set {emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value; }		
    	}		
    	public DateTime? FirstResponseDate
    	{	
    		set {emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value = value;}	
    		get {return (string) emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value; }		
    	}		
    	public bool? IsDowntime
    	{	
    		set {emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value = value;}	
    		get {return (bool?) emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value; }		
    	}		
    	public bool? IsParent
    	{	
    		set {emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value = value;}	
    		get {return (bool?) emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value = value;}	
    		get {return (string) emo[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value; }		
    	}		
    	public double PlannedCost
    	{	
    		set {emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value = value;}	
    		get {return (double) emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value; }		
    	}		
    	public double PlannedWork
    	{	
    		set {emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value = value;}	
    		get {return (double) emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value; }		
    	}		
    	public ManagementPackEnumeration Priority
    	{	
    		set {emo[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value; }		
    	}		
    	public DateTime? RequiredBy
    	{	
    		set {emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeEndDate
    	{	
    		set {emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeStartDate
    	{	
    		set {emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value; }		
    	}		
    	public DateTime? ScheduledEndDate
    	{	
    		set {emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
    	}		
    	public DateTime? ScheduledStartDate
    	{	
    		set {emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
    	}		
    	public int SequenceId
    	{	
    		set {emo[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value = value;}	
    		get {return (int) emo[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value; }		
    	}		
    	public bool? Skip
    	{	
    		set {emo[new Guid("e8122fa0-a120-214e-8920-1197c01eccd6")].Value = value;}	
    		get {return (bool?) emo[new Guid("e8122fa0-a120-214e-8920-1197c01eccd6")].Value; }		
    	}		
    	public ManagementPackEnumeration Stage
    	{	
    		set {emo[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
    		get {return (string) emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
    	}		
    	public string UserInput
    	{	
    		set {emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value = value;}	
    		get {return (string) emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value; }		
    	}		

}     
        
	
	



public partial class ActivityReViewActivity 
{
        private EnterpriseManagementObject emo;
        
        public ActivityReViewActivity(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ActivityReViewActivityHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ActivityReViewActivityHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public double ActualCost
    	{	
    		set {emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value = value;}	
    		get {return (double) emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value; }		
    	}		
    	public DateTime? ActualDowntimeEndDate
    	{	
    		set {emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value; }		
    	}		
    	public DateTime? ActualDowntimeStartDate
    	{	
    		set {emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value; }		
    	}		
    	public DateTime? ActualEndDate
    	{	
    		set {emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
    	}		
    	public DateTime? ActualStartDate
    	{	
    		set {emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
    	}		
    	public double ActualWork
    	{	
    		set {emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value = value;}	
    		get {return (double) emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value; }		
    	}		
    	public ManagementPackEnumeration ApprovalCondition
    	{	
    		set {emo[new Guid("3f9f69dd-d949-4ebc-49c6-117ba9e3b43d")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("3f9f69dd-d949-4ebc-49c6-117ba9e3b43d")].Value; }		
    	}		
    	public int ApprovalPercentage
    	{	
    		set {emo[new Guid("ef4871c7-6eac-0649-1a4b-52ea96c50ecb")].Value = value;}	
    		get {return (int) emo[new Guid("ef4871c7-6eac-0649-1a4b-52ea96c50ecb")].Value; }		
    	}		
    	public ManagementPackEnumeration Area
    	{	
    		set {emo[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value; }		
    	}		
    	public string ChildId
    	{	
    		set {emo[new Guid("dbeb4a87-8099-f36d-9fbd-17e0ad43c828")].Value = value;}	
    		get {return (string) emo[new Guid("dbeb4a87-8099-f36d-9fbd-17e0ad43c828")].Value; }		
    	}		
    	public string Comments
    	{	
    		set {emo[new Guid("7542904e-e083-bb60-ed09-d5dec8feda5a")].Value = value;}	
    		get {return (string) emo[new Guid("7542904e-e083-bb60-ed09-d5dec8feda5a")].Value; }		
    	}		
    	public string ContactMethod
    	{	
    		set {emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
    		get {return (string) emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
    		get {return (string) emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Documentation
    	{	
    		set {emo[new Guid("52ff8f53-9c8e-450b-7aab-640243bf0e39")].Value = value;}	
    		get {return (string) emo[new Guid("52ff8f53-9c8e-450b-7aab-640243bf0e39")].Value; }		
    	}		
    	public DateTime? FirstAssignedDate
    	{	
    		set {emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value; }		
    	}		
    	public DateTime? FirstResponseDate
    	{	
    		set {emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value = value;}	
    		get {return (string) emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value; }		
    	}		
    	public bool? IsDowntime
    	{	
    		set {emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value = value;}	
    		get {return (bool?) emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value; }		
    	}		
    	public bool? IsParent
    	{	
    		set {emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value = value;}	
    		get {return (bool?) emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value; }		
    	}		
    	public bool? LineManagerShouldReview
    	{	
    		set {emo[new Guid("fa78a7e1-c3ff-7cd3-0852-66c3ca077bb7")].Value = value;}	
    		get {return (bool?) emo[new Guid("fa78a7e1-c3ff-7cd3-0852-66c3ca077bb7")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value = value;}	
    		get {return (string) emo[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value; }		
    	}		
    	public bool? OwnersOfConfigItemShouldReview
    	{	
    		set {emo[new Guid("d51fb4a8-f285-bee0-26f5-5beba1ea9592")].Value = value;}	
    		get {return (bool?) emo[new Guid("d51fb4a8-f285-bee0-26f5-5beba1ea9592")].Value; }		
    	}		
    	public double PlannedCost
    	{	
    		set {emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value = value;}	
    		get {return (double) emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value; }		
    	}		
    	public double PlannedWork
    	{	
    		set {emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value = value;}	
    		get {return (double) emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value; }		
    	}		
    	public ManagementPackEnumeration Priority
    	{	
    		set {emo[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value; }		
    	}		
    	public DateTime? RequiredBy
    	{	
    		set {emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeEndDate
    	{	
    		set {emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeStartDate
    	{	
    		set {emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value; }		
    	}		
    	public DateTime? ScheduledEndDate
    	{	
    		set {emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
    	}		
    	public DateTime? ScheduledStartDate
    	{	
    		set {emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
    	}		
    	public int SequenceId
    	{	
    		set {emo[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value = value;}	
    		get {return (int) emo[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value; }		
    	}		
    	public bool? Skip
    	{	
    		set {emo[new Guid("e8122fa0-a120-214e-8920-1197c01eccd6")].Value = value;}	
    		get {return (bool?) emo[new Guid("e8122fa0-a120-214e-8920-1197c01eccd6")].Value; }		
    	}		
    	public ManagementPackEnumeration Stage
    	{	
    		set {emo[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
    		get {return (string) emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
    	}		
    	public string UserInput
    	{	
    		set {emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value = value;}	
    		get {return (string) emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value; }		
    	}		

}     
        
	
	



public partial class ActivitySequentialActivity 
{
        private EnterpriseManagementObject emo;
        
        public ActivitySequentialActivity(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ActivitySequentialActivityHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ActivitySequentialActivityHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public double ActualCost
    	{	
    		set {emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value = value;}	
    		get {return (double) emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value; }		
    	}		
    	public DateTime? ActualDowntimeEndDate
    	{	
    		set {emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value; }		
    	}		
    	public DateTime? ActualDowntimeStartDate
    	{	
    		set {emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value; }		
    	}		
    	public DateTime? ActualEndDate
    	{	
    		set {emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
    	}		
    	public DateTime? ActualStartDate
    	{	
    		set {emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
    	}		
    	public double ActualWork
    	{	
    		set {emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value = value;}	
    		get {return (double) emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value; }		
    	}		
    	public ManagementPackEnumeration Area
    	{	
    		set {emo[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value; }		
    	}		
    	public string ChildId
    	{	
    		set {emo[new Guid("dbeb4a87-8099-f36d-9fbd-17e0ad43c828")].Value = value;}	
    		get {return (string) emo[new Guid("dbeb4a87-8099-f36d-9fbd-17e0ad43c828")].Value; }		
    	}		
    	public string ContactMethod
    	{	
    		set {emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
    		get {return (string) emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
    		get {return (string) emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Documentation
    	{	
    		set {emo[new Guid("52ff8f53-9c8e-450b-7aab-640243bf0e39")].Value = value;}	
    		get {return (string) emo[new Guid("52ff8f53-9c8e-450b-7aab-640243bf0e39")].Value; }		
    	}		
    	public DateTime? FirstAssignedDate
    	{	
    		set {emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value; }		
    	}		
    	public DateTime? FirstResponseDate
    	{	
    		set {emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value = value;}	
    		get {return (string) emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value; }		
    	}		
    	public bool? IsDowntime
    	{	
    		set {emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value = value;}	
    		get {return (bool?) emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value; }		
    	}		
    	public bool? IsParent
    	{	
    		set {emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value = value;}	
    		get {return (bool?) emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value = value;}	
    		get {return (string) emo[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value; }		
    	}		
    	public double PlannedCost
    	{	
    		set {emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value = value;}	
    		get {return (double) emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value; }		
    	}		
    	public double PlannedWork
    	{	
    		set {emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value = value;}	
    		get {return (double) emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value; }		
    	}		
    	public ManagementPackEnumeration Priority
    	{	
    		set {emo[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value; }		
    	}		
    	public DateTime? RequiredBy
    	{	
    		set {emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeEndDate
    	{	
    		set {emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeStartDate
    	{	
    		set {emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value; }		
    	}		
    	public DateTime? ScheduledEndDate
    	{	
    		set {emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
    	}		
    	public DateTime? ScheduledStartDate
    	{	
    		set {emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
    	}		
    	public int SequenceId
    	{	
    		set {emo[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value = value;}	
    		get {return (int) emo[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value; }		
    	}		
    	public bool? Skip
    	{	
    		set {emo[new Guid("e8122fa0-a120-214e-8920-1197c01eccd6")].Value = value;}	
    		get {return (bool?) emo[new Guid("e8122fa0-a120-214e-8920-1197c01eccd6")].Value; }		
    	}		
    	public ManagementPackEnumeration Stage
    	{	
    		set {emo[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
    		get {return (string) emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
    	}		
    	public string UserInput
    	{	
    		set {emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value = value;}	
    		get {return (string) emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.SupportingItem.Library	
	Id 				: 23e3ae8e-1981-8560-2e55-8730cbc04965
	Description 	: System Supporting Item Library
*/
namespace Savviety.ServiceManager.API.SupportingItem 
{



public partial class FileAttachment 
{
        private EnterpriseManagementObject emo;
        
        public FileAttachment(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[FileAttachmentHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[FileAttachmentHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public DateTime? AddedDate
    	{	
    		set {emo[new Guid("b27d985e-8104-0789-7488-2106f22f77f1")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("b27d985e-8104-0789-7488-2106f22f77f1")].Value; }		
    	}		
    	public Stream Content
    	{	
    		set {emo[new Guid("88aee6e7-0df7-2c06-a92d-8589864781d6")].Value = value;}	
    		get {return (Stream) emo[new Guid("88aee6e7-0df7-2c06-a92d-8589864781d6")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("47e9627e-114b-620b-f5e8-05b2dbabc842")].Value = value;}	
    		get {return (string) emo[new Guid("47e9627e-114b-620b-f5e8-05b2dbabc842")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Extension
    	{	
    		set {emo[new Guid("4fa82b7f-ab97-cdde-09c5-6236b186cf75")].Value = value;}	
    		get {return (string) emo[new Guid("4fa82b7f-ab97-cdde-09c5-6236b186cf75")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value = value;}	
    		get {return (string) emo[new Guid("0efde233-2432-1092-c049-b614b6e3e9bf")].Value; }		
    	}		
    	public int Size
    	{	
    		set {emo[new Guid("a3e2fc65-7cca-d3e6-0b4d-f030dead9d7b")].Value = value;}	
    		get {return (int) emo[new Guid("a3e2fc65-7cca-d3e6-0b4d-f030dead9d7b")].Value; }		
    	}		

}     
        
	
	



public partial class SearchProviderConfig 
{
        private EnterpriseManagementObject emo;
        
        public SearchProviderConfig(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[SearchProviderConfigHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[SearchProviderConfigHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("70f3b1ce-68ca-2580-6f21-0957d5e32305")].Value = value;}	
    		get {return (string) emo[new Guid("70f3b1ce-68ca-2580-6f21-0957d5e32305")].Value; }		
    	}		
    	public double Latitude
    	{	
    		set {emo[new Guid("57108559-a2c2-1591-4964-6185da8deba1")].Value = value;}	
    		get {return (double) emo[new Guid("57108559-a2c2-1591-4964-6185da8deba1")].Value; }		
    	}		
    	public string ProviderName
    	{	
    		set {emo[new Guid("7251485c-0f98-d924-51db-dbe73afa7680")].Value = value;}	
    		get {return (string) emo[new Guid("7251485c-0f98-d924-51db-dbe73afa7680")].Value; }		
    	}		
    	public string Url
    	{	
    		set {emo[new Guid("1fa34a8b-42f1-4230-d2e6-56f5efaae150")].Value = value;}	
    		get {return (string) emo[new Guid("1fa34a8b-42f1-4230-d2e6-56f5efaae150")].Value; }		
    	}		

}     
        
	
	



public partial class UserPreferenceLocalization 
{
        private EnterpriseManagementObject emo;
        
        public UserPreferenceLocalization(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[UserPreferenceLocalizationHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[UserPreferenceLocalizationHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("be25717b-4375-6173-193c-a3c5fca16920")].Value = value;}	
    		get {return (string) emo[new Guid("be25717b-4375-6173-193c-a3c5fca16920")].Value; }		
    	}		
    	public int LocaleID
    	{	
    		set {emo[new Guid("620c28f9-3ee0-6686-9de8-ae71ff1bfbec")].Value = value;}	
    		get {return (int) emo[new Guid("620c28f9-3ee0-6686-9de8-ae71ff1bfbec")].Value; }		
    	}		
    	public string Timezone
    	{	
    		set {emo[new Guid("664c0d5a-d0c0-93fc-70b1-08eb88caf14d")].Value = value;}	
    		get {return (string) emo[new Guid("664c0d5a-d0c0-93fc-70b1-08eb88caf14d")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: ServiceManager.IncidentManagement.Library	
	Id 				: 7b6d701a-4598-8220-dea8-4ae0504f6f58
	Description 	: Service Manager Incident Management Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{



public partial class MicrosoftCenterDCMIncident 
{
        private EnterpriseManagementObject emo;
        
        public MicrosoftCenterDCMIncident(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[MicrosoftCenterDCMIncidentHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[MicrosoftCenterDCMIncidentHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public bool? Acknowledged
    	{	
    		set {emo[new Guid("65efc342-d80d-7801-2481-26b94b8e31bf")].Value = value;}	
    		get {return (bool?) emo[new Guid("65efc342-d80d-7801-2481-26b94b8e31bf")].Value; }		
    	}		
    	public double ActualCost
    	{	
    		set {emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value = value;}	
    		get {return (double) emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value; }		
    	}		
    	public DateTime? ActualDowntimeEndDate
    	{	
    		set {emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value; }		
    	}		
    	public DateTime? ActualDowntimeStartDate
    	{	
    		set {emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value; }		
    	}		
    	public DateTime? ActualEndDate
    	{	
    		set {emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
    	}		
    	public DateTime? ActualStartDate
    	{	
    		set {emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
    	}		
    	public double ActualWork
    	{	
    		set {emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value = value;}	
    		get {return (double) emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value; }		
    	}		
    	public string BaselineId
    	{	
    		set {emo[new Guid("86307de6-3b31-0073-fd06-841b6b9b2288")].Value = value;}	
    		get {return (string) emo[new Guid("86307de6-3b31-0073-fd06-841b6b9b2288")].Value; }		
    	}		
    	public string CIId
    	{	
    		set {emo[new Guid("3cc23acd-d9ae-5a5e-f3be-a37e79ae363d")].Value = value;}	
    		get {return (string) emo[new Guid("3cc23acd-d9ae-5a5e-f3be-a37e79ae363d")].Value; }		
    	}		
    	public ManagementPackEnumeration Classification
    	{	
    		set {emo[new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1")].Value; }		
    	}		
    	public DateTime? ClosedDate
    	{	
    		set {emo[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value; }		
    	}		
    	public Stream ComplianceStatusDetails
    	{	
    		set {emo[new Guid("2da2dd13-40c1-3074-d303-6c7866044e0f")].Value = value;}	
    		get {return (Stream) emo[new Guid("2da2dd13-40c1-3074-d303-6c7866044e0f")].Value; }		
    	}		
    	public string ComputerName
    	{	
    		set {emo[new Guid("11531973-10b3-f9f7-a495-9af956e3882c")].Value = value;}	
    		get {return (string) emo[new Guid("11531973-10b3-f9f7-a495-9af956e3882c")].Value; }		
    	}		
    	public string ContactMethod
    	{	
    		set {emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
    		get {return (string) emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
    		get {return (string) emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public bool? Escalated
    	{	
    		set {emo[new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6")].Value = value;}	
    		get {return (bool?) emo[new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6")].Value; }		
    	}		
    	public DateTime? FirstAssignedDate
    	{	
    		set {emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value; }		
    	}		
    	public DateTime? FirstResponseDate
    	{	
    		set {emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value; }		
    	}		
    	public bool? HasCreatedKnowledgeArticle
    	{	
    		set {emo[new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7")].Value = value;}	
    		get {return (bool?) emo[new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value = value;}	
    		get {return (string) emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value; }		
    	}		
    	public ManagementPackEnumeration Impact
    	{	
    		set {emo[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value; }		
    	}		
    	public string IPIMID
    	{	
    		set {emo[new Guid("ebaee561-1c41-576a-0aa3-9fcc047bc820")].Value = value;}	
    		get {return (string) emo[new Guid("ebaee561-1c41-576a-0aa3-9fcc047bc820")].Value; }		
    	}		
    	public bool? IsDowntime
    	{	
    		set {emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value = value;}	
    		get {return (bool?) emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value; }		
    	}		
    	public bool? IsParent
    	{	
    		set {emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value = value;}	
    		get {return (bool?) emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value; }		
    	}		
    	public ManagementPackEnumeration ITClassification
    	{	
    		set {emo[new Guid("80970221-7620-d71d-1a0d-a0b0cdde014a")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("80970221-7620-d71d-1a0d-a0b0cdde014a")].Value; }		
    	}		
    	public DateTime? LastComplianceScanTime
    	{	
    		set {emo[new Guid("aafa7462-d3af-1686-7386-4cec108ff546")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("aafa7462-d3af-1686-7386-4cec108ff546")].Value; }		
    	}		
    	public ManagementPackEnumeration LastModifiedSource
    	{	
    		set {emo[new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3")].Value; }		
    	}		
    	public int MaxNonComplianceCriticality
    	{	
    		set {emo[new Guid("beb725e5-3761-5fe7-0949-bb54811b7174")].Value = value;}	
    		get {return (int) emo[new Guid("beb725e5-3761-5fe7-0949-bb54811b7174")].Value; }		
    	}		
    	public bool? NeedsKnowledgeArticle
    	{	
    		set {emo[new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a")].Value = value;}	
    		get {return (bool?) emo[new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a")].Value; }		
    	}		
    	public double PlannedCost
    	{	
    		set {emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value = value;}	
    		get {return (double) emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value; }		
    	}		
    	public double PlannedWork
    	{	
    		set {emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value = value;}	
    		get {return (double) emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value; }		
    	}		
    	public int Priority
    	{	
    		set {emo[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value = value;}	
    		get {return (int) emo[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value; }		
    	}		
    	public DateTime? RequiredBy
    	{	
    		set {emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value; }		
    	}		
    	public ManagementPackEnumeration ResolutionCategory
    	{	
    		set {emo[new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc")].Value; }		
    	}		
    	public string ResolutionDescription
    	{	
    		set {emo[new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0")].Value = value;}	
    		get {return (string) emo[new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0")].Value; }		
    	}		
    	public DateTime? ResolvedDate
    	{	
    		set {emo[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeEndDate
    	{	
    		set {emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeStartDate
    	{	
    		set {emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value; }		
    	}		
    	public DateTime? ScheduledEndDate
    	{	
    		set {emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
    	}		
    	public DateTime? ScheduledStartDate
    	{	
    		set {emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
    	}		
    	public string SiteId
    	{	
    		set {emo[new Guid("6a385d2c-ff33-460e-f6d9-890befac6dfa")].Value = value;}	
    		get {return (string) emo[new Guid("6a385d2c-ff33-460e-f6d9-890befac6dfa")].Value; }		
    	}		
    	public ManagementPackEnumeration Source
    	{	
    		set {emo[new Guid("72e56ac1-4147-273f-655a-55dafa41ff97")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("72e56ac1-4147-273f-655a-55dafa41ff97")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c")].Value; }		
    	}		
    	public DateTime? TargetResolutionTime
    	{	
    		set {emo[new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438")].Value; }		
    	}		
    	public ManagementPackEnumeration TierQueue
    	{	
    		set {emo[new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
    		get {return (string) emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
    	}		
    	public ManagementPackEnumeration Urgency
    	{	
    		set {emo[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value; }		
    	}		
    	public string UserInput
    	{	
    		set {emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value = value;}	
    		get {return (string) emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value; }		
    	}		

}     
        
	
	



public partial class MicrosoftCenterSCOMIncident 
{
        private EnterpriseManagementObject emo;
        
        public MicrosoftCenterSCOMIncident(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[MicrosoftCenterSCOMIncidentHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[MicrosoftCenterSCOMIncidentHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public bool? Acknowledged
    	{	
    		set {emo[new Guid("65efc342-d80d-7801-2481-26b94b8e31bf")].Value = value;}	
    		get {return (bool?) emo[new Guid("65efc342-d80d-7801-2481-26b94b8e31bf")].Value; }		
    	}		
    	public double ActualCost
    	{	
    		set {emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value = value;}	
    		get {return (double) emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value; }		
    	}		
    	public DateTime? ActualDowntimeEndDate
    	{	
    		set {emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value; }		
    	}		
    	public DateTime? ActualDowntimeStartDate
    	{	
    		set {emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value; }		
    	}		
    	public DateTime? ActualEndDate
    	{	
    		set {emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
    	}		
    	public DateTime? ActualStartDate
    	{	
    		set {emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
    	}		
    	public double ActualWork
    	{	
    		set {emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value = value;}	
    		get {return (double) emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value; }		
    	}		
    	public string AlertCustomField1
    	{	
    		set {emo[new Guid("95338505-6991-8f15-e1e4-24184071adeb")].Value = value;}	
    		get {return (string) emo[new Guid("95338505-6991-8f15-e1e4-24184071adeb")].Value; }		
    	}		
    	public string AlertCustomField10
    	{	
    		set {emo[new Guid("7e2eb2de-9c8a-f9cd-cb3a-9682cf9e4125")].Value = value;}	
    		get {return (string) emo[new Guid("7e2eb2de-9c8a-f9cd-cb3a-9682cf9e4125")].Value; }		
    	}		
    	public string AlertCustomField2
    	{	
    		set {emo[new Guid("63a6c5ab-8a8a-7372-efb4-43f0b45d57bd")].Value = value;}	
    		get {return (string) emo[new Guid("63a6c5ab-8a8a-7372-efb4-43f0b45d57bd")].Value; }		
    	}		
    	public string AlertCustomField3
    	{	
    		set {emo[new Guid("fffa592e-fbd6-d358-bc95-338eba35c811")].Value = value;}	
    		get {return (string) emo[new Guid("fffa592e-fbd6-d358-bc95-338eba35c811")].Value; }		
    	}		
    	public string AlertCustomField4
    	{	
    		set {emo[new Guid("f8d91c3e-497d-13ee-817f-40c903aec8df")].Value = value;}	
    		get {return (string) emo[new Guid("f8d91c3e-497d-13ee-817f-40c903aec8df")].Value; }		
    	}		
    	public string AlertCustomField5
    	{	
    		set {emo[new Guid("7afc00c1-5dfb-1b1f-0a6d-dc40d5815ffd")].Value = value;}	
    		get {return (string) emo[new Guid("7afc00c1-5dfb-1b1f-0a6d-dc40d5815ffd")].Value; }		
    	}		
    	public string AlertCustomField6
    	{	
    		set {emo[new Guid("a50719b2-387a-cbde-5abd-0e62ade8a902")].Value = value;}	
    		get {return (string) emo[new Guid("a50719b2-387a-cbde-5abd-0e62ade8a902")].Value; }		
    	}		
    	public string AlertCustomField7
    	{	
    		set {emo[new Guid("5025d9f2-9a06-7a80-a006-854a9bc2acef")].Value = value;}	
    		get {return (string) emo[new Guid("5025d9f2-9a06-7a80-a006-854a9bc2acef")].Value; }		
    	}		
    	public string AlertCustomField8
    	{	
    		set {emo[new Guid("38c1dc79-7852-97d8-ed8c-d0fb00f56c97")].Value = value;}	
    		get {return (string) emo[new Guid("38c1dc79-7852-97d8-ed8c-d0fb00f56c97")].Value; }		
    	}		
    	public string AlertCustomField9
    	{	
    		set {emo[new Guid("92119713-175b-afe5-9e65-b7fc5a2a9beb")].Value = value;}	
    		get {return (string) emo[new Guid("92119713-175b-afe5-9e65-b7fc5a2a9beb")].Value; }		
    	}		
    	public string AlertId
    	{	
    		set {emo[new Guid("840b34a1-b807-970c-9258-d1ae356ea929")].Value = value;}	
    		get {return (string) emo[new Guid("840b34a1-b807-970c-9258-d1ae356ea929")].Value; }		
    	}		
    	public ManagementPackEnumeration Classification
    	{	
    		set {emo[new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("c7a6ab7a-0b74-6848-02f7-79f7245662d1")].Value; }		
    	}		
    	public DateTime? ClosedDate
    	{	
    		set {emo[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d859e5b-0686-3ecc-0ef1-4cfce89a73fb")].Value; }		
    	}		
    	public string ContactMethod
    	{	
    		set {emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
    		get {return (string) emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
    		get {return (string) emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public bool? Escalated
    	{	
    		set {emo[new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6")].Value = value;}	
    		get {return (bool?) emo[new Guid("4e81b48c-0de6-9fc6-b0b8-f3ae96bf2df6")].Value; }		
    	}		
    	public DateTime? FirstAssignedDate
    	{	
    		set {emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value; }		
    	}		
    	public DateTime? FirstResponseDate
    	{	
    		set {emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value; }		
    	}		
    	public bool? HasCreatedKnowledgeArticle
    	{	
    		set {emo[new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7")].Value = value;}	
    		get {return (bool?) emo[new Guid("1aab055e-b590-e9c8-c7e0-a99ad06443c7")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value = value;}	
    		get {return (string) emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value; }		
    	}		
    	public ManagementPackEnumeration Impact
    	{	
    		set {emo[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("a74f8856-ffe2-fcad-67e0-38a7397336b5")].Value; }		
    	}		
    	public string IPIMID
    	{	
    		set {emo[new Guid("ebaee561-1c41-576a-0aa3-9fcc047bc820")].Value = value;}	
    		get {return (string) emo[new Guid("ebaee561-1c41-576a-0aa3-9fcc047bc820")].Value; }		
    	}		
    	public bool? IsDowntime
    	{	
    		set {emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value = value;}	
    		get {return (bool?) emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value; }		
    	}		
    	public bool? IsParent
    	{	
    		set {emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value = value;}	
    		get {return (bool?) emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value; }		
    	}		
    	public ManagementPackEnumeration ITClassification
    	{	
    		set {emo[new Guid("80970221-7620-d71d-1a0d-a0b0cdde014a")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("80970221-7620-d71d-1a0d-a0b0cdde014a")].Value; }		
    	}		
    	public ManagementPackEnumeration LastModifiedSource
    	{	
    		set {emo[new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("d64785d9-16f0-67d5-23fc-c1047093cbf3")].Value; }		
    	}		
    	public string ManagementGroupName
    	{	
    		set {emo[new Guid("33b03004-8871-98b1-065b-1e94f51d5f60")].Value = value;}	
    		get {return (string) emo[new Guid("33b03004-8871-98b1-065b-1e94f51d5f60")].Value; }		
    	}		
    	public string ManagementPackName
    	{	
    		set {emo[new Guid("fb9ba0fa-4cb1-9e6a-e69d-612ac6fed52b")].Value = value;}	
    		get {return (string) emo[new Guid("fb9ba0fa-4cb1-9e6a-e69d-612ac6fed52b")].Value; }		
    	}		
    	public string MonitoringObjectId
    	{	
    		set {emo[new Guid("94f27312-3981-0a15-54f0-fa37de59bb3f")].Value = value;}	
    		get {return (string) emo[new Guid("94f27312-3981-0a15-54f0-fa37de59bb3f")].Value; }		
    	}		
    	public string MonitoringRuleId
    	{	
    		set {emo[new Guid("3017d16b-fbe4-91c2-027b-cd0979f41b31")].Value = value;}	
    		get {return (string) emo[new Guid("3017d16b-fbe4-91c2-027b-cd0979f41b31")].Value; }		
    	}		
    	public bool? NeedsKnowledgeArticle
    	{	
    		set {emo[new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a")].Value = value;}	
    		get {return (bool?) emo[new Guid("68f93a71-ab0f-27fd-96ea-a1447117037a")].Value; }		
    	}		
    	public double PlannedCost
    	{	
    		set {emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value = value;}	
    		get {return (double) emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value; }		
    	}		
    	public double PlannedWork
    	{	
    		set {emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value = value;}	
    		get {return (double) emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value; }		
    	}		
    	public int Priority
    	{	
    		set {emo[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value = value;}	
    		get {return (int) emo[new Guid("983ef3b4-1c7d-c05d-c28c-b89bc56426e2")].Value; }		
    	}		
    	public int RepeatCount
    	{	
    		set {emo[new Guid("4b6ac151-91df-982f-2b4e-00410ede33fa")].Value = value;}	
    		get {return (int) emo[new Guid("4b6ac151-91df-982f-2b4e-00410ede33fa")].Value; }		
    	}		
    	public DateTime? RequiredBy
    	{	
    		set {emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value; }		
    	}		
    	public ManagementPackEnumeration ResolutionCategory
    	{	
    		set {emo[new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("ff6e5587-525c-3cd8-c508-fb44624de0fc")].Value; }		
    	}		
    	public string ResolutionDescription
    	{	
    		set {emo[new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0")].Value = value;}	
    		get {return (string) emo[new Guid("c635d03a-8b13-fa7f-56e6-ff2f7e3e42c0")].Value; }		
    	}		
    	public DateTime? ResolvedDate
    	{	
    		set {emo[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("a1b981cb-fbec-d0df-6465-5212d0076435")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeEndDate
    	{	
    		set {emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeStartDate
    	{	
    		set {emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value; }		
    	}		
    	public DateTime? ScheduledEndDate
    	{	
    		set {emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
    	}		
    	public DateTime? ScheduledStartDate
    	{	
    		set {emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
    	}		
    	public ManagementPackEnumeration Source
    	{	
    		set {emo[new Guid("72e56ac1-4147-273f-655a-55dafa41ff97")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("72e56ac1-4147-273f-655a-55dafa41ff97")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("b528d69d-987b-1f9d-6eed-4cced7f53b3c")].Value; }		
    	}		
    	public DateTime? TargetResolutionTime
    	{	
    		set {emo[new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3fd816cd-d07e-8f69-2829-b7789d23a438")].Value; }		
    	}		
    	public ManagementPackEnumeration TierQueue
    	{	
    		set {emo[new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("00cf00f8-9335-2bf7-f9e1-6bd1fd4fb13d")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
    		get {return (string) emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
    	}		
    	public ManagementPackEnumeration Urgency
    	{	
    		set {emo[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("af230625-9b6c-842f-e22e-06bd25326fa5")].Value; }		
    	}		
    	public string UserInput
    	{	
    		set {emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value = value;}	
    		get {return (string) emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value; }		
    	}		

}     
        
	
	



public partial class IncidentGeneralSetting 
{
        private EnterpriseManagementObject emo;
        
        public IncidentGeneralSetting(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[IncidentGeneralSettingHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[IncidentGeneralSettingHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public ManagementPackEnumeration ActivateChildIncident
    	{	
    		set {emo[new Guid("2daf2d25-1a29-a6b6-6bd1-1eb87613a1dc")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("2daf2d25-1a29-a6b6-6bd1-1eb87613a1dc")].Value; }		
    	}		
    	public ManagementPackEnumeration ActiveChildIncidentLinkStatus
    	{	
    		set {emo[new Guid("0485dd74-ff21-cf34-e6f3-a37f2f5de8b5")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("0485dd74-ff21-cf34-e6f3-a37f2f5de8b5")].Value; }		
    	}		
    	public ManagementPackEnumeration ChildIncidentReactivatedStatus
    	{	
    		set {emo[new Guid("79fda6ca-4cb2-9da3-ee0c-f82083821939")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("79fda6ca-4cb2-9da3-ee0c-f82083821939")].Value; }		
    	}		
    	public ManagementPackEnumeration ChildIncidentResolutionCategory
    	{	
    		set {emo[new Guid("e571a017-bf91-ce0f-299d-ac0c7df655ef")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("e571a017-bf91-ce0f-299d-ac0c7df655ef")].Value; }		
    	}		
    	public bool? ChildIncidentResolutionCategorySameAsParent
    	{	
    		set {emo[new Guid("cf030b71-b552-fc03-3ffb-16dd6e06a2c6")].Value = value;}	
    		get {return (bool?) emo[new Guid("cf030b71-b552-fc03-3ffb-16dd6e06a2c6")].Value; }		
    	}		
    	public int DataRetentionTime
    	{	
    		set {emo[new Guid("c1638c1a-1944-b587-08c4-b32993192cf5")].Value = value;}	
    		get {return (int) emo[new Guid("c1638c1a-1944-b587-08c4-b32993192cf5")].Value; }		
    	}		
    	public int DataRetentionTimeUnit
    	{	
    		set {emo[new Guid("99744081-5cc6-b1fe-2528-685659b5b251")].Value = value;}	
    		get {return (int) emo[new Guid("99744081-5cc6-b1fe-2528-685659b5b251")].Value; }		
    	}		
    	public ManagementPackEnumeration DefaultTierQueue
    	{	
    		set {emo[new Guid("15198f31-0b34-28b5-53c6-6e891bf13f0c")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("15198f31-0b34-28b5-53c6-6e891bf13f0c")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public bool? HideTargetResolutionTimeOnForm
    	{	
    		set {emo[new Guid("85d0eab8-ed76-a9f2-0db6-ead48ba0b768")].Value = value;}	
    		get {return (bool?) emo[new Guid("85d0eab8-ed76-a9f2-0db6-ead48ba0b768")].Value; }		
    	}		
    	public int MaxAttachments
    	{	
    		set {emo[new Guid("2366e295-d0d2-ca84-b9f1-36e1de7328c7")].Value = value;}	
    		get {return (int) emo[new Guid("2366e295-d0d2-ca84-b9f1-36e1de7328c7")].Value; }		
    	}		
    	public int MaxAttachmentSize
    	{	
    		set {emo[new Guid("c8090714-64b9-e887-674d-39db1e4d70fe")].Value = value;}	
    		get {return (int) emo[new Guid("c8090714-64b9-e887-674d-39db1e4d70fe")].Value; }		
    	}		
    	public string OpsMgrWebConsoleUrl
    	{	
    		set {emo[new Guid("5a00d9ef-8db8-d0ae-90fb-54ee43634c93")].Value = value;}	
    		get {return (string) emo[new Guid("5a00d9ef-8db8-d0ae-90fb-54ee43634c93")].Value; }		
    	}		
    	public string PrefixForId
    	{	
    		set {emo[new Guid("f536ce7a-1c62-7ab9-4bb7-9684b7138499")].Value = value;}	
    		get {return (string) emo[new Guid("f536ce7a-1c62-7ab9-4bb7-9684b7138499")].Value; }		
    	}		
    	public string PriorityMatrix
    	{	
    		set {emo[new Guid("48d7c818-ab63-a269-20c5-6b314bb6393e")].Value = value;}	
    		get {return (string) emo[new Guid("48d7c818-ab63-a269-20c5-6b314bb6393e")].Value; }		
    	}		
    	public int PriorityMaxValue
    	{	
    		set {emo[new Guid("9c749a7a-6d15-cb95-8c31-707ea98ddb19")].Value = value;}	
    		get {return (int) emo[new Guid("9c749a7a-6d15-cb95-8c31-707ea98ddb19")].Value; }		
    	}		
    	public int PriorityMinValue
    	{	
    		set {emo[new Guid("b7724214-b629-90a8-f26c-7eec4617d50b")].Value = value;}	
    		get {return (int) emo[new Guid("b7724214-b629-90a8-f26c-7eec4617d50b")].Value; }		
    	}		
    	public string PropertiesToCopyFromParentToChildIncident
    	{	
    		set {emo[new Guid("e2c15c7c-a591-a6e2-0645-414227f96074")].Value = value;}	
    		get {return (string) emo[new Guid("e2c15c7c-a591-a6e2-0645-414227f96074")].Value; }		
    	}		
    	public string ResolutionMappings
    	{	
    		set {emo[new Guid("81d67915-af82-7ac9-fba3-433cc4064f60")].Value = value;}	
    		get {return (string) emo[new Guid("81d67915-af82-7ac9-fba3-433cc4064f60")].Value; }		
    	}		
    	public ManagementPackEnumeration ResolveChildIncident
    	{	
    		set {emo[new Guid("d659cad8-d991-8fb9-8bfc-183c75e4d4f9")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("d659cad8-d991-8fb9-8bfc-183c75e4d4f9")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.Knowledge.Library	
	Id 				: 0a8001ed-59dc-629c-201f-4643a6a48009
	Description 	: System Knowledge Library
*/
namespace Savviety.ServiceManager.API.Knowledge 
{



public partial class KnowledgeArticle 
{
        private EnterpriseManagementObject emo;
        
        public KnowledgeArticle(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[KnowledgeArticleHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[KnowledgeArticleHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string Abstract
    	{	
    		set {emo[new Guid("9c8092e8-a729-9037-0944-56c668269ef0")].Value = value;}	
    		get {return (string) emo[new Guid("9c8092e8-a729-9037-0944-56c668269ef0")].Value; }		
    	}		
    	public Stream AnalystContent
    	{	
    		set {emo[new Guid("92debada-bade-5052-57b5-000e2070ff01")].Value = value;}	
    		get {return (Stream) emo[new Guid("92debada-bade-5052-57b5-000e2070ff01")].Value; }		
    	}		
    	public string ArticleId
    	{	
    		set {emo[new Guid("9583d0a2-ea9f-c97e-bdca-7356bd129777")].Value = value;}	
    		get {return (string) emo[new Guid("9583d0a2-ea9f-c97e-bdca-7356bd129777")].Value; }		
    	}		
    	public string ArticleOwner
    	{	
    		set {emo[new Guid("4b80c57f-c0e7-0626-b4cb-4b7ea7abf199")].Value = value;}	
    		get {return (string) emo[new Guid("4b80c57f-c0e7-0626-b4cb-4b7ea7abf199")].Value; }		
    	}		
    	public string ArticleTemplate
    	{	
    		set {emo[new Guid("a19f6466-3c9c-9207-affd-74bb3307399a")].Value = value;}	
    		get {return (string) emo[new Guid("a19f6466-3c9c-9207-affd-74bb3307399a")].Value; }		
    	}		
    	public ManagementPackEnumeration ArticleType
    	{	
    		set {emo[new Guid("c3cf19b0-f426-661c-031d-fc45844924d8")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("c3cf19b0-f426-661c-031d-fc45844924d8")].Value; }		
    	}		
    	public ManagementPackEnumeration AssetStatus
    	{	
    		set {emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("a6b7ea8d-9423-8529-cb21-87ac1a21fdcb")].Value; }		
    	}		
    	public ManagementPackEnumeration Category
    	{	
    		set {emo[new Guid("bffb5ae8-23a4-1372-69a6-56c33c88dc0c")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("bffb5ae8-23a4-1372-69a6-56c33c88dc0c")].Value; }		
    	}		
    	public string Comments
    	{	
    		set {emo[new Guid("af00af04-4754-6f57-6e8c-8367753be806")].Value = value;}	
    		get {return (string) emo[new Guid("af00af04-4754-6f57-6e8c-8367753be806")].Value; }		
    	}		
    	public string CreatedBy
    	{	
    		set {emo[new Guid("0f46ff38-b47d-3f0b-fae2-7724b1f48112")].Value = value;}	
    		get {return (string) emo[new Guid("0f46ff38-b47d-3f0b-fae2-7724b1f48112")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("3284d928-8538-94d3-ecd6-f01636f89f63")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3284d928-8538-94d3-ecd6-f01636f89f63")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public Stream EndUserContent
    	{	
    		set {emo[new Guid("4b6bf092-d465-4fc3-b6a5-1e3ec9a5071c")].Value = value;}	
    		get {return (Stream) emo[new Guid("4b6bf092-d465-4fc3-b6a5-1e3ec9a5071c")].Value; }		
    	}		
    	public string ExternalURL
    	{	
    		set {emo[new Guid("6c4fe2d6-9641-a649-5ea9-29e22f191a8f")].Value = value;}	
    		get {return (string) emo[new Guid("6c4fe2d6-9641-a649-5ea9-29e22f191a8f")].Value; }		
    	}		
    	public string ExternalURLSource
    	{	
    		set {emo[new Guid("d9272c03-900e-9169-931d-144bb5334c92")].Value = value;}	
    		get {return (string) emo[new Guid("d9272c03-900e-9169-931d-144bb5334c92")].Value; }		
    	}		
    	public string Keywords
    	{	
    		set {emo[new Guid("6c6c20b6-f471-84b5-0672-0a356e622596")].Value = value;}	
    		get {return (string) emo[new Guid("6c6c20b6-f471-84b5-0672-0a356e622596")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value = value;}	
    		get {return (string) emo[new Guid("55124dce-750d-bd54-4b92-d1fddf99adec")].Value; }		
    	}		
    	public ManagementPackEnumeration ObjectStatus
    	{	
    		set {emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("11927069-6957-dfcf-a277-08a784221325")].Value; }		
    	}		
    	public int PrimaryLocaleID
    	{	
    		set {emo[new Guid("dfe7dc0e-0c67-fd4a-ad57-bf18760bc558")].Value = value;}	
    		get {return (int) emo[new Guid("dfe7dc0e-0c67-fd4a-ad57-bf18760bc558")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("9ae0d83f-4100-c69b-f0f8-1321b0aebe4f")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("9ae0d83f-4100-c69b-f0f8-1321b0aebe4f")].Value; }		
    	}		
    	public ManagementPackEnumeration Tag
    	{	
    		set {emo[new Guid("558112fc-abf3-784e-bde3-28f0dc19391c")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("558112fc-abf3-784e-bde3-28f0dc19391c")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("9cbf1a45-0389-f20a-1cd6-2dfe461ab078")].Value = value;}	
    		get {return (string) emo[new Guid("9cbf1a45-0389-f20a-1cd6-2dfe461ab078")].Value; }		
    	}		
    	public string VendorArticleID
    	{	
    		set {emo[new Guid("aee78772-3ac2-023c-3e3f-8a5998f575bd")].Value = value;}	
    		get {return (string) emo[new Guid("aee78772-3ac2-023c-3e3f-8a5998f575bd")].Value; }		
    	}		

}     
        
	
	



public partial class StarRating 
{
        private EnterpriseManagementObject emo;
        
        public StarRating(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[StarRatingHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[StarRatingHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("4bdb959c-d8d1-c290-5a63-c54406e6ea3e")].Value = value;}	
    		get {return (string) emo[new Guid("4bdb959c-d8d1-c290-5a63-c54406e6ea3e")].Value; }		
    	}		
    	public string RatingComments
    	{	
    		set {emo[new Guid("50ff750b-4500-a90c-2b38-cf8ff566b049")].Value = value;}	
    		get {return (string) emo[new Guid("50ff750b-4500-a90c-2b38-cf8ff566b049")].Value; }		
    	}		
    	public int TotalRatingCount
    	{	
    		set {emo[new Guid("2ece5028-0310-c971-eeb4-da580ffb7413")].Value = value;}	
    		get {return (int) emo[new Guid("2ece5028-0310-c971-eeb4-da580ffb7413")].Value; }		
    	}		
    	public int TotalRatingStars
    	{	
    		set {emo[new Guid("6c174533-d82b-cff4-e871-2f6122b49cf2")].Value = value;}	
    		get {return (int) emo[new Guid("6c174533-d82b-cff4-e871-2f6122b49cf2")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: ServiceManager.ReleaseManagement.Library	
	Id 				: 8870d61a-5d30-bb34-6827-ca764849a888
	Description 	: Service Manager Release Management Library
*/
namespace Savviety.ServiceManager.API.ReleaseManagement 
{



public partial class ReleaseGeneralSetting 
{
        private EnterpriseManagementObject emo;
        
        public ReleaseGeneralSetting(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ReleaseGeneralSettingHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ReleaseGeneralSettingHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string CriteriaforSelectingChangeRequests
    	{	
    		set {emo[new Guid("32b87b14-6f9e-76c0-e832-43e79625823a")].Value = value;}	
    		get {return (string) emo[new Guid("32b87b14-6f9e-76c0-e832-43e79625823a")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public int MaxFileAttachmentsCount
    	{	
    		set {emo[new Guid("b2e572a8-d600-0912-5d29-0f05ae616497")].Value = value;}	
    		get {return (int) emo[new Guid("b2e572a8-d600-0912-5d29-0f05ae616497")].Value; }		
    	}		
    	public int MaxFileAttachmentSizeinKB
    	{	
    		set {emo[new Guid("35f8234e-e8f1-eaa6-4cd3-ca7233436533")].Value = value;}	
    		get {return (int) emo[new Guid("35f8234e-e8f1-eaa6-4cd3-ca7233436533")].Value; }		
    	}		
    	public string SystemWorkItemReleaseRecordIdPrefix
    	{	
    		set {emo[new Guid("c2614daf-9083-a8d9-aa76-49f0df572980")].Value = value;}	
    		get {return (string) emo[new Guid("c2614daf-9083-a8d9-aa76-49f0df572980")].Value; }		
    	}		

}     
        
	
	



public partial class ReleaseRecordInternalworkflowtarget 
{
        private EnterpriseManagementObject emo;
        
        public ReleaseRecordInternalworkflowtarget(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ReleaseRecordInternalworkflowtargetHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ReleaseRecordInternalworkflowtargetHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		

}     
        
	
	



public partial class ReleaseRecordWorkflowtarget 
{
        private EnterpriseManagementObject emo;
        
        public ReleaseRecordWorkflowtarget(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ReleaseRecordWorkflowtargetHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ReleaseRecordWorkflowtargetHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: ServiceManager.ServiceRequest.Library	
	Id 				: b9bfce1c-7458-ab60-65fb-6492446d7261
	Description 	: Service Manager Service Request Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{



public partial class GlobalsettingServiceRequestsettings 
{
        private EnterpriseManagementObject emo;
        
        public GlobalsettingServiceRequestsettings(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[GlobalsettingServiceRequestsettingsHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[GlobalsettingServiceRequestsettingsHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public int MaxFileAttachmentsCount
    	{	
    		set {emo[new Guid("2769d566-a485-a80b-bec8-dd1a217a24e3")].Value = value;}	
    		get {return (int) emo[new Guid("2769d566-a485-a80b-bec8-dd1a217a24e3")].Value; }		
    	}		
    	public int MaxFileAttachmentSizeinKB
    	{	
    		set {emo[new Guid("24f7c1f4-09b7-07ad-6bb5-d82bb32e6f54")].Value = value;}	
    		get {return (int) emo[new Guid("24f7c1f4-09b7-07ad-6bb5-d82bb32e6f54")].Value; }		
    	}		
    	public string ServiceRequestPrefix
    	{	
    		set {emo[new Guid("d946a2a9-8c2b-9db7-1f7f-53e576937002")].Value = value;}	
    		get {return (string) emo[new Guid("d946a2a9-8c2b-9db7-1f7f-53e576937002")].Value; }		
    	}		

}     
        
	
	



public partial class ServiceRequestInternalworkflowtarget 
{
        private EnterpriseManagementObject emo;
        
        public ServiceRequestInternalworkflowtarget(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ServiceRequestInternalworkflowtargetHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ServiceRequestInternalworkflowtargetHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		

}     
        
	
	



public partial class ServiceRequestWorkflowtarget 
{
        private EnterpriseManagementObject emo;
        
        public ServiceRequestWorkflowtarget(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ServiceRequestWorkflowtargetHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ServiceRequestWorkflowtargetHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.ServiceCatalog.Library	
	Id 				: 4eafa3dd-ccc9-ff17-8285-63756cf8a34b
	Description 	: System Service Catalog Library
*/
namespace Savviety.ServiceManager.API.ServiceCatalog 
{



public partial class RequestOffering 
{
        private EnterpriseManagementObject emo;
        
        public RequestOffering(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[RequestOfferingHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[RequestOfferingHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string BriefDescription
    	{	
    		set {emo[new Guid("47a04679-e911-4826-7d14-965a18e94c41")].Value = value;}	
    		get {return (string) emo[new Guid("47a04679-e911-4826-7d14-965a18e94c41")].Value; }		
    	}		
    	public string Comment
    	{	
    		set {emo[new Guid("66106635-50cf-a429-2306-3dfe6ff3efd7")].Value = value;}	
    		get {return (string) emo[new Guid("66106635-50cf-a429-2306-3dfe6ff3efd7")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Domain
    	{	
    		set {emo[new Guid("55388ece-03e6-5db8-15a0-2f13c6c6a255")].Value = value;}	
    		get {return (string) emo[new Guid("55388ece-03e6-5db8-15a0-2f13c6c6a255")].Value; }		
    	}		
    	public string EstimatedTimeToCompletion
    	{	
    		set {emo[new Guid("e110e747-5dc5-a8d5-39e7-8251b1ea304f")].Value = value;}	
    		get {return (string) emo[new Guid("e110e747-5dc5-a8d5-39e7-8251b1ea304f")].Value; }		
    	}		
    	public bool? HideGotoRequestButton
    	{	
    		set {emo[new Guid("77e5f3d0-0cd6-a49f-5645-a1d88853e689")].Value = value;}	
    		get {return (bool?) emo[new Guid("77e5f3d0-0cd6-a49f-5645-a1d88853e689")].Value; }		
    	}		
    	public string ID
    	{	
    		set {emo[new Guid("c6b93fbd-e704-ac57-72b3-715368f3cd27")].Value = value;}	
    		get {return (string) emo[new Guid("c6b93fbd-e704-ac57-72b3-715368f3cd27")].Value; }		
    	}		
    	public Stream Image
    	{	
    		set {emo[new Guid("d3960f9b-f87b-dcce-4a44-8f614ea89cce")].Value = value;}	
    		get {return (Stream) emo[new Guid("d3960f9b-f87b-dcce-4a44-8f614ea89cce")].Value; }		
    	}		
    	public Guid Internal_ElementId
    	{	
    		set {emo[new Guid("a1fdcb5a-9998-193f-7eb6-c9e942735f8b")].Value = value;}	
    		get {return (Guid) emo[new Guid("a1fdcb5a-9998-193f-7eb6-c9e942735f8b")].Value; }		
    	}		
    	public Guid Internal_ManagementPackId
    	{	
    		set {emo[new Guid("8d9f6660-4806-baea-b6d2-6139a03f9c0a")].Value = value;}	
    		get {return (Guid) emo[new Guid("8d9f6660-4806-baea-b6d2-6139a03f9c0a")].Value; }		
    	}		
    	public Guid Internal_ParentId
    	{	
    		set {emo[new Guid("ef1495ef-5125-7dee-448a-9d5c36f57d36")].Value = value;}	
    		get {return (Guid) emo[new Guid("ef1495ef-5125-7dee-448a-9d5c36f57d36")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("4b1d53c5-42cc-0436-db0b-f593bbaa4479")].Value = value;}	
    		get {return (string) emo[new Guid("4b1d53c5-42cc-0436-db0b-f593bbaa4479")].Value; }		
    	}		
    	public string Overview
    	{	
    		set {emo[new Guid("69275464-6b26-50d1-d6f7-7aef98b0f826")].Value = value;}	
    		get {return (string) emo[new Guid("69275464-6b26-50d1-d6f7-7aef98b0f826")].Value; }		
    	}		
    	public string Path
    	{	
    		set {emo[new Guid("a6621314-aa56-2fc5-d6a0-0243f1ca7b8b")].Value = value;}	
    		get {return (string) emo[new Guid("a6621314-aa56-2fc5-d6a0-0243f1ca7b8b")].Value; }		
    	}		
    	public string PresentationMappingTemplate
    	{	
    		set {emo[new Guid("12b9b05e-6855-eb67-6ea0-7f12e57e1ba0")].Value = value;}	
    		get {return (string) emo[new Guid("12b9b05e-6855-eb67-6ea0-7f12e57e1ba0")].Value; }		
    	}		
    	public DateTime? PublishDate
    	{	
    		set {emo[new Guid("d70d8329-d7c1-59e1-9a58-dcb5ca1fa855")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d70d8329-d7c1-59e1-9a58-dcb5ca1fa855")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("93ea28c7-54b0-56f1-5294-9cd6e70c7169")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("93ea28c7-54b0-56f1-5294-9cd6e70c7169")].Value; }		
    	}		
    	public string TargetTemplate
    	{	
    		set {emo[new Guid("327dacad-47b4-ba16-4529-f201079d8bcf")].Value = value;}	
    		get {return (string) emo[new Guid("327dacad-47b4-ba16-4529-f201079d8bcf")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("9b80f8f5-5b4b-ce31-7359-aef24fb81342")].Value = value;}	
    		get {return (string) emo[new Guid("9b80f8f5-5b4b-ce31-7359-aef24fb81342")].Value; }		
    	}		

}     
        
	
	



public partial class ServiceOffering 
{
        private EnterpriseManagementObject emo;
        
        public ServiceOffering(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ServiceOfferingHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ServiceOfferingHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string BriefDescription
    	{	
    		set {emo[new Guid("47a04679-e911-4826-7d14-965a18e94c41")].Value = value;}	
    		get {return (string) emo[new Guid("47a04679-e911-4826-7d14-965a18e94c41")].Value; }		
    	}		
    	public ManagementPackEnumeration Category
    	{	
    		set {emo[new Guid("fa086719-0608-9c92-8603-973a5a0a78f7")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("fa086719-0608-9c92-8603-973a5a0a78f7")].Value; }		
    	}		
    	public string Comment
    	{	
    		set {emo[new Guid("66106635-50cf-a429-2306-3dfe6ff3efd7")].Value = value;}	
    		get {return (string) emo[new Guid("66106635-50cf-a429-2306-3dfe6ff3efd7")].Value; }		
    	}		
    	public string CostInformation
    	{	
    		set {emo[new Guid("f7f607fe-0445-c849-e162-3a035548a648")].Value = value;}	
    		get {return (string) emo[new Guid("f7f607fe-0445-c849-e162-3a035548a648")].Value; }		
    	}		
    	public string CostInformationLink
    	{	
    		set {emo[new Guid("3ea5eb9a-d779-2eb4-462b-782aebe09884")].Value = value;}	
    		get {return (string) emo[new Guid("3ea5eb9a-d779-2eb4-462b-782aebe09884")].Value; }		
    	}		
    	public string CultureName
    	{	
    		set {emo[new Guid("557d3b2f-7e9b-eaa2-68fe-35f0d46af67d")].Value = value;}	
    		get {return (string) emo[new Guid("557d3b2f-7e9b-eaa2-68fe-35f0d46af67d")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Domain
    	{	
    		set {emo[new Guid("55388ece-03e6-5db8-15a0-2f13c6c6a255")].Value = value;}	
    		get {return (string) emo[new Guid("55388ece-03e6-5db8-15a0-2f13c6c6a255")].Value; }		
    	}		
    	public string ID
    	{	
    		set {emo[new Guid("c6b93fbd-e704-ac57-72b3-715368f3cd27")].Value = value;}	
    		get {return (string) emo[new Guid("c6b93fbd-e704-ac57-72b3-715368f3cd27")].Value; }		
    	}		
    	public Stream Image
    	{	
    		set {emo[new Guid("d3960f9b-f87b-dcce-4a44-8f614ea89cce")].Value = value;}	
    		get {return (Stream) emo[new Guid("d3960f9b-f87b-dcce-4a44-8f614ea89cce")].Value; }		
    	}		
    	public Guid Internal_ElementId
    	{	
    		set {emo[new Guid("a1fdcb5a-9998-193f-7eb6-c9e942735f8b")].Value = value;}	
    		get {return (Guid) emo[new Guid("a1fdcb5a-9998-193f-7eb6-c9e942735f8b")].Value; }		
    	}		
    	public Guid Internal_ManagementPackId
    	{	
    		set {emo[new Guid("8d9f6660-4806-baea-b6d2-6139a03f9c0a")].Value = value;}	
    		get {return (Guid) emo[new Guid("8d9f6660-4806-baea-b6d2-6139a03f9c0a")].Value; }		
    	}		
    	public Guid Internal_ParentId
    	{	
    		set {emo[new Guid("ef1495ef-5125-7dee-448a-9d5c36f57d36")].Value = value;}	
    		get {return (Guid) emo[new Guid("ef1495ef-5125-7dee-448a-9d5c36f57d36")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("4b1d53c5-42cc-0436-db0b-f593bbaa4479")].Value = value;}	
    		get {return (string) emo[new Guid("4b1d53c5-42cc-0436-db0b-f593bbaa4479")].Value; }		
    	}		
    	public string Overview
    	{	
    		set {emo[new Guid("69275464-6b26-50d1-d6f7-7aef98b0f826")].Value = value;}	
    		get {return (string) emo[new Guid("69275464-6b26-50d1-d6f7-7aef98b0f826")].Value; }		
    	}		
    	public string Path
    	{	
    		set {emo[new Guid("a6621314-aa56-2fc5-d6a0-0243f1ca7b8b")].Value = value;}	
    		get {return (string) emo[new Guid("a6621314-aa56-2fc5-d6a0-0243f1ca7b8b")].Value; }		
    	}		
    	public DateTime? PublishDate
    	{	
    		set {emo[new Guid("d70d8329-d7c1-59e1-9a58-dcb5ca1fa855")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d70d8329-d7c1-59e1-9a58-dcb5ca1fa855")].Value; }		
    	}		
    	public string SLAInformation
    	{	
    		set {emo[new Guid("baf14b74-dedd-a799-30ac-474030bfe638")].Value = value;}	
    		get {return (string) emo[new Guid("baf14b74-dedd-a799-30ac-474030bfe638")].Value; }		
    	}		
    	public string SLAInformationLink
    	{	
    		set {emo[new Guid("4606687a-fc94-a43e-cfbd-12f03337352b")].Value = value;}	
    		get {return (string) emo[new Guid("4606687a-fc94-a43e-cfbd-12f03337352b")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("93ea28c7-54b0-56f1-5294-9cd6e70c7169")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("93ea28c7-54b0-56f1-5294-9cd6e70c7169")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("9b80f8f5-5b4b-ce31-7359-aef24fb81342")].Value = value;}	
    		get {return (string) emo[new Guid("9b80f8f5-5b4b-ce31-7359-aef24fb81342")].Value; }		
    	}		

}     
        
	
	



public partial class ActivityPublishActivity 
{
        private EnterpriseManagementObject emo;
        
        public ActivityPublishActivity(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ActivityPublishActivityHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ActivityPublishActivityHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public double ActualCost
    	{	
    		set {emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value = value;}	
    		get {return (double) emo[new Guid("ac0c436a-9774-4f88-b02d-3755a88386ad")].Value; }		
    	}		
    	public DateTime? ActualDowntimeEndDate
    	{	
    		set {emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("4d848ebc-c4da-7c9c-d610-ff47a35dad7f")].Value; }		
    	}		
    	public DateTime? ActualDowntimeStartDate
    	{	
    		set {emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("73f42ea1-29f0-01a8-92c1-e6b43b45b0f7")].Value; }		
    	}		
    	public DateTime? ActualEndDate
    	{	
    		set {emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("665ed498-2551-7559-dce8-493e1ea171df")].Value; }		
    	}		
    	public DateTime? ActualStartDate
    	{	
    		set {emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("d3c9aa55-bbc0-964e-716b-99defdac4405")].Value; }		
    	}		
    	public double ActualWork
    	{	
    		set {emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value = value;}	
    		get {return (double) emo[new Guid("7a153284-680e-9cce-a0ce-9df9ed2f2321")].Value; }		
    	}		
    	public ManagementPackEnumeration Area
    	{	
    		set {emo[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("882a828d-b5c7-0427-3ffc-c908c00995c8")].Value; }		
    	}		
    	public string ChildId
    	{	
    		set {emo[new Guid("dbeb4a87-8099-f36d-9fbd-17e0ad43c828")].Value = value;}	
    		get {return (string) emo[new Guid("dbeb4a87-8099-f36d-9fbd-17e0ad43c828")].Value; }		
    	}		
    	public string ContactMethod
    	{	
    		set {emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value = value;}	
    		get {return (string) emo[new Guid("d57cb7bc-d1d5-9614-0fe5-4002129da88b")].Value; }		
    	}		
    	public DateTime? CreatedDate
    	{	
    		set {emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ae5c5126-8937-8bdd-11f8-a7641bc06645")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value = value;}	
    		get {return (string) emo[new Guid("e5162c95-9469-924c-2298-9e351e0dc383")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Documentation
    	{	
    		set {emo[new Guid("52ff8f53-9c8e-450b-7aab-640243bf0e39")].Value = value;}	
    		get {return (string) emo[new Guid("52ff8f53-9c8e-450b-7aab-640243bf0e39")].Value; }		
    	}		
    	public DateTime? FirstAssignedDate
    	{	
    		set {emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("9dc81c28-4c22-6cff-b4f5-10af27ae5548")].Value; }		
    	}		
    	public DateTime? FirstResponseDate
    	{	
    		set {emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("ece4510e-e7d6-329d-6c9b-d296682eee6c")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value = value;}	
    		get {return (string) emo[new Guid("28b1c58f-aefa-a449-7496-4805186bd94f")].Value; }		
    	}		
    	public bool? IsDowntime
    	{	
    		set {emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value = value;}	
    		get {return (bool?) emo[new Guid("f82254fe-fd10-7ce2-185e-48e1bb5c77d1")].Value; }		
    	}		
    	public bool? IsParent
    	{	
    		set {emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value = value;}	
    		get {return (bool?) emo[new Guid("b5430e67-a9a9-5ff4-30b8-d1ab7e7482b0")].Value; }		
    	}		
    	public string Notes
    	{	
    		set {emo[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value = value;}	
    		get {return (string) emo[new Guid("420e7905-4114-0f38-36a2-f19abdac865e")].Value; }		
    	}		
    	public double PlannedCost
    	{	
    		set {emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value = value;}	
    		get {return (double) emo[new Guid("592f4594-07d5-f920-d9d6-4a4c4eb4c108")].Value; }		
    	}		
    	public double PlannedWork
    	{	
    		set {emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value = value;}	
    		get {return (double) emo[new Guid("1813bad2-37c9-da30-11d0-0359ce1f42d3")].Value; }		
    	}		
    	public ManagementPackEnumeration Priority
    	{	
    		set {emo[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("4828a242-5d1d-7761-39c8-b1bf31a0cbb8")].Value; }		
    	}		
    	public DateTime? RequiredBy
    	{	
    		set {emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fec03822-ca13-c37b-d5f0-2d47cf1a7e56")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeEndDate
    	{	
    		set {emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("3220750f-a919-eaa2-6613-1d332754a1a0")].Value; }		
    	}		
    	public DateTime? ScheduledDowntimeStartDate
    	{	
    		set {emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("19c2c170-cf4a-aef2-bd7f-ab1097376116")].Value; }		
    	}		
    	public DateTime? ScheduledEndDate
    	{	
    		set {emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("1d59dc56-995b-1884-beef-7663a0103e28")].Value; }		
    	}		
    	public DateTime? ScheduledStartDate
    	{	
    		set {emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value = value;}	
    		get {return (DateTime?) emo[new Guid("fb3b75ce-5483-b5a0-7498-10c585cef3b4")].Value; }		
    	}		
    	public int SequenceId
    	{	
    		set {emo[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value = value;}	
    		get {return (int) emo[new Guid("2f7e00ad-5867-e4e8-7233-e280530ec0cb")].Value; }		
    	}		
    	public bool? Skip
    	{	
    		set {emo[new Guid("e8122fa0-a120-214e-8920-1197c01eccd6")].Value = value;}	
    		get {return (bool?) emo[new Guid("e8122fa0-a120-214e-8920-1197c01eccd6")].Value; }		
    	}		
    	public ManagementPackEnumeration Stage
    	{	
    		set {emo[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("764b9c5d-bb4b-7bab-d807-2439c1b8bf5f")].Value; }		
    	}		
    	public ManagementPackEnumeration Status
    	{	
    		set {emo[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value = value;}	
    		get {return (ManagementPackEnumeration) emo[new Guid("09594130-66ef-0bb2-1fc8-8cd7e6a5e06e")].Value; }		
    	}		
    	public string Title
    	{	
    		set {emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value = value;}	
    		get {return (string) emo[new Guid("029dd446-c76c-ab37-a105-235da4f979dd")].Value; }		
    	}		
    	public string UserInput
    	{	
    		set {emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value = value;}	
    		get {return (string) emo[new Guid("050a3356-f442-e8d8-eb08-337e98af5733")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: ServiceManager.ActivityManagement.Library	
	Id 				: 7b8d32db-bdb4-cabf-b947-c013c0e00baa
	Description 	: Service Manager Activity Management Library
*/
namespace Savviety.ServiceManager.API.ActivityManagement 
{



public partial class ActivityGeneralSetting 
{
        private EnterpriseManagementObject emo;
        
        public ActivityGeneralSetting(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ActivityGeneralSettingHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ActivityGeneralSettingHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string MicrosoftSystemCenterOrchestratorRunbookAutomationActivityBaseIdPrefix
    	{	
    		set {emo[new Guid("2ccd1963-186f-83c3-c974-08a37e98570d")].Value = value;}	
    		get {return (string) emo[new Guid("2ccd1963-186f-83c3-c974-08a37e98570d")].Value; }		
    	}		
    	public string SystemWorkItemActivityDependentActivityIdPrefix
    	{	
    		set {emo[new Guid("038594fa-2b30-1a5f-87dc-c524f032f63f")].Value = value;}	
    		get {return (string) emo[new Guid("038594fa-2b30-1a5f-87dc-c524f032f63f")].Value; }		
    	}		
    	public string SystemWorkItemActivityIdPrefix
    	{	
    		set {emo[new Guid("5506657b-6c34-84da-11a7-8fd05fed0c87")].Value = value;}	
    		get {return (string) emo[new Guid("5506657b-6c34-84da-11a7-8fd05fed0c87")].Value; }		
    	}		
    	public string SystemWorkItemActivityManualActivityIdPrefix
    	{	
    		set {emo[new Guid("963fdc69-d8be-d058-5e29-43ed934a7a01")].Value = value;}	
    		get {return (string) emo[new Guid("963fdc69-d8be-d058-5e29-43ed934a7a01")].Value; }		
    	}		
    	public string SystemWorkItemActivityParallelActivityIdPrefix
    	{	
    		set {emo[new Guid("30a49c9b-1d22-fd9d-8dfc-7d04b0f8e50b")].Value = value;}	
    		get {return (string) emo[new Guid("30a49c9b-1d22-fd9d-8dfc-7d04b0f8e50b")].Value; }		
    	}		
    	public string SystemWorkItemActivityReviewActivityIdPrefix
    	{	
    		set {emo[new Guid("e2d1a938-f0b5-ae68-2312-ba16865a4a20")].Value = value;}	
    		get {return (string) emo[new Guid("e2d1a938-f0b5-ae68-2312-ba16865a4a20")].Value; }		
    	}		
    	public string SystemWorkItemActivitySequentialActivityIdPrefix
    	{	
    		set {emo[new Guid("b2c9d622-21e9-d18e-a8ed-4ff9402760d8")].Value = value;}	
    		get {return (string) emo[new Guid("b2c9d622-21e9-d18e-a8ed-4ff9402760d8")].Value; }		
    	}		

}     
        
	
	



public partial class ActivityInternalworkflowtarget 
{
        private EnterpriseManagementObject emo;
        
        public ActivityInternalworkflowtarget(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ActivityInternalworkflowtargetHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ActivityInternalworkflowtargetHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: ServiceManager.ChangeManagement.Library	
	Id 				: 2bf6413b-bb6c-1108-d33a-152c9d1db56b
	Description 	: Service Manager Change Management Library
*/
namespace Savviety.ServiceManager.API.ChangeManagement 
{



public partial class ChangeRequestGeneralSetting 
{
        private EnterpriseManagementObject emo;
        
        public ChangeRequestGeneralSetting(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ChangeRequestGeneralSettingHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ChangeRequestGeneralSettingHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public int MaxFileAttachmentsCount
    	{	
    		set {emo[new Guid("f6dccdc1-f8d6-0628-7f82-09feea028a41")].Value = value;}	
    		get {return (int) emo[new Guid("f6dccdc1-f8d6-0628-7f82-09feea028a41")].Value; }		
    	}		
    	public int MaxFileAttachmentSizeinKB
    	{	
    		set {emo[new Guid("f69a0521-312d-669e-2058-55c5d22d9694")].Value = value;}	
    		get {return (int) emo[new Guid("f69a0521-312d-669e-2058-55c5d22d9694")].Value; }		
    	}		
    	public string SystemWorkItemChangeRequestIdPrefix
    	{	
    		set {emo[new Guid("291e16c2-eb74-a4df-cd8a-8ec9c8942506")].Value = value;}	
    		get {return (string) emo[new Guid("291e16c2-eb74-a4df-cd8a-8ec9c8942506")].Value; }		
    	}		

}     
        
	
	



public partial class ChangeRequestInternalworkflowtarget 
{
        private EnterpriseManagementObject emo;
        
        public ChangeRequestInternalworkflowtarget(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ChangeRequestInternalworkflowtargetHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ChangeRequestInternalworkflowtargetHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		

}     
        
	
	



public partial class ChangeRequestWorkflowtarget 
{
        private EnterpriseManagementObject emo;
        
        public ChangeRequestWorkflowtarget(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[ChangeRequestWorkflowtargetHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[ChangeRequestWorkflowtargetHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.Notifications.Library	
	Id 				: 8e02a0aa-04b1-812b-6ab5-1c12e3288e99
	Description 	: System Notification Library: This Management Pack contains the definitions that are specific to Notifications.
*/
namespace System.Notifications.Library 
{



public partial class NotificationChannelSIP 
{
        private EnterpriseManagementObject emo;
        
        public NotificationChannelSIP(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[NotificationChannelSIPHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[NotificationChannelSIPHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public bool? IsEnabled
    	{	
    		set {emo[new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20")].Value = value;}	
    		get {return (bool?) emo[new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20")].Value; }		
    	}		

}     
        
	
	



public partial class NotificationChannelSMS 
{
        private EnterpriseManagementObject emo;
        
        public NotificationChannelSMS(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[NotificationChannelSMSHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[NotificationChannelSMSHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public bool? IsEnabled
    	{	
    		set {emo[new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20")].Value = value;}	
    		get {return (bool?) emo[new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20")].Value; }		
    	}		

}     
        
	
	



public partial class NotificationChannelSMTP 
{
        private EnterpriseManagementObject emo;
        
        public NotificationChannelSMTP(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[NotificationChannelSMTPHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[NotificationChannelSMTPHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public bool? IsEnabled
    	{	
    		set {emo[new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20")].Value = value;}	
    		get {return (bool?) emo[new Guid("02fba5ee-7c97-fdd5-8da9-69f99b9d1d20")].Value; }		
    	}		
    	public int RetryIntervalSeconds
    	{	
    		set {emo[new Guid("762772bb-0fdb-37f0-724c-fe6a5fe8e912")].Value = value;}	
    		get {return (int) emo[new Guid("762772bb-0fdb-37f0-724c-fe6a5fe8e912")].Value; }		
    	}		
    	public string ReturnAddress
    	{	
    		set {emo[new Guid("d933c383-a63c-7bcf-d3d0-a7892b5b94f9")].Value = value;}	
    		get {return (string) emo[new Guid("d933c383-a63c-7bcf-d3d0-a7892b5b94f9")].Value; }		
    	}		
    	public string RunAsAccount
    	{	
    		set {emo[new Guid("4ac88436-900e-1c4d-3344-6a965d1fc06e")].Value = value;}	
    		get {return (string) emo[new Guid("4ac88436-900e-1c4d-3344-6a965d1fc06e")].Value; }		
    	}		

}     
        
	
	



public partial class NotificationEndpoint 
{
        private EnterpriseManagementObject emo;
        
        public NotificationEndpoint(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[NotificationEndpointHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[NotificationEndpointHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string ChannelName
    	{	
    		set {emo[new Guid("57deed7f-bac3-9044-81a3-1da00a5c044e")].Value = value;}	
    		get {return (string) emo[new Guid("57deed7f-bac3-9044-81a3-1da00a5c044e")].Value; }		
    	}		
    	public string Description
    	{	
    		set {emo[new Guid("20e82f3c-0cb0-b97d-31dc-bcec1094bb73")].Value = value;}	
    		get {return (string) emo[new Guid("20e82f3c-0cb0-b97d-31dc-bcec1094bb73")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("fa431cec-22a3-b35a-f1ae-62cec2f7b587")].Value = value;}	
    		get {return (string) emo[new Guid("fa431cec-22a3-b35a-f1ae-62cec2f7b587")].Value; }		
    	}		
    	public string TargetAddress
    	{	
    		set {emo[new Guid("0e6323bc-55f2-eed8-1b6a-a5100417500b")].Value = value;}	
    		get {return (string) emo[new Guid("0e6323bc-55f2-eed8-1b6a-a5100417500b")].Value; }		
    	}		

}     
        
	
	



public partial class NotificationSipconfigurationsource 
{
        private EnterpriseManagementObject emo;
        
        public NotificationSipconfigurationsource(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[NotificationSipconfigurationsourceHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[NotificationSipconfigurationsourceHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string Authentication
    	{	
    		set {emo[new Guid("200cde17-e125-6337-e3f4-b3638135edc0")].Value = value;}	
    		get {return (string) emo[new Guid("200cde17-e125-6337-e3f4-b3638135edc0")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public bool? IsEnabled
    	{	
    		set {emo[new Guid("990c229b-b955-4087-eb17-1e302f4c4fa7")].Value = value;}	
    		get {return (bool?) emo[new Guid("990c229b-b955-4087-eb17-1e302f4c4fa7")].Value; }		
    	}		
    	public string Name
    	{	
    		set {emo[new Guid("ad7f5272-0673-3e55-80ed-042990cd417f")].Value = value;}	
    		get {return (string) emo[new Guid("ad7f5272-0673-3e55-80ed-042990cd417f")].Value; }		
    	}		
    	public int PortNumber
    	{	
    		set {emo[new Guid("b65a2eab-3106-20da-07fc-86c7a809721a")].Value = value;}	
    		get {return (int) emo[new Guid("b65a2eab-3106-20da-07fc-86c7a809721a")].Value; }		
    	}		
    	public string Protocol
    	{	
    		set {emo[new Guid("1d131110-9c93-a569-ba5a-f75680213f18")].Value = value;}	
    		get {return (string) emo[new Guid("1d131110-9c93-a569-ba5a-f75680213f18")].Value; }		
    	}		
    	public string Server
    	{	
    		set {emo[new Guid("c2450718-3e7a-9d0a-1b05-6e48e3adba7c")].Value = value;}	
    		get {return (string) emo[new Guid("c2450718-3e7a-9d0a-1b05-6e48e3adba7c")].Value; }		
    	}		

}     
        
	
	



public partial class NotificationSmtpconfigurationsource 
{
        private EnterpriseManagementObject emo;
        
        public NotificationSmtpconfigurationsource(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[NotificationSmtpconfigurationsourceHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[NotificationSmtpconfigurationsourceHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string Authentication
    	{	
    		set {emo[new Guid("aaf97df8-936c-0da1-0eff-d68699a47c56")].Value = value;}	
    		get {return (string) emo[new Guid("aaf97df8-936c-0da1-0eff-d68699a47c56")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public bool? IsEnabled
    	{	
    		set {emo[new Guid("990c229b-b955-4087-eb17-1e302f4c4fa7")].Value = value;}	
    		get {return (bool?) emo[new Guid("990c229b-b955-4087-eb17-1e302f4c4fa7")].Value; }		
    	}		
    	public string Name
    	{	
    		set {emo[new Guid("04744e3f-caf0-943d-c038-204fa81e62ce")].Value = value;}	
    		get {return (string) emo[new Guid("04744e3f-caf0-943d-c038-204fa81e62ce")].Value; }		
    	}		
    	public int PortNumber
    	{	
    		set {emo[new Guid("fe34de95-b0c6-2bf5-c4bb-96e3a6315fe8")].Value = value;}	
    		get {return (int) emo[new Guid("fe34de95-b0c6-2bf5-c4bb-96e3a6315fe8")].Value; }		
    	}		
    	public int SequenceNumber
    	{	
    		set {emo[new Guid("9f238de4-7b5a-b039-f7fb-baa2c50dba96")].Value = value;}	
    		get {return (int) emo[new Guid("9f238de4-7b5a-b039-f7fb-baa2c50dba96")].Value; }		
    	}		
    	public string Server
    	{	
    		set {emo[new Guid("0c80eebb-36f2-7ec5-834f-f52f7909ed3f")].Value = value;}	
    		get {return (string) emo[new Guid("0c80eebb-36f2-7ec5-834f-f52f7909ed3f")].Value; }		
    	}		

}     
        
	
	



public partial class NotificationTemplateSIP 
{
        private EnterpriseManagementObject emo;
        
        public NotificationTemplateSIP(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[NotificationTemplateSIPHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[NotificationTemplateSIPHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string Content
    	{	
    		set {emo[new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2")].Value = value;}	
    		get {return (string) emo[new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Encoding
    	{	
    		set {emo[new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0")].Value = value;}	
    		get {return (string) emo[new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("8cf1e3ab-e5a4-7d54-6780-c73ffd2b31b5")].Value = value;}	
    		get {return (string) emo[new Guid("8cf1e3ab-e5a4-7d54-6780-c73ffd2b31b5")].Value; }		
    	}		
    	public string Protocol
    	{	
    		set {emo[new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2")].Value = value;}	
    		get {return (string) emo[new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2")].Value; }		
    	}		
    	public string SeedClass
    	{	
    		set {emo[new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846")].Value = value;}	
    		get {return (string) emo[new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846")].Value; }		
    	}		
    	public string Sender
    	{	
    		set {emo[new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5")].Value = value;}	
    		get {return (string) emo[new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5")].Value; }		
    	}		

}     
        
	
	



public partial class NotificationTemplateSMS 
{
        private EnterpriseManagementObject emo;
        
        public NotificationTemplateSMS(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[NotificationTemplateSMSHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[NotificationTemplateSMSHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string Content
    	{	
    		set {emo[new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2")].Value = value;}	
    		get {return (string) emo[new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Encoding
    	{	
    		set {emo[new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0")].Value = value;}	
    		get {return (string) emo[new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("8cf1e3ab-e5a4-7d54-6780-c73ffd2b31b5")].Value = value;}	
    		get {return (string) emo[new Guid("8cf1e3ab-e5a4-7d54-6780-c73ffd2b31b5")].Value; }		
    	}		
    	public string Protocol
    	{	
    		set {emo[new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2")].Value = value;}	
    		get {return (string) emo[new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2")].Value; }		
    	}		
    	public string SeedClass
    	{	
    		set {emo[new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846")].Value = value;}	
    		get {return (string) emo[new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846")].Value; }		
    	}		
    	public string Sender
    	{	
    		set {emo[new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5")].Value = value;}	
    		get {return (string) emo[new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5")].Value; }		
    	}		

}     
        
	
	



public partial class NotificationTemplateSMTP 
{
        private EnterpriseManagementObject emo;
        
        public NotificationTemplateSMTP(EnterpriseManagementObject enterpriseManagementObject)
	    {
	        emo = enterpriseManagementObject;
	    }
 
       public object this[string propertyName]
		    {
               set { emo[NotificationTemplateSMTPHelper.ManagementPackType,propertyName].Value = value; }
                get { return emo[NotificationTemplateSMTPHelper.ManagementPackType, propertyName].Value; }	

		    }    
            
        public void Overwrite()
        {
            emo.Overwrite();
        }
        
        public void Commit()
        {
            emo.Commit();    
        }
        
    	public string Content
    	{	
    		set {emo[new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2")].Value = value;}	
    		get {return (string) emo[new Guid("f9292eb1-33ba-04f2-7983-e63104a535b2")].Value; }		
    	}		
    	public string DisplayName
    	{	
    		set {emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value = value;}	
    		get {return (string) emo[new Guid("afb4f9e6-bf48-1737-76ad-c9b3ec325b97")].Value; }		
    	}		
    	public string Encoding
    	{	
    		set {emo[new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0")].Value = value;}	
    		get {return (string) emo[new Guid("d7fcd89b-4476-3412-bc48-f3d3d86c89b0")].Value; }		
    	}		
    	public string Id
    	{	
    		set {emo[new Guid("8cf1e3ab-e5a4-7d54-6780-c73ffd2b31b5")].Value = value;}	
    		get {return (string) emo[new Guid("8cf1e3ab-e5a4-7d54-6780-c73ffd2b31b5")].Value; }		
    	}		
    	public bool? IsBodyHtml
    	{	
    		set {emo[new Guid("3e3eadd4-f558-12e7-067b-a2c9b08a1386")].Value = value;}	
    		get {return (bool?) emo[new Guid("3e3eadd4-f558-12e7-067b-a2c9b08a1386")].Value; }		
    	}		
    	public bool? IsMultiCast
    	{	
    		set {emo[new Guid("f7e9dd8d-5ab6-4796-9173-4bddf59c0c33")].Value = value;}	
    		get {return (bool?) emo[new Guid("f7e9dd8d-5ab6-4796-9173-4bddf59c0c33")].Value; }		
    	}		
    	public int Priority
    	{	
    		set {emo[new Guid("26375c85-499e-d5d9-5af5-7dbf02bbac35")].Value = value;}	
    		get {return (int) emo[new Guid("26375c85-499e-d5d9-5af5-7dbf02bbac35")].Value; }		
    	}		
    	public string Protocol
    	{	
    		set {emo[new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2")].Value = value;}	
    		get {return (string) emo[new Guid("67464ea8-76b3-f2ba-d31d-aa0463fb5db2")].Value; }		
    	}		
    	public string SeedClass
    	{	
    		set {emo[new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846")].Value = value;}	
    		get {return (string) emo[new Guid("121acbfd-2b26-17c6-fa91-4ae72f595846")].Value; }		
    	}		
    	public string Sender
    	{	
    		set {emo[new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5")].Value = value;}	
    		get {return (string) emo[new Guid("674be430-ca1a-65ed-78e6-76b0677f10b5")].Value; }		
    	}		
    	public string Subject
    	{	
    		set {emo[new Guid("ea0fc320-a749-d424-662e-798c87b15c66")].Value = value;}	
    		get {return (string) emo[new Guid("ea0fc320-a749-d424-662e-798c87b15c66")].Value; }		
    	}		

}     
        
	
	

}
