﻿using System;    
using System.IO;
using System.Linq;
using System.Collections.Generic;
using Savviety.ServiceManager.API;
using Savviety.ServiceManager.API.Criteria;
using Microsoft.EnterpriseManagement;
using Microsoft.EnterpriseManagement.Common;
using Microsoft.EnterpriseManagement.Configuration;
 using Microsoft.EnterpriseManagement.Common.Internal;
using System.ComponentModel.DataAnnotations; 
using System.Diagnostics;
using System.Linq;
using System.Xml.Linq;
/*
	Name	 		: System.WorkItem.ChangeRequest.Library	
	Id 				: 6c2bb84d-3c1f-4006-c551-6ef50179e2e3
	Description 	: System Work Item Change Request Library
*/
namespace Savviety.ServiceManager.API.ChangeManagement 
{



public static class ChangeRequestPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreChangeRequest";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.ChangeRequest.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string ActualCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","ActualCost");}		
    	}		
    	public static string ActualDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","ActualDowntimeEndDate");}		
    	}		
    	public static string ActualDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","ActualDowntimeStartDate");}		
    	}		
    	public static string ActualEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","ActualEndDate");}		
    	}		
    	public static string ActualStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","ActualStartDate");}		
    	}		
    	public static string ActualWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","ActualWork");}		
    	}		
    	public static string Area
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","Area");}		
    	}		
    	public static string BackoutPlan
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","BackoutPlan");}		
    	}		
    	public static string Category
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","Category");}		
    	}		
    	public static string ContactMethod
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","ContactMethod");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","CreatedDate");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","DisplayName");}		
    	}		
    	public static string FirstAssignedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","FirstAssignedDate");}		
    	}		
    	public static string FirstResponseDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","FirstResponseDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","Id");}		
    	}		
    	public static string Impact
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","Impact");}		
    	}		
    	public static string ImplementationPlan
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","ImplementationPlan");}		
    	}		
    	public static string ImplementationResults
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","ImplementationResults");}		
    	}		
    	public static string IsDowntime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","IsDowntime");}		
    	}		
    	public static string IsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","IsParent");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","Notes");}		
    	}		
    	public static string PlannedCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","PlannedCost");}		
    	}		
    	public static string PlannedWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","PlannedWork");}		
    	}		
    	public static string PostImplementationReview
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","PostImplementationReview");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","Priority");}		
    	}		
    	public static string Reason
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","Reason");}		
    	}		
    	public static string RequiredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","RequiredBy");}		
    	}		
    	public static string RequiredByDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","RequiredByDate");}		
    	}		
    	public static string Risk
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","Risk");}		
    	}		
    	public static string RiskAssessmentPlan
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","RiskAssessmentPlan");}		
    	}		
    	public static string ScheduledDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","ScheduledDowntimeEndDate");}		
    	}		
    	public static string ScheduledDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","ScheduledDowntimeStartDate");}		
    	}		
    	public static string ScheduledEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","ScheduledEndDate");}		
    	}		
    	public static string ScheduledStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","ScheduledStartDate");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","Status");}		
    	}		
    	public static string TemplateId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","TemplateId");}		
    	}		
    	public static string TestPlan
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","TestPlan");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","Title");}		
    	}		
    	public static string UserInput
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest","UserInput");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.WorkItem.Library	
	Id 				: 405d5590-b45f-1c97-024f-24338290453e
	Description 	: System work item library
*/
namespace Savviety.ServiceManager.API.WorkItem 
{



public static class BillableTimePropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreLibrary";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.BillableTime","DisplayName");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.BillableTime","Id");}		
    	}		
    	public static string LastUpdated
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.BillableTime","LastUpdated");}		
    	}		
    	public static string TimeInMinutes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.BillableTime","TimeInMinutes");}		
    	}		

}     
        
	
	



public static class ActionLogPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreLibrary";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string ActionType
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.ActionLog","ActionType");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.ActionLog","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.ActionLog","DisplayName");}		
    	}		
    	public static string EnteredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.ActionLog","EnteredBy");}		
    	}		
    	public static string EnteredDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.ActionLog","EnteredDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.ActionLog","Id");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.ActionLog","Title");}		
    	}		

}     
        
	
	



public static class AnalystCommentLogPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreLibrary";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Comment
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.AnalystCommentLog","Comment");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.AnalystCommentLog","DisplayName");}		
    	}		
    	public static string EnteredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.AnalystCommentLog","EnteredBy");}		
    	}		
    	public static string EnteredDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.AnalystCommentLog","EnteredDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.AnalystCommentLog","Id");}		
    	}		
    	public static string IsPrivate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.AnalystCommentLog","IsPrivate");}		
    	}		

}     
        
	
	



public static class AuditCommentLogPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreLibrary";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Comment
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.AuditCommentLog","Comment");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.AuditCommentLog","DisplayName");}		
    	}		
    	public static string EnteredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.AuditCommentLog","EnteredBy");}		
    	}		
    	public static string EnteredDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.AuditCommentLog","EnteredDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.AuditCommentLog","Id");}		
    	}		

}     
        
	
	



public static class SipnotificationLogPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreLibrary";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SipNotificationLog","DisplayName");}		
    	}		
    	public static string Encoding
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SipNotificationLog","Encoding");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SipNotificationLog","Id");}		
    	}		
    	public static string Message
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SipNotificationLog","Message");}		
    	}		
    	public static string SentDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SipNotificationLog","SentDate");}		
    	}		
    	public static string SentTo
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SipNotificationLog","SentTo");}		
    	}		

}     
        
	
	



public static class SmtpnotificationLogPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreLibrary";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Body
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SmtpNotificationLog","Body");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SmtpNotificationLog","DisplayName");}		
    	}		
    	public static string Encoding
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SmtpNotificationLog","Encoding");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SmtpNotificationLog","Id");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SmtpNotificationLog","Priority");}		
    	}		
    	public static string SentDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SmtpNotificationLog","SentDate");}		
    	}		
    	public static string SentTo
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SmtpNotificationLog","SentTo");}		
    	}		
    	public static string Subject
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.SmtpNotificationLog","Subject");}		
    	}		

}     
        
	
	



public static class UserCommentLogPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreLibrary";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Comment
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.UserCommentLog","Comment");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.UserCommentLog","DisplayName");}		
    	}		
    	public static string EnteredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.UserCommentLog","EnteredBy");}		
    	}		
    	public static string EnteredDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.UserCommentLog","EnteredDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.TroubleTicket.UserCommentLog","Id");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.AdminItem.Library	
	Id 				: a87c22c5-8fd4-4252-86e8-b246ab404465
	Description 	: System Administration Item Library
*/
namespace Savviety.ServiceManager.API.AdminItem 
{



public static class AnnouncementConfigPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "Admin";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.AdminItem.Library"));
                reference.Add(new XAttribute("Version", "7.5.8501.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Announcement.Config","DisplayName");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Announcement.Config","Id");}		
    	}		
    	public static string TitleBar
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Announcement.Config","TitleBar");}		
    	}		

}     
        
	
	



public static class AnnouncementItemPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "Admin";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.AdminItem.Library"));
                reference.Add(new XAttribute("Version", "7.5.8501.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Body
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Announcement.Item","Body");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Announcement.Item","DisplayName");}		
    	}		
    	public static string ExpirationDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Announcement.Item","ExpirationDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Announcement.Item","Id");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Announcement.Item","Priority");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Announcement.Item","Title");}		
    	}		

}     
        
	
	



public static class GroomingconfigurationPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "Admin";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.AdminItem.Library"));
                reference.Add(new XAttribute("Version", "7.5.8501.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string BatchSize
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GroomingConfiguration","BatchSize");}		
    	}		
    	public static string Category
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GroomingConfiguration","Category");}		
    	}		
    	public static string Criteria
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GroomingConfiguration","Criteria");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GroomingConfiguration","DisplayName");}		
    	}		
    	public static string IsInternal
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GroomingConfiguration","IsInternal");}		
    	}		
    	public static string RetentionPeriodInMinutes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GroomingConfiguration","RetentionPeriodInMinutes");}		
    	}		
    	public static string StoredProcedure
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GroomingConfiguration","StoredProcedure");}		
    	}		
    	public static string TargetId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GroomingConfiguration","TargetId");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.Library	
	Id 				: 01c8b236-3bce-9dba-6f1c-c119bcdc2972
	Description 	: System Library: Root for all Management Packs.  Contains platform independent definitions.
*/
namespace Savviety.ServiceManager.API.Library 
{



public static class BuildPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "Savviety.ServiceManager.API.Library";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Library"));
                reference.Add(new XAttribute("Version", "7.5.8501.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string AssetStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Build","AssetStatus");}		
    	}		
    	public static string Category
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Build","Category");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Build","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Build","DisplayName");}		
    	}		
    	public static string Instructions
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Build","Instructions");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Build","Notes");}		
    	}		
    	public static string Notes1
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Build","Notes1");}		
    	}		
    	public static string ObjectStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Build","ObjectStatus");}		
    	}		
    	public static string Repository
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Build","Repository");}		
    	}		
    	public static string SourcePath
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Build","SourcePath");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Build","Title");}		
    	}		
    	public static string Version
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Build","Version");}		
    	}		

}     
        
	
	



public static class DomainUserPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "Savviety.ServiceManager.API.Library";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Library"));
                reference.Add(new XAttribute("Version", "7.5.8501.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string AssetStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","AssetStatus");}		
    	}		
    	public static string BusinessPhone
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","BusinessPhone");}		
    	}		
    	public static string BusinessPhone2
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","BusinessPhone2");}		
    	}		
    	public static string City
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","City");}		
    	}		
    	public static string Company
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","Company");}		
    	}		
    	public static string Country
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","Country");}		
    	}		
    	public static string Department
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","Department");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","DisplayName");}		
    	}		
    	public static string Domain
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","Domain");}		
    	}		
    	public static string EmployeeId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","EmployeeId");}		
    	}		
    	public static string Fax
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","Fax");}		
    	}		
    	public static string FirstName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","FirstName");}		
    	}		
    	public static string HomePhone
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","HomePhone");}		
    	}		
    	public static string HomePhone2
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","HomePhone2");}		
    	}		
    	public static string Initials
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","Initials");}		
    	}		
    	public static string LastName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","LastName");}		
    	}		
    	public static string Mobile
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","Mobile");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","Notes");}		
    	}		
    	public static string ObjectStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","ObjectStatus");}		
    	}		
    	public static string Office
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","Office");}		
    	}		
    	public static string Pager
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","Pager");}		
    	}		
    	public static string State
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","State");}		
    	}		
    	public static string StreetAddress
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","StreetAddress");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","Title");}		
    	}		
    	public static string UserName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","UserName");}		
    	}		
    	public static string Zip
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Domain.User","Zip");}		
    	}		

}     
        
	
	



public static class EnvironmentPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "Savviety.ServiceManager.API.Library";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Library"));
                reference.Add(new XAttribute("Version", "7.5.8501.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string AssetStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Environment","AssetStatus");}		
    	}		
    	public static string Category
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Environment","Category");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Environment","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Environment","DisplayName");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Environment","Notes");}		
    	}		
    	public static string Notes1
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Environment","Notes1");}		
    	}		
    	public static string ObjectStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Environment","ObjectStatus");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Environment","Title");}		
    	}		

}     
        
	
	



public static class ExtensionPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "Savviety.ServiceManager.API.Library";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Library"));
                reference.Add(new XAttribute("Version", "7.5.8501.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string BaseIdentity
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ExtensionType","BaseIdentity");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ExtensionType","DisplayName");}		
    	}		
    	public static string FieldName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ExtensionType","FieldName");}		
    	}		
    	public static string FieldOrder
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ExtensionType","FieldOrder");}		
    	}		
    	public static string FieldType
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ExtensionType","FieldType");}		
    	}		
    	public static string Identity
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ExtensionType","Identity");}		
    	}		
    	public static string Metadata
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ExtensionType","Metadata");}		
    	}		
    	public static string ParentIdentity
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ExtensionType","ParentIdentity");}		
    	}		
    	public static string RootIdentity
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ExtensionType","RootIdentity");}		
    	}		

}     
        
	
	



public static class GenericNetworkAdapterPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "Savviety.ServiceManager.API.Library";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Library"));
                reference.Add(new XAttribute("Version", "7.5.8501.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string AssetStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GenericNetworkAdapter","AssetStatus");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GenericNetworkAdapter","DisplayName");}		
    	}		
    	public static string MACAddress
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GenericNetworkAdapter","MACAddress");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GenericNetworkAdapter","Notes");}		
    	}		
    	public static string ObjectStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GenericNetworkAdapter","ObjectStatus");}		
    	}		

}     
        
	
	



public static class GeoLocationPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "Savviety.ServiceManager.API.Library";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Library"));
                reference.Add(new XAttribute("Version", "7.5.8501.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string AssetStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GeoLocation","AssetStatus");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GeoLocation","DisplayName");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GeoLocation","Id");}		
    	}		
    	public static string Latitude
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GeoLocation","Latitude");}		
    	}		
    	public static string Longitude
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GeoLocation","Longitude");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GeoLocation","Notes");}		
    	}		
    	public static string ObjectStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GeoLocation","ObjectStatus");}		
    	}		

}     
        
	
	



public static class OperatingMobilePropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "Savviety.ServiceManager.API.Library";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Library"));
                reference.Add(new XAttribute("Version", "7.5.8501.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string AssetStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.OperatingSystem.Mobile","AssetStatus");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.OperatingSystem.Mobile","DisplayName");}		
    	}		
    	public static string Language
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.OperatingSystem.Mobile","Language");}		
    	}		
    	public static string Name
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.OperatingSystem.Mobile","Name");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.OperatingSystem.Mobile","Notes");}		
    	}		
    	public static string ObjectStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.OperatingSystem.Mobile","ObjectStatus");}		
    	}		
    	public static string Publisher
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.OperatingSystem.Mobile","Publisher");}		
    	}		
    	public static string Version
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.OperatingSystem.Mobile","Version");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.WorkItem.Incident.Library	
	Id 				: dd26c521-7c2d-58c0-0980-dac2dacb0900
	Description 	: Incident Management Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{



public static class IncidentPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreIncident";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Incident.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Acknowledged
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","Acknowledged");}		
    	}		
    	public static string ActualCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ActualCost");}		
    	}		
    	public static string ActualDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ActualDowntimeEndDate");}		
    	}		
    	public static string ActualDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ActualDowntimeStartDate");}		
    	}		
    	public static string ActualEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ActualEndDate");}		
    	}		
    	public static string ActualStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ActualStartDate");}		
    	}		
    	public static string ActualWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ActualWork");}		
    	}		
    	public static string Classification
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","Classification");}		
    	}		
    	public static string ClosedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ClosedDate");}		
    	}		
    	public static string ContactMethod
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ContactMethod");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","CreatedDate");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","DisplayName");}		
    	}		
    	public static string Escalated
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","Escalated");}		
    	}		
    	public static string FirstAssignedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","FirstAssignedDate");}		
    	}		
    	public static string FirstResponseDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","FirstResponseDate");}		
    	}		
    	public static string HasCreatedKnowledgeArticle
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","HasCreatedKnowledgeArticle");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","Id");}		
    	}		
    	public static string Impact
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","Impact");}		
    	}		
    	public static string IPIMID
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","IPIMID");}		
    	}		
    	public static string IsDowntime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","IsDowntime");}		
    	}		
    	public static string IsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","IsParent");}		
    	}		
    	public static string ITClassification
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ITClassification");}		
    	}		
    	public static string LastModifiedSource
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","LastModifiedSource");}		
    	}		
    	public static string NeedsKnowledgeArticle
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","NeedsKnowledgeArticle");}		
    	}		
    	public static string PlannedCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","PlannedCost");}		
    	}		
    	public static string PlannedWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","PlannedWork");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","Priority");}		
    	}		
    	public static string RequiredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","RequiredBy");}		
    	}		
    	public static string ResolutionCategory
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ResolutionCategory");}		
    	}		
    	public static string ResolutionDescription
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ResolutionDescription");}		
    	}		
    	public static string ResolvedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ResolvedDate");}		
    	}		
    	public static string ScheduledDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ScheduledDowntimeEndDate");}		
    	}		
    	public static string ScheduledDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ScheduledDowntimeStartDate");}		
    	}		
    	public static string ScheduledEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ScheduledEndDate");}		
    	}		
    	public static string ScheduledStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","ScheduledStartDate");}		
    	}		
    	public static string Source
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","Source");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","Status");}		
    	}		
    	public static string TargetResolutionTime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","TargetResolutionTime");}		
    	}		
    	public static string TierQueue
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","TierQueue");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","Title");}		
    	}		
    	public static string Urgency
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","Urgency");}		
    	}		
    	public static string UserInput
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident","UserInput");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.WorkItem.Problem.Library	
	Id 				: d93ec150-3906-5404-ee41-1aefaa35518e
	Description 	: System Work Item Problem Library
*/
namespace Savviety.ServiceManager.API.ProblemManagement 
{



public static class ProblemGeneralSettingsPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreProblem";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Problem.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ProblemSettings","DisplayName");}		
    	}		
    	public static string MaxAttachments
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ProblemSettings","MaxAttachments");}		
    	}		
    	public static string MaxAttachmentSize
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ProblemSettings","MaxAttachmentSize");}		
    	}		
    	public static string PriorityMatrix
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ProblemSettings","PriorityMatrix");}		
    	}		
    	public static string PriorityMaxValue
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ProblemSettings","PriorityMaxValue");}		
    	}		
    	public static string PriorityMinValue
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ProblemSettings","PriorityMinValue");}		
    	}		
    	public static string ProblemIdPrefix
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ProblemSettings","ProblemIdPrefix");}		
    	}		

}     
        
	
	



public static class ProblemPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreProblem";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Problem.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string ActualCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ActualCost");}		
    	}		
    	public static string ActualDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ActualDowntimeEndDate");}		
    	}		
    	public static string ActualDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ActualDowntimeStartDate");}		
    	}		
    	public static string ActualEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ActualEndDate");}		
    	}		
    	public static string ActualStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ActualStartDate");}		
    	}		
    	public static string ActualWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ActualWork");}		
    	}		
    	public static string AutoResolve
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","AutoResolve");}		
    	}		
    	public static string Classification
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","Classification");}		
    	}		
    	public static string ClosedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ClosedDate");}		
    	}		
    	public static string ContactMethod
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ContactMethod");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","CreatedDate");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","DisplayName");}		
    	}		
    	public static string ErrorDescription
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ErrorDescription");}		
    	}		
    	public static string FirstAssignedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","FirstAssignedDate");}		
    	}		
    	public static string FirstResponseDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","FirstResponseDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","Id");}		
    	}		
    	public static string Impact
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","Impact");}		
    	}		
    	public static string IsDowntime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","IsDowntime");}		
    	}		
    	public static string IsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","IsParent");}		
    	}		
    	public static string KnownError
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","KnownError");}		
    	}		
    	public static string PlannedCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","PlannedCost");}		
    	}		
    	public static string PlannedWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","PlannedWork");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","Priority");}		
    	}		
    	public static string RequiredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","RequiredBy");}		
    	}		
    	public static string RequiresMajorProblemReview
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","RequiresMajorProblemReview");}		
    	}		
    	public static string Resolution
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","Resolution");}		
    	}		
    	public static string ResolutionDescription
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ResolutionDescription");}		
    	}		
    	public static string ResolvedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ResolvedDate");}		
    	}		
    	public static string ReviewNotes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ReviewNotes");}		
    	}		
    	public static string ScheduledDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ScheduledDowntimeEndDate");}		
    	}		
    	public static string ScheduledDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ScheduledDowntimeStartDate");}		
    	}		
    	public static string ScheduledEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ScheduledEndDate");}		
    	}		
    	public static string ScheduledStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","ScheduledStartDate");}		
    	}		
    	public static string Source
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","Source");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","Status");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","Title");}		
    	}		
    	public static string Urgency
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","Urgency");}		
    	}		
    	public static string UserInput
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","UserInput");}		
    	}		
    	public static string Workarounds
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Problem","Workarounds");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.WorkItem.ReleaseRecord.Library	
	Id 				: 50ba92b8-f5c7-fa12-4893-0a55df43d7ce
	Description 	: System WorkItem Release Record Library
*/
namespace Savviety.ServiceManager.API.ReleaseManagement 
{



public static class ReleaseRecordPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreReleaseRecord";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.ReleaseRecord.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string ActualCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","ActualCost");}		
    	}		
    	public static string ActualDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","ActualDowntimeEndDate");}		
    	}		
    	public static string ActualDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","ActualDowntimeStartDate");}		
    	}		
    	public static string ActualEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","ActualEndDate");}		
    	}		
    	public static string ActualStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","ActualStartDate");}		
    	}		
    	public static string ActualWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","ActualWork");}		
    	}		
    	public static string Category
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","Category");}		
    	}		
    	public static string ContactMethod
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","ContactMethod");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","CreatedDate");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","DisplayName");}		
    	}		
    	public static string Documentation
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","Documentation");}		
    	}		
    	public static string FirstAssignedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","FirstAssignedDate");}		
    	}		
    	public static string FirstResponseDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","FirstResponseDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","Id");}		
    	}		
    	public static string Impact
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","Impact");}		
    	}		
    	public static string ImplementationResults
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","ImplementationResults");}		
    	}		
    	public static string IsDowntime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","IsDowntime");}		
    	}		
    	public static string IsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","IsParent");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","Notes");}		
    	}		
    	public static string PlannedCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","PlannedCost");}		
    	}		
    	public static string PlannedWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","PlannedWork");}		
    	}		
    	public static string PostImplementationReview
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","PostImplementationReview");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","Priority");}		
    	}		
    	public static string RequiredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","RequiredBy");}		
    	}		
    	public static string Risk
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","Risk");}		
    	}		
    	public static string ScheduledDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","ScheduledDowntimeEndDate");}		
    	}		
    	public static string ScheduledDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","ScheduledDowntimeStartDate");}		
    	}		
    	public static string ScheduledEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","ScheduledEndDate");}		
    	}		
    	public static string ScheduledStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","ScheduledStartDate");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","Status");}		
    	}		
    	public static string TemplateId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","TemplateId");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","Title");}		
    	}		
    	public static string Type
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","Type");}		
    	}		
    	public static string UserInput
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord","UserInput");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.WorkItem.ServiceRequest.Library	
	Id 				: 32502cfa-1045-b329-899d-bc236d485bc3
	Description 	: System Work Item Service Request Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{



public static class ServiceRequestPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreServiceRequest";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.ServiceRequest.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string ActualCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","ActualCost");}		
    	}		
    	public static string ActualDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","ActualDowntimeEndDate");}		
    	}		
    	public static string ActualDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","ActualDowntimeStartDate");}		
    	}		
    	public static string ActualEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","ActualEndDate");}		
    	}		
    	public static string ActualStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","ActualStartDate");}		
    	}		
    	public static string ActualWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","ActualWork");}		
    	}		
    	public static string Area
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","Area");}		
    	}		
    	public static string ClosedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","ClosedDate");}		
    	}		
    	public static string CompletedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","CompletedDate");}		
    	}		
    	public static string ContactMethod
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","ContactMethod");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","CreatedDate");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","DisplayName");}		
    	}		
    	public static string FirstAssignedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","FirstAssignedDate");}		
    	}		
    	public static string FirstResponseDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","FirstResponseDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","Id");}		
    	}		
    	public static string ImplementationResults
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","ImplementationResults");}		
    	}		
    	public static string IsDowntime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","IsDowntime");}		
    	}		
    	public static string IsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","IsParent");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","Notes");}		
    	}		
    	public static string PlannedCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","PlannedCost");}		
    	}		
    	public static string PlannedWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","PlannedWork");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","Priority");}		
    	}		
    	public static string RequiredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","RequiredBy");}		
    	}		
    	public static string ScheduledDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","ScheduledDowntimeEndDate");}		
    	}		
    	public static string ScheduledDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","ScheduledDowntimeStartDate");}		
    	}		
    	public static string ScheduledEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","ScheduledEndDate");}		
    	}		
    	public static string ScheduledStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","ScheduledStartDate");}		
    	}		
    	public static string Source
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","Source");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","Status");}		
    	}		
    	public static string SupportGroup
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","SupportGroup");}		
    	}		
    	public static string TemplateId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","TemplateId");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","Title");}		
    	}		
    	public static string Urgency
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","Urgency");}		
    	}		
    	public static string UserInput
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest","UserInput");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.WorkItem.Activity.Library	
	Id 				: aa265d90-3e2e-b9a2-d929-be0d36f1a53e
	Description 	: System Work Item Activity Library
*/
namespace Savviety.ServiceManager.API.ActivityManagement 
{



public static class ReViewerPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreActivity";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Activity.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Comments
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Reviewer","Comments");}		
    	}		
    	public static string Decision
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Reviewer","Decision");}		
    	}		
    	public static string DecisionDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Reviewer","DecisionDate");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Reviewer","DisplayName");}		
    	}		
    	public static string MustVote
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Reviewer","MustVote");}		
    	}		
    	public static string ReviewerId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Reviewer","ReviewerId");}		
    	}		
    	public static string Veto
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Reviewer","Veto");}		
    	}		

}     
        
	
	



public static class ActivityDependentActivityPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreActivity";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Activity.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string ActualCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","ActualCost");}		
    	}		
    	public static string ActualDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","ActualDowntimeEndDate");}		
    	}		
    	public static string ActualDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","ActualDowntimeStartDate");}		
    	}		
    	public static string ActualEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","ActualEndDate");}		
    	}		
    	public static string ActualStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","ActualStartDate");}		
    	}		
    	public static string ActualWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","ActualWork");}		
    	}		
    	public static string Area
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","Area");}		
    	}		
    	public static string ChildId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","ChildId");}		
    	}		
    	public static string ContactMethod
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","ContactMethod");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","CreatedDate");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","DisplayName");}		
    	}		
    	public static string Documentation
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","Documentation");}		
    	}		
    	public static string FirstAssignedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","FirstAssignedDate");}		
    	}		
    	public static string FirstResponseDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","FirstResponseDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","Id");}		
    	}		
    	public static string IsDowntime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","IsDowntime");}		
    	}		
    	public static string IsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","IsParent");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","Notes");}		
    	}		
    	public static string PlannedCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","PlannedCost");}		
    	}		
    	public static string PlannedWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","PlannedWork");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","Priority");}		
    	}		
    	public static string RequiredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","RequiredBy");}		
    	}		
    	public static string ScheduledDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","ScheduledDowntimeEndDate");}		
    	}		
    	public static string ScheduledDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","ScheduledDowntimeStartDate");}		
    	}		
    	public static string ScheduledEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","ScheduledEndDate");}		
    	}		
    	public static string ScheduledStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","ScheduledStartDate");}		
    	}		
    	public static string SequenceId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","SequenceId");}		
    	}		
    	public static string Skip
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","Skip");}		
    	}		
    	public static string Stage
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","Stage");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","Status");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","Title");}		
    	}		
    	public static string UserInput
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.DependentActivity","UserInput");}		
    	}		

}     
        
	
	



public static class ActivityManualActivityPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreActivity";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Activity.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string ActualCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","ActualCost");}		
    	}		
    	public static string ActualDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","ActualDowntimeEndDate");}		
    	}		
    	public static string ActualDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","ActualDowntimeStartDate");}		
    	}		
    	public static string ActualEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","ActualEndDate");}		
    	}		
    	public static string ActualStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","ActualStartDate");}		
    	}		
    	public static string ActualWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","ActualWork");}		
    	}		
    	public static string Area
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","Area");}		
    	}		
    	public static string ChildId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","ChildId");}		
    	}		
    	public static string ContactMethod
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","ContactMethod");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","CreatedDate");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","DisplayName");}		
    	}		
    	public static string Documentation
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","Documentation");}		
    	}		
    	public static string FirstAssignedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","FirstAssignedDate");}		
    	}		
    	public static string FirstResponseDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","FirstResponseDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","Id");}		
    	}		
    	public static string IsDowntime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","IsDowntime");}		
    	}		
    	public static string IsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","IsParent");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","Notes");}		
    	}		
    	public static string PlannedCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","PlannedCost");}		
    	}		
    	public static string PlannedWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","PlannedWork");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","Priority");}		
    	}		
    	public static string RequiredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","RequiredBy");}		
    	}		
    	public static string ScheduledDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","ScheduledDowntimeEndDate");}		
    	}		
    	public static string ScheduledDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","ScheduledDowntimeStartDate");}		
    	}		
    	public static string ScheduledEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","ScheduledEndDate");}		
    	}		
    	public static string ScheduledStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","ScheduledStartDate");}		
    	}		
    	public static string SequenceId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","SequenceId");}		
    	}		
    	public static string Skip
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","Skip");}		
    	}		
    	public static string Stage
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","Stage");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","Status");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","Title");}		
    	}		
    	public static string UserInput
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ManualActivity","UserInput");}		
    	}		

}     
        
	
	



public static class ActivityParallelActivityPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreActivity";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Activity.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string ActualCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","ActualCost");}		
    	}		
    	public static string ActualDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","ActualDowntimeEndDate");}		
    	}		
    	public static string ActualDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","ActualDowntimeStartDate");}		
    	}		
    	public static string ActualEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","ActualEndDate");}		
    	}		
    	public static string ActualStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","ActualStartDate");}		
    	}		
    	public static string ActualWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","ActualWork");}		
    	}		
    	public static string Area
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","Area");}		
    	}		
    	public static string ChildId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","ChildId");}		
    	}		
    	public static string ContactMethod
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","ContactMethod");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","CreatedDate");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","DisplayName");}		
    	}		
    	public static string Documentation
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","Documentation");}		
    	}		
    	public static string FirstAssignedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","FirstAssignedDate");}		
    	}		
    	public static string FirstResponseDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","FirstResponseDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","Id");}		
    	}		
    	public static string IsDowntime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","IsDowntime");}		
    	}		
    	public static string IsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","IsParent");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","Notes");}		
    	}		
    	public static string PlannedCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","PlannedCost");}		
    	}		
    	public static string PlannedWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","PlannedWork");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","Priority");}		
    	}		
    	public static string RequiredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","RequiredBy");}		
    	}		
    	public static string ScheduledDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","ScheduledDowntimeEndDate");}		
    	}		
    	public static string ScheduledDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","ScheduledDowntimeStartDate");}		
    	}		
    	public static string ScheduledEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","ScheduledEndDate");}		
    	}		
    	public static string ScheduledStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","ScheduledStartDate");}		
    	}		
    	public static string SequenceId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","SequenceId");}		
    	}		
    	public static string Skip
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","Skip");}		
    	}		
    	public static string Stage
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","Stage");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","Status");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","Title");}		
    	}		
    	public static string UserInput
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ParallelActivity","UserInput");}		
    	}		

}     
        
	
	



public static class ActivityReViewActivityPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreActivity";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Activity.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string ActualCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ActualCost");}		
    	}		
    	public static string ActualDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ActualDowntimeEndDate");}		
    	}		
    	public static string ActualDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ActualDowntimeStartDate");}		
    	}		
    	public static string ActualEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ActualEndDate");}		
    	}		
    	public static string ActualStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ActualStartDate");}		
    	}		
    	public static string ActualWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ActualWork");}		
    	}		
    	public static string ApprovalCondition
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ApprovalCondition");}		
    	}		
    	public static string ApprovalPercentage
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ApprovalPercentage");}		
    	}		
    	public static string Area
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","Area");}		
    	}		
    	public static string ChildId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ChildId");}		
    	}		
    	public static string Comments
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","Comments");}		
    	}		
    	public static string ContactMethod
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ContactMethod");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","CreatedDate");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","DisplayName");}		
    	}		
    	public static string Documentation
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","Documentation");}		
    	}		
    	public static string FirstAssignedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","FirstAssignedDate");}		
    	}		
    	public static string FirstResponseDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","FirstResponseDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","Id");}		
    	}		
    	public static string IsDowntime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","IsDowntime");}		
    	}		
    	public static string IsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","IsParent");}		
    	}		
    	public static string LineManagerShouldReview
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","LineManagerShouldReview");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","Notes");}		
    	}		
    	public static string OwnersOfConfigItemShouldReview
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","OwnersOfConfigItemShouldReview");}		
    	}		
    	public static string PlannedCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","PlannedCost");}		
    	}		
    	public static string PlannedWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","PlannedWork");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","Priority");}		
    	}		
    	public static string RequiredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","RequiredBy");}		
    	}		
    	public static string ScheduledDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ScheduledDowntimeEndDate");}		
    	}		
    	public static string ScheduledDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ScheduledDowntimeStartDate");}		
    	}		
    	public static string ScheduledEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ScheduledEndDate");}		
    	}		
    	public static string ScheduledStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","ScheduledStartDate");}		
    	}		
    	public static string SequenceId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","SequenceId");}		
    	}		
    	public static string Skip
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","Skip");}		
    	}		
    	public static string Stage
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","Stage");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","Status");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","Title");}		
    	}		
    	public static string UserInput
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.ReviewActivity","UserInput");}		
    	}		

}     
        
	
	



public static class ActivitySequentialActivityPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreActivity";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.WorkItem.Activity.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string ActualCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","ActualCost");}		
    	}		
    	public static string ActualDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","ActualDowntimeEndDate");}		
    	}		
    	public static string ActualDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","ActualDowntimeStartDate");}		
    	}		
    	public static string ActualEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","ActualEndDate");}		
    	}		
    	public static string ActualStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","ActualStartDate");}		
    	}		
    	public static string ActualWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","ActualWork");}		
    	}		
    	public static string Area
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","Area");}		
    	}		
    	public static string ChildId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","ChildId");}		
    	}		
    	public static string ContactMethod
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","ContactMethod");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","CreatedDate");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","DisplayName");}		
    	}		
    	public static string Documentation
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","Documentation");}		
    	}		
    	public static string FirstAssignedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","FirstAssignedDate");}		
    	}		
    	public static string FirstResponseDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","FirstResponseDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","Id");}		
    	}		
    	public static string IsDowntime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","IsDowntime");}		
    	}		
    	public static string IsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","IsParent");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","Notes");}		
    	}		
    	public static string PlannedCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","PlannedCost");}		
    	}		
    	public static string PlannedWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","PlannedWork");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","Priority");}		
    	}		
    	public static string RequiredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","RequiredBy");}		
    	}		
    	public static string ScheduledDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","ScheduledDowntimeEndDate");}		
    	}		
    	public static string ScheduledDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","ScheduledDowntimeStartDate");}		
    	}		
    	public static string ScheduledEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","ScheduledEndDate");}		
    	}		
    	public static string ScheduledStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","ScheduledStartDate");}		
    	}		
    	public static string SequenceId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","SequenceId");}		
    	}		
    	public static string Skip
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","Skip");}		
    	}		
    	public static string Stage
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","Stage");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","Status");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","Title");}		
    	}		
    	public static string UserInput
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.SequentialActivity","UserInput");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.SupportingItem.Library	
	Id 				: 23e3ae8e-1981-8560-2e55-8730cbc04965
	Description 	: System Supporting Item Library
*/
namespace Savviety.ServiceManager.API.SupportingItem 
{



public static class FileAttachmentPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "Supporting";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.SupportingItem.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string AddedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.FileAttachment","AddedDate");}		
    	}		
    	public static string Content
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.FileAttachment","Content");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.FileAttachment","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.FileAttachment","DisplayName");}		
    	}		
    	public static string Extension
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.FileAttachment","Extension");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.FileAttachment","Id");}		
    	}		
    	public static string Size
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.FileAttachment","Size");}		
    	}		

}     
        
	
	



public static class SearchProviderConfigPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "Supporting";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.SupportingItem.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Search.ProviderConfig","DisplayName");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Search.ProviderConfig","Id");}		
    	}		
    	public static string Latitude
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Search.ProviderConfig","Latitude");}		
    	}		
    	public static string ProviderName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Search.ProviderConfig","ProviderName");}		
    	}		
    	public static string Url
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Search.ProviderConfig","Url");}		
    	}		

}     
        
	
	



public static class UserPreferenceLocalizationPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "Supporting";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.SupportingItem.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.UserPreference.Localization","DisplayName");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.UserPreference.Localization","Id");}		
    	}		
    	public static string LocaleID
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.UserPreference.Localization","LocaleID");}		
    	}		
    	public static string Timezone
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.UserPreference.Localization","Timezone");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: ServiceManager.IncidentManagement.Library	
	Id 				: 7b6d701a-4598-8220-dea8-4ae0504f6f58
	Description 	: Service Manager Incident Management Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{



public static class MicrosoftCenterDCMIncidentPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "IncidentManagement";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.IncidentManagement.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Acknowledged
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","Acknowledged");}		
    	}		
    	public static string ActualCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ActualCost");}		
    	}		
    	public static string ActualDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ActualDowntimeEndDate");}		
    	}		
    	public static string ActualDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ActualDowntimeStartDate");}		
    	}		
    	public static string ActualEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ActualEndDate");}		
    	}		
    	public static string ActualStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ActualStartDate");}		
    	}		
    	public static string ActualWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ActualWork");}		
    	}		
    	public static string BaselineId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","BaselineId");}		
    	}		
    	public static string CIId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","CIId");}		
    	}		
    	public static string Classification
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","Classification");}		
    	}		
    	public static string ClosedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ClosedDate");}		
    	}		
    	public static string ComplianceStatusDetails
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ComplianceStatusDetails");}		
    	}		
    	public static string ComputerName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ComputerName");}		
    	}		
    	public static string ContactMethod
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ContactMethod");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","CreatedDate");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","DisplayName");}		
    	}		
    	public static string Escalated
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","Escalated");}		
    	}		
    	public static string FirstAssignedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","FirstAssignedDate");}		
    	}		
    	public static string FirstResponseDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","FirstResponseDate");}		
    	}		
    	public static string HasCreatedKnowledgeArticle
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","HasCreatedKnowledgeArticle");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","Id");}		
    	}		
    	public static string Impact
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","Impact");}		
    	}		
    	public static string IPIMID
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","IPIMID");}		
    	}		
    	public static string IsDowntime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","IsDowntime");}		
    	}		
    	public static string IsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","IsParent");}		
    	}		
    	public static string ITClassification
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ITClassification");}		
    	}		
    	public static string LastComplianceScanTime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","LastComplianceScanTime");}		
    	}		
    	public static string LastModifiedSource
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","LastModifiedSource");}		
    	}		
    	public static string MaxNonComplianceCriticality
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","MaxNonComplianceCriticality");}		
    	}		
    	public static string NeedsKnowledgeArticle
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","NeedsKnowledgeArticle");}		
    	}		
    	public static string PlannedCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","PlannedCost");}		
    	}		
    	public static string PlannedWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","PlannedWork");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","Priority");}		
    	}		
    	public static string RequiredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","RequiredBy");}		
    	}		
    	public static string ResolutionCategory
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ResolutionCategory");}		
    	}		
    	public static string ResolutionDescription
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ResolutionDescription");}		
    	}		
    	public static string ResolvedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ResolvedDate");}		
    	}		
    	public static string ScheduledDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ScheduledDowntimeEndDate");}		
    	}		
    	public static string ScheduledDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ScheduledDowntimeStartDate");}		
    	}		
    	public static string ScheduledEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ScheduledEndDate");}		
    	}		
    	public static string ScheduledStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","ScheduledStartDate");}		
    	}		
    	public static string SiteId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","SiteId");}		
    	}		
    	public static string Source
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","Source");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","Status");}		
    	}		
    	public static string TargetResolutionTime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","TargetResolutionTime");}		
    	}		
    	public static string TierQueue
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","TierQueue");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","Title");}		
    	}		
    	public static string Urgency
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","Urgency");}		
    	}		
    	public static string UserInput
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.DCMIncident","UserInput");}		
    	}		

}     
        
	
	



public static class MicrosoftCenterSCOMIncidentPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "IncidentManagement";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.IncidentManagement.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Acknowledged
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","Acknowledged");}		
    	}		
    	public static string ActualCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ActualCost");}		
    	}		
    	public static string ActualDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ActualDowntimeEndDate");}		
    	}		
    	public static string ActualDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ActualDowntimeStartDate");}		
    	}		
    	public static string ActualEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ActualEndDate");}		
    	}		
    	public static string ActualStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ActualStartDate");}		
    	}		
    	public static string ActualWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ActualWork");}		
    	}		
    	public static string AlertCustomField1
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","AlertCustomField1");}		
    	}		
    	public static string AlertCustomField10
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","AlertCustomField10");}		
    	}		
    	public static string AlertCustomField2
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","AlertCustomField2");}		
    	}		
    	public static string AlertCustomField3
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","AlertCustomField3");}		
    	}		
    	public static string AlertCustomField4
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","AlertCustomField4");}		
    	}		
    	public static string AlertCustomField5
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","AlertCustomField5");}		
    	}		
    	public static string AlertCustomField6
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","AlertCustomField6");}		
    	}		
    	public static string AlertCustomField7
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","AlertCustomField7");}		
    	}		
    	public static string AlertCustomField8
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","AlertCustomField8");}		
    	}		
    	public static string AlertCustomField9
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","AlertCustomField9");}		
    	}		
    	public static string AlertId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","AlertId");}		
    	}		
    	public static string Classification
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","Classification");}		
    	}		
    	public static string ClosedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ClosedDate");}		
    	}		
    	public static string ContactMethod
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ContactMethod");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","CreatedDate");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","DisplayName");}		
    	}		
    	public static string Escalated
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","Escalated");}		
    	}		
    	public static string FirstAssignedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","FirstAssignedDate");}		
    	}		
    	public static string FirstResponseDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","FirstResponseDate");}		
    	}		
    	public static string HasCreatedKnowledgeArticle
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","HasCreatedKnowledgeArticle");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","Id");}		
    	}		
    	public static string Impact
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","Impact");}		
    	}		
    	public static string IPIMID
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","IPIMID");}		
    	}		
    	public static string IsDowntime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","IsDowntime");}		
    	}		
    	public static string IsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","IsParent");}		
    	}		
    	public static string ITClassification
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ITClassification");}		
    	}		
    	public static string LastModifiedSource
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","LastModifiedSource");}		
    	}		
    	public static string ManagementGroupName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ManagementGroupName");}		
    	}		
    	public static string ManagementPackName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ManagementPackName");}		
    	}		
    	public static string MonitoringObjectId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","MonitoringObjectId");}		
    	}		
    	public static string MonitoringRuleId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","MonitoringRuleId");}		
    	}		
    	public static string NeedsKnowledgeArticle
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","NeedsKnowledgeArticle");}		
    	}		
    	public static string PlannedCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","PlannedCost");}		
    	}		
    	public static string PlannedWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","PlannedWork");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","Priority");}		
    	}		
    	public static string RepeatCount
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","RepeatCount");}		
    	}		
    	public static string RequiredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","RequiredBy");}		
    	}		
    	public static string ResolutionCategory
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ResolutionCategory");}		
    	}		
    	public static string ResolutionDescription
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ResolutionDescription");}		
    	}		
    	public static string ResolvedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ResolvedDate");}		
    	}		
    	public static string ScheduledDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ScheduledDowntimeEndDate");}		
    	}		
    	public static string ScheduledDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ScheduledDowntimeStartDate");}		
    	}		
    	public static string ScheduledEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ScheduledEndDate");}		
    	}		
    	public static string ScheduledStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","ScheduledStartDate");}		
    	}		
    	public static string Source
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","Source");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","Status");}		
    	}		
    	public static string TargetResolutionTime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","TargetResolutionTime");}		
    	}		
    	public static string TierQueue
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","TierQueue");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","Title");}		
    	}		
    	public static string Urgency
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","Urgency");}		
    	}		
    	public static string UserInput
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"Microsoft.SystemCenter.WorkItem.SCOMIncident","UserInput");}		
    	}		

}     
        
	
	



public static class IncidentGeneralSettingPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "IncidentManagement";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.IncidentManagement.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string ActivateChildIncident
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","ActivateChildIncident");}		
    	}		
    	public static string ActiveChildIncidentLinkStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","ActiveChildIncidentLinkStatus");}		
    	}		
    	public static string ChildIncidentReactivatedStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","ChildIncidentReactivatedStatus");}		
    	}		
    	public static string ChildIncidentResolutionCategory
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","ChildIncidentResolutionCategory");}		
    	}		
    	public static string ChildIncidentResolutionCategorySameAsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","ChildIncidentResolutionCategorySameAsParent");}		
    	}		
    	public static string DataRetentionTime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","DataRetentionTime");}		
    	}		
    	public static string DataRetentionTimeUnit
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","DataRetentionTimeUnit");}		
    	}		
    	public static string DefaultTierQueue
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","DefaultTierQueue");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","DisplayName");}		
    	}		
    	public static string HideTargetResolutionTimeOnForm
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","HideTargetResolutionTimeOnForm");}		
    	}		
    	public static string MaxAttachments
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","MaxAttachments");}		
    	}		
    	public static string MaxAttachmentSize
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","MaxAttachmentSize");}		
    	}		
    	public static string OpsMgrWebConsoleUrl
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","OpsMgrWebConsoleUrl");}		
    	}		
    	public static string PrefixForId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","PrefixForId");}		
    	}		
    	public static string PriorityMatrix
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","PriorityMatrix");}		
    	}		
    	public static string PriorityMaxValue
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","PriorityMaxValue");}		
    	}		
    	public static string PriorityMinValue
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","PriorityMinValue");}		
    	}		
    	public static string PropertiesToCopyFromParentToChildIncident
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","PropertiesToCopyFromParentToChildIncident");}		
    	}		
    	public static string ResolutionMappings
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","ResolutionMappings");}		
    	}		
    	public static string ResolveChildIncident
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Incident.GeneralSetting","ResolveChildIncident");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.Knowledge.Library	
	Id 				: 0a8001ed-59dc-629c-201f-4643a6a48009
	Description 	: System Knowledge Library
*/
namespace Savviety.ServiceManager.API.Knowledge 
{



public static class KnowledgeArticlePropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreKnowledge";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Knowledge.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Abstract
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","Abstract");}		
    	}		
    	public static string AnalystContent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","AnalystContent");}		
    	}		
    	public static string ArticleId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","ArticleId");}		
    	}		
    	public static string ArticleOwner
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","ArticleOwner");}		
    	}		
    	public static string ArticleTemplate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","ArticleTemplate");}		
    	}		
    	public static string ArticleType
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","ArticleType");}		
    	}		
    	public static string AssetStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","AssetStatus");}		
    	}		
    	public static string Category
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","Category");}		
    	}		
    	public static string Comments
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","Comments");}		
    	}		
    	public static string CreatedBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","CreatedBy");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","CreatedDate");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","DisplayName");}		
    	}		
    	public static string EndUserContent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","EndUserContent");}		
    	}		
    	public static string ExternalURL
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","ExternalURL");}		
    	}		
    	public static string ExternalURLSource
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","ExternalURLSource");}		
    	}		
    	public static string Keywords
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","Keywords");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","Notes");}		
    	}		
    	public static string ObjectStatus
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","ObjectStatus");}		
    	}		
    	public static string PrimaryLocaleID
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","PrimaryLocaleID");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","Status");}		
    	}		
    	public static string Tag
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","Tag");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","Title");}		
    	}		
    	public static string VendorArticleID
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Knowledge.Article","VendorArticleID");}		
    	}		

}     
        
	
	



public static class StarRatingPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreKnowledge";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Knowledge.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.StarRating","DisplayName");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.StarRating","Id");}		
    	}		
    	public static string RatingComments
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.StarRating","RatingComments");}		
    	}		
    	public static string TotalRatingCount
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.StarRating","TotalRatingCount");}		
    	}		
    	public static string TotalRatingStars
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.StarRating","TotalRatingStars");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: ServiceManager.ReleaseManagement.Library	
	Id 				: 8870d61a-5d30-bb34-6827-ca764849a888
	Description 	: Service Manager Release Management Library
*/
namespace Savviety.ServiceManager.API.ReleaseManagement 
{



public static class ReleaseGeneralSettingPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ReleaseManagement";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.ReleaseManagement.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string CriteriaforSelectingChangeRequests
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ReleaseSettings","CriteriaforSelectingChangeRequests");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ReleaseSettings","DisplayName");}		
    	}		
    	public static string MaxFileAttachmentsCount
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ReleaseSettings","MaxFileAttachmentsCount");}		
    	}		
    	public static string MaxFileAttachmentSizeinKB
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ReleaseSettings","MaxFileAttachmentSizeinKB");}		
    	}		
    	public static string SystemWorkItemReleaseRecordIdPrefix
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ReleaseSettings","SystemWorkItemReleaseRecordIdPrefix");}		
    	}		

}     
        
	
	



public static class ReleaseRecordInternalworkflowtargetPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ReleaseManagement";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.ReleaseManagement.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord.InternalWorkflowTarget","DisplayName");}		
    	}		

}     
        
	
	



public static class ReleaseRecordWorkflowtargetPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ReleaseManagement";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.ReleaseManagement.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ReleaseRecord.WorkflowTarget","DisplayName");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: ServiceManager.ServiceRequest.Library	
	Id 				: b9bfce1c-7458-ab60-65fb-6492446d7261
	Description 	: Service Manager Service Request Library
*/
namespace Savviety.ServiceManager.API.IncidentManagment 
{



public static class GlobalsettingServiceRequestsettingsPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ServiceRequest";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.ServiceRequest.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ServiceRequestSettings","DisplayName");}		
    	}		
    	public static string MaxFileAttachmentsCount
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ServiceRequestSettings","MaxFileAttachmentsCount");}		
    	}		
    	public static string MaxFileAttachmentSizeinKB
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ServiceRequestSettings","MaxFileAttachmentSizeinKB");}		
    	}		
    	public static string ServiceRequestPrefix
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ServiceRequestSettings","ServiceRequestPrefix");}		
    	}		

}     
        
	
	



public static class ServiceRequestInternalworkflowtargetPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ServiceRequest";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.ServiceRequest.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest.InternalWorkflowTarget","DisplayName");}		
    	}		

}     
        
	
	



public static class ServiceRequestWorkflowtargetPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ServiceRequest";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.ServiceRequest.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ServiceRequest.WorkflowTarget","DisplayName");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.ServiceCatalog.Library	
	Id 				: 4eafa3dd-ccc9-ff17-8285-63756cf8a34b
	Description 	: System Service Catalog Library
*/
namespace Savviety.ServiceManager.API.ServiceCatalog 
{



public static class RequestOfferingPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ServiceCatalog";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.ServiceCatalog.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string BriefDescription
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","BriefDescription");}		
    	}		
    	public static string Comment
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","Comment");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","DisplayName");}		
    	}		
    	public static string Domain
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","Domain");}		
    	}		
    	public static string EstimatedTimeToCompletion
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","EstimatedTimeToCompletion");}		
    	}		
    	public static string HideGotoRequestButton
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","HideGotoRequestButton");}		
    	}		
    	public static string ID
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","ID");}		
    	}		
    	public static string Image
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","Image");}		
    	}		
    	public static string Internal_ElementId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","Internal_ElementId");}		
    	}		
    	public static string Internal_ManagementPackId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","Internal_ManagementPackId");}		
    	}		
    	public static string Internal_ParentId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","Internal_ParentId");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","Notes");}		
    	}		
    	public static string Overview
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","Overview");}		
    	}		
    	public static string Path
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","Path");}		
    	}		
    	public static string PresentationMappingTemplate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","PresentationMappingTemplate");}		
    	}		
    	public static string PublishDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","PublishDate");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","Status");}		
    	}		
    	public static string TargetTemplate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","TargetTemplate");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.RequestOffering","Title");}		
    	}		

}     
        
	
	



public static class ServiceOfferingPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ServiceCatalog";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.ServiceCatalog.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string BriefDescription
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","BriefDescription");}		
    	}		
    	public static string Category
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","Category");}		
    	}		
    	public static string Comment
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","Comment");}		
    	}		
    	public static string CostInformation
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","CostInformation");}		
    	}		
    	public static string CostInformationLink
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","CostInformationLink");}		
    	}		
    	public static string CultureName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","CultureName");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","DisplayName");}		
    	}		
    	public static string Domain
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","Domain");}		
    	}		
    	public static string ID
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","ID");}		
    	}		
    	public static string Image
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","Image");}		
    	}		
    	public static string Internal_ElementId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","Internal_ElementId");}		
    	}		
    	public static string Internal_ManagementPackId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","Internal_ManagementPackId");}		
    	}		
    	public static string Internal_ParentId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","Internal_ParentId");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","Notes");}		
    	}		
    	public static string Overview
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","Overview");}		
    	}		
    	public static string Path
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","Path");}		
    	}		
    	public static string PublishDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","PublishDate");}		
    	}		
    	public static string SLAInformation
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","SLAInformation");}		
    	}		
    	public static string SLAInformationLink
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","SLAInformationLink");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","Status");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.ServiceOffering","Title");}		
    	}		

}     
        
	
	



public static class ActivityPublishActivityPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ServiceCatalog";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.ServiceCatalog.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string ActualCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","ActualCost");}		
    	}		
    	public static string ActualDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","ActualDowntimeEndDate");}		
    	}		
    	public static string ActualDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","ActualDowntimeStartDate");}		
    	}		
    	public static string ActualEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","ActualEndDate");}		
    	}		
    	public static string ActualStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","ActualStartDate");}		
    	}		
    	public static string ActualWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","ActualWork");}		
    	}		
    	public static string Area
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","Area");}		
    	}		
    	public static string ChildId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","ChildId");}		
    	}		
    	public static string ContactMethod
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","ContactMethod");}		
    	}		
    	public static string CreatedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","CreatedDate");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","DisplayName");}		
    	}		
    	public static string Documentation
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","Documentation");}		
    	}		
    	public static string FirstAssignedDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","FirstAssignedDate");}		
    	}		
    	public static string FirstResponseDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","FirstResponseDate");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","Id");}		
    	}		
    	public static string IsDowntime
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","IsDowntime");}		
    	}		
    	public static string IsParent
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","IsParent");}		
    	}		
    	public static string Notes
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","Notes");}		
    	}		
    	public static string PlannedCost
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","PlannedCost");}		
    	}		
    	public static string PlannedWork
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","PlannedWork");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","Priority");}		
    	}		
    	public static string RequiredBy
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","RequiredBy");}		
    	}		
    	public static string ScheduledDowntimeEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","ScheduledDowntimeEndDate");}		
    	}		
    	public static string ScheduledDowntimeStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","ScheduledDowntimeStartDate");}		
    	}		
    	public static string ScheduledEndDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","ScheduledEndDate");}		
    	}		
    	public static string ScheduledStartDate
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","ScheduledStartDate");}		
    	}		
    	public static string SequenceId
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","SequenceId");}		
    	}		
    	public static string Skip
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","Skip");}		
    	}		
    	public static string Stage
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","Stage");}		
    	}		
    	public static string Status
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","Status");}		
    	}		
    	public static string Title
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","Title");}		
    	}		
    	public static string UserInput
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.PublishActivity","UserInput");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: ServiceManager.ActivityManagement.Library	
	Id 				: 7b8d32db-bdb4-cabf-b947-c013c0e00baa
	Description 	: Service Manager Activity Management Library
*/
namespace Savviety.ServiceManager.API.ActivityManagement 
{



public static class ActivityGeneralSettingPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ActivityManagement";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.ActivityManagement.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ActivitySettings","DisplayName");}		
    	}		
    	public static string MicrosoftSystemCenterOrchestratorRunbookAutomationActivityBaseIdPrefix
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ActivitySettings","MicrosoftSystemCenterOrchestratorRunbookAutomationActivityBaseIdPrefix");}		
    	}		
    	public static string SystemWorkItemActivityDependentActivityIdPrefix
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ActivitySettings","SystemWorkItemActivityDependentActivityIdPrefix");}		
    	}		
    	public static string SystemWorkItemActivityIdPrefix
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ActivitySettings","SystemWorkItemActivityIdPrefix");}		
    	}		
    	public static string SystemWorkItemActivityManualActivityIdPrefix
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ActivitySettings","SystemWorkItemActivityManualActivityIdPrefix");}		
    	}		
    	public static string SystemWorkItemActivityParallelActivityIdPrefix
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ActivitySettings","SystemWorkItemActivityParallelActivityIdPrefix");}		
    	}		
    	public static string SystemWorkItemActivityReviewActivityIdPrefix
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ActivitySettings","SystemWorkItemActivityReviewActivityIdPrefix");}		
    	}		
    	public static string SystemWorkItemActivitySequentialActivityIdPrefix
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ActivitySettings","SystemWorkItemActivitySequentialActivityIdPrefix");}		
    	}		

}     
        
	
	



public static class ActivityInternalworkflowtargetPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ActivityManagement";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.ActivityManagement.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.Activity.InternalWorkflowTarget","DisplayName");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: ServiceManager.ChangeManagement.Library	
	Id 				: 2bf6413b-bb6c-1108-d33a-152c9d1db56b
	Description 	: Service Manager Change Management Library
*/
namespace Savviety.ServiceManager.API.ChangeManagement 
{



public static class ChangeRequestGeneralSettingPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ChangeManagement";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.ChangeManagement.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ChangeSettings","DisplayName");}		
    	}		
    	public static string MaxFileAttachmentsCount
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ChangeSettings","MaxFileAttachmentsCount");}		
    	}		
    	public static string MaxFileAttachmentSizeinKB
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ChangeSettings","MaxFileAttachmentSizeinKB");}		
    	}		
    	public static string SystemWorkItemChangeRequestIdPrefix
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.GlobalSetting.ChangeSettings","SystemWorkItemChangeRequestIdPrefix");}		
    	}		

}     
        
	
	



public static class ChangeRequestInternalworkflowtargetPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ChangeManagement";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.ChangeManagement.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest.InternalWorkflowTarget","DisplayName");}		
    	}		

}     
        
	
	



public static class ChangeRequestWorkflowtargetPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "ChangeManagement";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","ServiceManager.ChangeManagement.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.WorkItem.ChangeRequest.WorkflowTarget","DisplayName");}		
    	}		

}     
        
	
	

}
/*
	Name	 		: System.Notifications.Library	
	Id 				: 8e02a0aa-04b1-812b-6ab5-1c12e3288e99
	Description 	: System Notification Library: This Management Pack contains the definitions that are specific to Notifications.
*/
namespace System.Notifications.Library 
{



public static class NotificationChannelSIPPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreNotification";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Notifications.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Channel.SIP","DisplayName");}		
    	}		
    	public static string IsEnabled
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Channel.SIP","IsEnabled");}		
    	}		

}     
        
	
	



public static class NotificationChannelSMSPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreNotification";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Notifications.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Channel.SMS","DisplayName");}		
    	}		
    	public static string IsEnabled
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Channel.SMS","IsEnabled");}		
    	}		

}     
        
	
	



public static class NotificationChannelSMTPPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreNotification";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Notifications.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Channel.SMTP","DisplayName");}		
    	}		
    	public static string IsEnabled
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Channel.SMTP","IsEnabled");}		
    	}		
    	public static string RetryIntervalSeconds
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Channel.SMTP","RetryIntervalSeconds");}		
    	}		
    	public static string ReturnAddress
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Channel.SMTP","ReturnAddress");}		
    	}		
    	public static string RunAsAccount
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Channel.SMTP","RunAsAccount");}		
    	}		

}     
        
	
	



public static class NotificationEndpointPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreNotification";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Notifications.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string ChannelName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Endpoint","ChannelName");}		
    	}		
    	public static string Description
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Endpoint","Description");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Endpoint","DisplayName");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Endpoint","Id");}		
    	}		
    	public static string TargetAddress
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Endpoint","TargetAddress");}		
    	}		

}     
        
	
	



public static class NotificationSipconfigurationsourcePropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreNotification";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Notifications.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Authentication
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SIPConfigurationSource","Authentication");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SIPConfigurationSource","DisplayName");}		
    	}		
    	public static string IsEnabled
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SIPConfigurationSource","IsEnabled");}		
    	}		
    	public static string Name
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SIPConfigurationSource","Name");}		
    	}		
    	public static string PortNumber
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SIPConfigurationSource","PortNumber");}		
    	}		
    	public static string Protocol
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SIPConfigurationSource","Protocol");}		
    	}		
    	public static string Server
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SIPConfigurationSource","Server");}		
    	}		

}     
        
	
	



public static class NotificationSmtpconfigurationsourcePropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreNotification";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Notifications.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Authentication
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SMTPConfigurationSource","Authentication");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SMTPConfigurationSource","DisplayName");}		
    	}		
    	public static string IsEnabled
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SMTPConfigurationSource","IsEnabled");}		
    	}		
    	public static string Name
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SMTPConfigurationSource","Name");}		
    	}		
    	public static string PortNumber
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SMTPConfigurationSource","PortNumber");}		
    	}		
    	public static string SequenceNumber
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SMTPConfigurationSource","SequenceNumber");}		
    	}		
    	public static string Server
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.SMTPConfigurationSource","Server");}		
    	}		

}     
        
	
	



public static class NotificationTemplateSIPPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreNotification";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Notifications.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Content
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SIP","Content");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SIP","DisplayName");}		
    	}		
    	public static string Encoding
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SIP","Encoding");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SIP","Id");}		
    	}		
    	public static string Protocol
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SIP","Protocol");}		
    	}		
    	public static string SeedClass
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SIP","SeedClass");}		
    	}		
    	public static string Sender
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SIP","Sender");}		
    	}		

}     
        
	
	



public static class NotificationTemplateSMSPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreNotification";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Notifications.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Content
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMS","Content");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMS","DisplayName");}		
    	}		
    	public static string Encoding
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMS","Encoding");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMS","Id");}		
    	}		
    	public static string Protocol
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMS","Protocol");}		
    	}		
    	public static string SeedClass
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMS","SeedClass");}		
    	}		
    	public static string Sender
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMS","Sender");}		
    	}		

}     
        
	
	



public static class NotificationTemplateSMTPPropertyCriteria
{
       
        public static string ManagementPackAlias
    	{	

    		get {return "CoreNotification";}
        }
        
        public static XElement ManagementPackReference
        {
            get { 
                
                var reference = new XElement(Expression.NameSpace + "Reference");

                reference.Add(new XAttribute("Id","System.Notifications.Library"));
                reference.Add(new XAttribute("Version", "7.5.1561.0"));
                reference.Add(new XAttribute("Alias", ManagementPackAlias));
                reference.Add(new XAttribute("PublicKeyToken", "31bf3856ad364e35"));

                return reference;
            }
        }
    	public static string Content
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMTP","Content");}		
    	}		
    	public static string DisplayName
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMTP","DisplayName");}		
    	}		
    	public static string Encoding
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMTP","Encoding");}		
    	}		
    	public static string Id
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMTP","Id");}		
    	}		
    	public static string IsBodyHtml
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMTP","IsBodyHtml");}		
    	}		
    	public static string IsMultiCast
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMTP","IsMultiCast");}		
    	}		
    	public static string Priority
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMTP","Priority");}		
    	}		
    	public static string Protocol
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMTP","Protocol");}		
    	}		
    	public static string SeedClass
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMTP","SeedClass");}		
    	}		
    	public static string Sender
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMTP","Sender");}		
    	}		
    	public static string Subject
    	{	
    		get {return string.Format("$Context/Property[Type='{0}!{1}']/{2}$",ManagementPackAlias,"System.Notification.Template.SMTP","Subject");}		
    	}		

}     
        
	
	

}
